<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/" xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/" xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/">
	<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: AendringspaategningSamling.xslt 152571 2019-05-15 07:59:27Z lpallesen@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!--Samling af Aendringspaategninger-->
	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="utf-8"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="eakt:AendringspaategningSamling">
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="'ÆNDRINGSPÅTEGNINGSAMLING'"/>
		</xsl:call-template>
		<xsl:apply-templates select="eakt:Aendringspaategning"/>
	</xsl:template>
	<xsl:template match="eakt:Aendringspaategning">
		<xsl:if test="model:RespektFastEjendomSamling">
			<xsl:apply-templates select="model:RespektFastEjendomSamling"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivHaeftelser">
			<xsl:with-param name="Root" select="model:RespektFastEjendomSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeHaeftelser">
			<xsl:with-param name="Root" select="model:RespektFastEjendomSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivServitutter">
			<xsl:with-param name="Root" select="model:RespektFastEjendomSamling"/>
		</xsl:call-template>
		<xsl:if test="model:VilkaarsaendringHaeftelseFastEjendom">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'VILKÅRSÆNDRING'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseFastEjendom"/>
		</xsl:if>
		<xsl:if test="model:UdvidelseSkiftAfPantHaeftelseFastEjendom">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'UDVIDELSE AF PANT'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:UdvidelseSkiftAfPantHaeftelseFastEjendom"/>
		</xsl:if>
		<xsl:if test="model:RelaksationHaeftelseFastEjendom">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'RELAKSATION'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:RelaksationHaeftelseFastEjendom"/>
		</xsl:if>
		<xsl:if test="model:PaategningVaerdierklaeringFastEjendom">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'RELAKSATION'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:RelaksationHaeftelseFastEjendom"/>
		</xsl:if>
		<xsl:if test="model:ForhoejelseFastEjendom/model:NytHaeftelseBeloeb">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'FORHØJELSE'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:ForhoejelseFastEjendom/model:NytHaeftelseBeloeb"/>
			<xsl:if test="model:ForhoejelseFastEjendom/model:ForhoejUnderpantIndikator = 'true'">
				<xsl:call-template name="forhoejUnderpant">
					<xsl:with-param name="beloeb" select="model:ForhoejelseFastEjendom/model:NytHaeftelseBeloeb/model:BeloebVaerdi"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
		<xsl:if test="model:NedlysningFastEjendom/model:NytHaeftelseBeloeb">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'NEDLYSNING'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:NedlysningFastEjendom/model:NytHaeftelseBeloeb"/>
		</xsl:if>
		<xsl:apply-templates select="eakt:AnmaerkningSamling"/>
		<xsl:apply-templates select="eakt:FristInformationSamling"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<xsl:template match="eakt:BilAendringspaategningSamling">
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="'ÆNDRINGSPÅTEGNINGSAMLING'"/>
		</xsl:call-template>
		<xsl:apply-templates select="eakt:BilAendringspaategning"/>
	</xsl:template>
	<xsl:template match="eakt:BilAendringspaategning">
		<xsl:if test="model:RespektBilSamling">
			<xsl:apply-templates select="model:RespektBilSamling"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivBilHaeftelser">
			<xsl:with-param name="Root" select="model:RespektBilSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeBilHaeftelser">
			<xsl:with-param name="Root" select="model:RespektBilSamling"/>
		</xsl:call-template>
		<xsl:if test="model:VilkaarsaendringHaeftelseBil">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'VILKÅRSÆNDRING'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseBil"/>
		</xsl:if>
		<xsl:if test="model:UdvidelseSkiftAfPantHaeftelseBil">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'UDVIDELSE AF PANT'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:UdvidelseSkiftAfPantHaeftelseBil"/>
		</xsl:if>
		<xsl:if test="model:RelaksationHaeftelseBil">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'RELAKSATION'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:RelaksationHaeftelseBil"/>
		</xsl:if>
		<xsl:if test="model:ForhoejelseBil/model:NytHaeftelseBeloeb">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'FORHØJELSE'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:ForhoejelseBil/model:NytHaeftelseBeloeb"/>
			<xsl:if test="model:ForhoejelseBil/model:ForhoejUnderpantIndikator = 'true'">
				<xsl:call-template name="forhoejUnderpant">
					<xsl:with-param name="beloeb" select="model:ForhoejelseBil/model:NytHaeftelseBeloeb/model:BeloebVaerdi"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
		<xsl:if test="model:NedlysningBil/model:NytHaeftelseBeloeb">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'NEDLYSNING'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:NedlysningBil/model:NytHaeftelseBeloeb"/>
		</xsl:if>
		<xsl:apply-templates select="eakt:AnmaerkningSamling"/>
		<xsl:apply-templates select="eakt:FristInformationSamling"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<xsl:template match="eakt:AndelAendringspaategningSamling">
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="'ÆNDRINGSPÅTEGNINGSAMLING'"/>
		</xsl:call-template>
		<xsl:apply-templates select="eakt:AndelAendringspaategning"/>
	</xsl:template>
	<xsl:template match="eakt:AndelAendringspaategning">
		<xsl:if test="model:RespektAndelSamling">
			<xsl:apply-templates select="model:RespektAndelSamling"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivAndelHaeftelser">
			<xsl:with-param name="Root" select="model:RespektAndelSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeAndelHaeftelser">
			<xsl:with-param name="Root" select="model:RespektAndelSamling"/>
		</xsl:call-template>
		<xsl:if test="model:VilkaarsaendringHaeftelseAndel">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'VILKÅRSÆNDRING'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseAndel"/>
		</xsl:if>
		<xsl:if test="model:UdvidelseSkiftAfPantHaeftelseAndel">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'UDVIDELSE AF PANT'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:UdvidelseSkiftAfPantHaeftelseAndel"/>
		</xsl:if>
		<xsl:if test="model:RelaksationHaeftelseAndel">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'RELAKSATION'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:RelaksationHaeftelseAndel"/>
		</xsl:if>
		<xsl:if test="model:ForhoejelseAndel/model:NytHaeftelseBeloeb">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'FORHØJELSE'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:ForhoejelseAndel/model:NytHaeftelseBeloeb"/>
			<xsl:if test="model:ForhoejelseAndel/model:ForhoejUnderpantIndikator = 'true'">
				<xsl:call-template name="forhoejUnderpant">
					<xsl:with-param name="beloeb" select="model:ForhoejelseAndel/model:NytHaeftelseBeloeb/model:BeloebVaerdi"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
		<xsl:if test="model:NedlysningAndel/model:NytHaeftelseBeloeb">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'NEDLYSNING'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:NedlysningAndel/model:NytHaeftelseBeloeb"/>
		</xsl:if>
		<xsl:apply-templates select="eakt:AnmaerkningSamling"/>
		<xsl:apply-templates select="eakt:FristInformationSamling"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<xsl:template match="eakt:LoesoereAendringspaategningSamling">
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="'ÆNDRINGSPÅTEGNINGSAMLING'"/>
		</xsl:call-template>
		<xsl:apply-templates select="eakt:LoesoereAendringspaategning"/>
	</xsl:template>
	<xsl:template match="eakt:LoesoereAendringspaategning">
		<xsl:if test="model:RespektLoesoereSamling">
			<xsl:apply-templates select="model:RespektLoesoereSamling"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Hæftelser, fremtidige hæftelser -->
		<xsl:call-template name="UdskrivLoesoereHaeftelser">
			<xsl:with-param name="Root" select="model:RespektLoesoereSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeLoesoereHaeftelser">
			<xsl:with-param name="Root" select="model:RespektLoesoereSamling"/>
		</xsl:call-template>
		<xsl:if test="model:VilkaarsaendringHaeftelseLoesoere">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'VILKÅRSÆNDRING'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseLoesoere"/>
		</xsl:if>
		<xsl:if test="model:UdvidelseSkiftAfPantHaeftelseLoesoere">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'UDVIDELSE AF PANT'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:UdvidelseSkiftAfPantHaeftelseLoesoere"/>
		</xsl:if>
		<xsl:if test="model:RelaksationHaeftelseLoesoere">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'RELAKSATION'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:RelaksationHaeftelseLoesoere"/>
		</xsl:if>
		<xsl:if test="model:ForhoejelseLoesoere/model:NytHaeftelseBeloeb">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'FORHØJELSE'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:ForhoejelseLoesoere/model:NytHaeftelseBeloeb"/>
			<xsl:if test="model:ForhoejelseLoesoere/model:ForhoejUnderpantIndikator = 'true'">
				<xsl:call-template name="forhoejUnderpant">
					<xsl:with-param name="beloeb" select="model:ForhoejelseLoesoere/model:NytHaeftelseBeloeb/model:BeloebVaerdi"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
		<xsl:if test="model:NedlysningLoesoere/model:NytHaeftelseBeloeb">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'NEDLYSNING'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
			<xsl:apply-templates select="model:NedlysningLoesoere/model:NytHaeftelseBeloeb"/>
		</xsl:if>
		<xsl:apply-templates select="eakt:AnmaerkningSamling"/>
		<xsl:apply-templates select="eakt:FristInformationSamling"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
</xsl:stylesheet>
