<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/"
    xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/"
    xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/"
    xmlns:xkom="http://rep.oio.dk/xkom.dk/xml/schemas/2006/01/06/"
    xmlns:xkom-1="http://rep.oio.dk/xkom.dk/xml/schemas/2005/03/15/"
    xmlns:cpr="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/"
    xmlns:cpr-1="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/"
    xmlns:cpr-2="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/10/31/"
    xmlns:dkcc="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/03/15/"
    xmlns:dkcc-1="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2003/02/13/"
    xmlns:itst-1="http://rep.oio.dk/itst.dk/xml/schemas/2005/01/10/"
    xmlns:itst-2="http://rep.oio.dk/itst.dk/xml/schemas/2006/01/17/"
    xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/"
    xmlns:msg="http://rep.oio.dk/tinglysning.dk/service/message/tingbog/1/"
    xmlns:msgandel="http://rep.oio.dk/tinglysning.dk/service/message/andelsbog/1/"
    xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/"
    xmlns:n2="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/03/15/"
    xmlns:n3="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/"
	xmlns:msgperson="http://rep.oio.dk/tinglysning.dk/service/message/personbog/1/" 
>
<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: Afgift.xslt 190138 2020-11-05 18:30:18Z meld@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->

	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	
	<!--******************************************** TinglysningAfgift **************************************-->
	<xsl:template match="model:TinglysningAfgift">
	<xsl:param name="heading" select="'TINGLYSNINGSAFGIFT'"/>
	
<xsl:variable name="ekspeditionstypeafgift" select="../../msgperson:EkspeditionstypeIdentifikator"/>
<xsl:choose>
<xsl:when test="$ekspeditionstypeafgift = '227' or $ekspeditionstypeafgift = '229'">
 <!-- ignorer afgift for fremtidsfuldmagt -->
</xsl:when>
<xsl:otherwise>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="$heading"/>
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Afgift'"/>
			<xsl:with-param name="text" select="format-number(floor(model:Afgiftsbeloeb), '###.###.###.###.##0', 'currency-format')"/>
			<xsl:with-param name="text2" select="'DKK'"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed" />

		<xsl:apply-templates select="model:AfgiftOplysninger"/>

		<xsl:if test="model:Afgiftsbeloeb != 0">
			<xsl:apply-templates select="model:StorkundeIdentifikator"/>
		</xsl:if>
		
		<xsl:apply-templates select="model:AfvigelsesaarsagTekst"/>
		
</xsl:otherwise>
</xsl:choose>		
	</xsl:template>
	
	<!--***************************************** model:AfgiftOplysninger *******************************-->
	<xsl:template match="model:AfgiftOplysninger">
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Afgiftspligtigt beløb'"/>
			<xsl:with-param name="text" select="format-number(floor(model:AfgiftspligtigtBeloeb), '###.###.###.###.##0', 'currency-format')"/>
			<xsl:with-param name="text2" select="model:ValutaKode"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:PaalydendeNytLaan"/>
		<xsl:call-template name="model:SkoedeKoebesum">
			<xsl:with-param name="node" select="model:SkoedeKoebesum"/>
			<xsl:with-param name="showheader" select="'false'"/>
		</xsl:call-template>
		<!--<xsl:apply-templates select="model:SkoedeKoebesum"/>-->
		<xsl:apply-templates select="model:AfgiftOplysningKursvaerdiSamling"/>
		<xsl:apply-templates select="model:AfgiftOplysningNominelSamling"/>
		<xsl:apply-templates select="model:AfgiftOplysningOverfoertHovedstolSamling"/>
		<xsl:apply-templates select="model:Kursoplysninger"/>
		<xsl:call-template name="linefeed" />
	</xsl:template>
	
	<!--***************************************** model:PaalydendeNytLaan *******************************-->
	<xsl:template match="model:PaalydendeNytLaan">
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Pålydende nyt lån'"/>
			<xsl:with-param name="text" select="format-number(floor(.), '###.###.###.###.##0', 'currency-format')"/>
			<xsl:with-param name="text2" select="../model:ValutaKode"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed" />
	</xsl:template>
	
	<!--+++++++++++++++ model:AfgiftOplysningKursvaerdiSamling Starter her ++++++-->
	<!--**************************** model:AfgiftOplysningKursvaerdiSamling ************************-->
	<xsl:template match="model:AfgiftOplysningKursvaerdiSamling">
		<xsl:for-each select="model:AfgiftOplysningKursvaerdi">
			<xsl:apply-templates select="."/>
		</xsl:for-each>
		<xsl:call-template name="linefeed" />
	</xsl:template>
	
	<!--**************************** model:AfgiftOplysningKursvaerdi ************************-->
	<xsl:template match="model:AfgiftOplysningKursvaerdi">
		<xsl:call-template name="column1">
			<xsl:with-param name="text" select="'Kursværdi'"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:IndfrielseBeloeb"/>
		<xsl:apply-templates select="model:IndfrielseOmkostninger"/>
		<xsl:apply-templates select="model:ForholdsmaessigtKurstab"/>
		<xsl:apply-templates select="model:ForholdsmaessigeOmkostninger"/>
		<xsl:apply-templates select="model:Kursoplysninger"/>
		<xsl:if test="model:DokumentRevisionIdentifikatorSamling">
			<xsl:apply-templates select="model:DokumentRevisionIdentifikatorSamling"/>
		</xsl:if>
	</xsl:template>
	
	<!--**************************** model:DokumentRevisionIdentifikatorSamling ************************-->
	<xsl:template match="model:DokumentRevisionIdentifikatorSamling">
		<xsl:for-each select="model:DokumentRevisionIdentifikator">
			<xsl:variable name="dokumentIdentifikator" select="model:DokumentIdentifikator" />
			<xsl:variable name="revisionNummer" select="model:RevisionNummer" />
			<xsl:variable name="Struktur" select="//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur[model:DokumentRevisionIdentifikator/model:DokumentIdentifikator = $dokumentIdentifikator and (string-length($revisionNummer)=0 or model:DokumentRevisionIdentifikator/model:RevisionNummer = $revisionNummer)]"/>
<!--			<xsl:value-of select="string($dokumentIdentifikator)"/>
			<xsl:call-template name="linefeed" />-->
			<xsl:if test="$Struktur/eakt:DokumentAlias/eakt:DokumentAliasIdentifikator">
				<xsl:call-template name="DokumentAlias">
					<xsl:with-param name="prompt" select="'Fra pantebrev'"/>
					<xsl:with-param name="Identifikator" select="$Struktur/eakt:DokumentAlias/eakt:DokumentAliasIdentifikator"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$Struktur/eakt:DokumentAlias/eakt:AktHistoriskIdentifikator">
				<xsl:call-template name="DokumentAlias">
					<xsl:with-param name="prompt" select="'Fra pantebrev'"/>
					<xsl:with-param name="Identifikator" select="$Struktur/eakt:DokumentAlias/eakt:AktHistoriskIdentifikator"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	
	
	<!--**************************** model:IndfrielseBeloeb ************************-->
	<xsl:template match="model:IndfrielseBeloeb">
		<xsl:call-template name="two_columns_sub">
			<xsl:with-param name="prompt" select="'Indfrielsesbeløb'"/>
			<xsl:with-param name="text" select="format-number(floor(.), '###.###.###.###.##0', 'currency-format')" /> 
			<xsl:with-param name="text2" select="../../../model:ValutaKode" />
		</xsl:call-template>
	</xsl:template>
	
	<!--**************************** model:IndfrielseOmkostninger ************************-->
	<xsl:template match="model:IndfrielseOmkostninger">
		<xsl:call-template name="two_columns_sub">
			<xsl:with-param name="prompt" select="'Indfrielseomkostninger'"/>
			<xsl:with-param name="text" select="format-number(floor(.), '###.###.###.###.##0', 'currency-format')" /> 
			<xsl:with-param name="text2" select="../../../model:ValutaKode" />
		</xsl:call-template>
	</xsl:template>
	
	<!--**************************** model:ForholdsmaessigtKurstab ************************-->
	<xsl:template match="model:ForholdsmaessigtKurstab">
		<xsl:call-template name="two_columns_sub">
			<xsl:with-param name="prompt" select="'Forholdsmæssigt kurstab'"/>
			<xsl:with-param name="text" select="format-number(floor(.), '###.###.###.###.##0', 'currency-format')" /> 
			<xsl:with-param name="text2" select="../../../model:ValutaKode" />
		</xsl:call-template>
	</xsl:template>
	
	<!--**************************** model:ForholdsmaessigeOmkostninger ************************-->
	<xsl:template match="model:ForholdsmaessigeOmkostninger">
		<xsl:call-template name="two_columns_sub">
			<xsl:with-param name="prompt" select="'Forholdsmæssige omkostninger'"/>
			<xsl:with-param name="text" select="format-number(floor(.), '###.###.###.###.##0', 'currency-format')" /> 
			<xsl:with-param name="text2" select="../../../model:ValutaKode" />
		</xsl:call-template>
	</xsl:template>
	<!--+++++++++++++++ model:AfgiftOplysningKursvaerdiSamling Slutter her ++++++-->

	<!--+++++++++++++++ model:AfgiftOplysningNominelSamling Starter her ++++++-->
	<!--***************************** model:AfgiftOplysningNominelSamling ********************-->
	<xsl:template match="model:AfgiftOplysningNominelSamling">
		<xsl:for-each select="model:AfgiftOplysningNominel">
			<xsl:apply-templates select="."/>
		</xsl:for-each>
		<xsl:call-template name="linefeed" />
	</xsl:template>
	
	<!--***************************** model:AfgiftOplysningNominel ********************-->
	<xsl:template match="model:AfgiftOplysningNominel">
		<xsl:call-template name="column1">
			<xsl:with-param name="text" select="'Nominel værdi'"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:IndfrielseOmkostninger"/>
		<xsl:apply-templates select="model:ForholdsmaessigeOmkostninger"/>
		<xsl:apply-templates select="model:Restgaeld"/>
		<xsl:if test="model:DokumentRevisionIdentifikatorSamling">
			<xsl:apply-templates select="model:DokumentRevisionIdentifikatorSamling"/>
		</xsl:if>
	</xsl:template>
	
	<!--***************************** model:IndfrielseOmkostninger ********************-->
	<xsl:template match="model:IndfrielseOmkostninger">
		<xsl:call-template name="two_columns_sub">
			<xsl:with-param name="prompt" select="'Indfrielseomkostninger'"/>
			<xsl:with-param name="text" select="format-number(floor(.), '###.###.###.###.##0', 'currency-format')" /> 
			<xsl:with-param name="text2" select="../../../model:ValutaKode" />
		</xsl:call-template>
	</xsl:template>
	
	<!--***************************** model:ForholdsmaessigeOmkostninger ********************-->
	<xsl:template match="model:ForholdsmaessigeOmkostninger">
		<xsl:call-template name="two_columns_sub">
			<xsl:with-param name="prompt" select="'Forholdsmæssige omkostninger'"/>
			<xsl:with-param name="text" select="format-number(floor(.), '###.###.###.###.##0', 'currency-format')" /> 
			<xsl:with-param name="text2" select="../../../model:ValutaKode" />
		</xsl:call-template>
	</xsl:template>
	
	<!--***************************** model:Restgaeld ********************-->
	<xsl:template match="model:Restgaeld">
		<xsl:call-template name="two_columns_sub">
			<xsl:with-param name="prompt" select="'Restgæld'"/>
			<xsl:with-param name="text" select="format-number(floor(.), '###.###.###.###.##0', 'currency-format')" /> 
			<xsl:with-param name="text2" select="../../../model:ValutaKode" />
		</xsl:call-template>
	</xsl:template>
	<!--+++++++++++++++ model:AfgiftOplysningNominelSamling Slutter her ++++++-->

	<!--+++++++++++++++ model:AfgiftOplysningOverfoertHovedstolSamling Starter her ++++++-->
	<!--*********************** model:AfgiftOplysningOverfoertHovedstolSamling **********-->
	<xsl:template match="model:AfgiftOplysningOverfoertHovedstolSamling">
		<xsl:for-each select="model:AfgiftOplysningOverfoertHovedstol">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Overført Hovedstol'"/>
				<!--<xsl:with-param name="text" select="model:OverfoertHovedstol"/>-->
				<xsl:with-param name="text" select="format-number(floor(model:OverfoertHovedstol), '###.###.###.###.##0', 'currency-format')" /> 
				<xsl:with-param name="text2" select="../../model:ValutaKode" />
			</xsl:call-template>
			<xsl:if test="model:DokumentRevisionIdentifikator">
				<xsl:variable name="dokumentIdentifikator" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator" />
				<xsl:variable name="revisionNummer" select="model:DokumentRevisionIdentifikator/model:RevisionNummer" />
				<xsl:variable name="Struktur" select="//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur[model:DokumentRevisionIdentifikator/model:DokumentIdentifikator = $dokumentIdentifikator and (string-length($revisionNummer)=0 or model:DokumentRevisionIdentifikator/model:RevisionNummer = $revisionNummer)]"/>
				<xsl:if test="$Struktur/eakt:DokumentAlias/eakt:DokumentAliasIdentifikator">
					<xsl:call-template name="DokumentAlias">
						<xsl:with-param name="prompt" select="'Fra pantebrev'"/>
						<xsl:with-param name="Identifikator" select="$Struktur/eakt:DokumentAlias/eakt:DokumentAliasIdentifikator"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$Struktur/eakt:DokumentAlias/eakt:AktHistoriskIdentifikator">
					<xsl:call-template name="DokumentAlias">
						<xsl:with-param name="prompt" select="'Fra pantebrev'"/>
						<xsl:with-param name="Identifikator" select="$Struktur/eakt:DokumentAlias/eakt:AktHistoriskIdentifikator"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
		<xsl:call-template name="linefeed" />
	</xsl:template>
	<!--+++++++++++++++ model:AfgiftOplysningOverfoertHovedstolSamling Slutter her ++++++-->
	
	<!--**************************Kursoplysninger**********************************************-->
	<xsl:template match="model:Kursoplysninger">
		<xsl:variable name="kurstype" select="model:KursType" />
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Anmelder erklærer, at følgende oplysninger er lagt til grund for omregning til danske kroner'"/>
			<xsl:with-param name="text" select="'Kurstype: '"/>
			<xsl:with-param name="text2" select="$opslag//KursType[@id = $kurstype]"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:Kurs"/>
		<xsl:apply-templates select="model:KursDato"/>
		<xsl:call-template name="linefeed" />
	</xsl:template>
	
	<xsl:template match="model:Kurs">
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="'Anvendt kurs: '"/>
			<!--<xsl:with-param name="text2" select="."/>-->
			<xsl:with-param name="text2" select="format-number(., $formatkurs, 'currency-format')" />
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="model:KursDato">
		<xsl:variable name="KursDatoFormateret">
			<xsl:call-template name="formatdato">
				<xsl:with-param name="dato" select="node()"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="'Beregnet pr. dato: '"/>
			<xsl:with-param name="text2" select="$KursDatoFormateret"/>
		</xsl:call-template>
	</xsl:template>
	
	<!--*************************** model:StorkundeIdentifikator ****************************-->
	<!-- STORKUNDENUMMER -->
	<xsl:template match="model:StorkundeIdentifikator">

		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'STORKUNDENUMMER'"/>
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="//model:StorkundeIdentifikator" />
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="'Tinglysningsafgift betalt i henhold til storkundeordning.'" />
		</xsl:call-template>

		<xsl:call-template name="linefeed" />

	</xsl:template>
	
	<!--*************************** model:AfvigelsesaarsagTekst ****************************-->
	<xsl:template match="model:AfvigelsesaarsagTekst">
	<xsl:param name="heading" select="'BEREGNINGSGRUNDLAGET ER ET ANDET'"/>
	
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="$heading"/>
		</xsl:call-template>
					
		<xsl:call-template name="VisFraser">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
		
	</xsl:template>

	<!-- ***********************************   AfgiftPantebrevPaategn Tingbog  ********************************** -->
	<xsl:template match="msg:AfgiftPantebrevPaategn | msgandel:AfgiftPantebrevPaategn">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'" />
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator" />
		</xsl:call-template>
		
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'DOKUMENT SOM PÅTEGNES'"/>
		</xsl:call-template>
		<!-- Dato/løbenummer -->
		<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:variable name="dokumentStruktur" select="key('DokumentIdentifikator', $doc_id)"/>
		<xsl:call-template name="eakt:DokumentAliasIdentifikator">
			<xsl:with-param name="node" select="$dokumentStruktur"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed" />

		<xsl:if test="msgandel:EkspeditionstypeIdentifikator" >
	        <xsl:call-template name="subheaderOgLedetekst">
				<xsl:with-param name="doctypeid" select="msgandel:EkspeditionstypeIdentifikator" />
				<xsl:with-param name="node" select="." />
			</xsl:call-template>
        </xsl:if>
        <xsl:if test="msg:EkspeditionstypeIdentifikator" >
            <xsl:call-template name="subheaderOgLedetekst">
				<xsl:with-param name="doctypeid" select="msg:EkspeditionstypeIdentifikator" />
				<xsl:with-param name="node" select="." />
			</xsl:call-template>
        </xsl:if>
		
		<xsl:call-template name="linefeed" />


		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling" />

		<!-- Øvrigt - bagudkompatibelt-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
						
		<!-- Rollesamlingen skal stå til sidst efter en skillelinie -->
		<xsl:call-template name="linefeed" />
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed" />
		<xsl:call-template name="linefeed" />
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>

		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>

	<xsl:template name="subheaderOgLedetekst">
		<xsl:param name="doctypeid"/>
		<xsl:param name="node"/>
		
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]" />
		</xsl:call-template>
		
		<xsl:choose>
			<!--<xsl:when test="count(model:NytHaeftelseBeloeb) > 0 and model:NytHaeftelseBeloeb/model:BeloebVaerdi > 0">-->
			<xsl:when test="$node/model:NytHaeftelseBeloeb/model:BeloebVaerdi > 0">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="'Det afgiftsoverførbare beløb nedlyses til den ny hovedstol.'"/>
				</xsl:call-template>
				<xsl:call-template name="linefeed" />
				<xsl:apply-templates select="$node/model:NytHaeftelseBeloeb"/>
			</xsl:when>
			<xsl:otherwise>
					<xsl:call-template name="column2">
						<xsl:with-param name="text" select="$opslag//EkspeditionstypeLedetekst[@id = $doctypeid]"/>
					</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>

