<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/" xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/" xmlns:msgbil="http://rep.oio.dk/tinglysning.dk/service/message/bilbog/1/" xmlns:msgandel="http://rep.oio.dk/tinglysning.dk/service/message/andelsbog/1/" xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/" xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/" xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/" xmlns:xkom="http://rep.oio.dk/xkom.dk/xml/schemas/2006/01/06/" xmlns:xkom-1="http://rep.oio.dk/xkom.dk/xml/schemas/2005/03/15/" xmlns:xkom-2="http://rep.oio.dk/xkom.dk/xml/schemas/2006/01/06/" xmlns:cpr="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" xmlns:cpr-1="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" xmlns:cpr-2="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/10/31/" xmlns:dkcc="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/03/15/" xmlns:dkcc-2="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/" xmlns:itst-1="http://rep.oio.dk/itst.dk/xml/schemas/2005/01/10/" xmlns:itst-2="http://rep.oio.dk/itst.dk/xml/schemas/2006/01/17/" xmlns:n3="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/" xmlns:ds="http://www.w3.org/2000/09/xmldsig#">
	<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: AndelsbogPaategninger.xslt 190138 2020-11-05 18:30:18Z meld@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!--===============================================================-->
	<!-- Denne XSLT indeholder hæftelsepåtegninger til andelsboligbog: -->
	<!--===============================================================-->
	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	<xsl:key name="DokumentIdentifikator" match="//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur" use="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
	<!--===============================================================-->
	<!-- Påtegninger -->
	<!--===============================================================-->
	<!--  ************************  msgandel:HaeftelseKombinationAndelPaategn  **************************** -->
	<xsl:template match="msgandel:HaeftelseKombinationAndelPaategn">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id"/>
		</xsl:call-template>
		<!-- Udskriv de enkelte påtegninger  -->
		<xsl:for-each select="node()">
			<xsl:if test="contains(string(name()), 'EkspeditionstypeNyDebitorAndel')">
				<xsl:apply-templates select="."/>
			</xsl:if>
		</xsl:for-each>
		<!-- Udskriv de enkelte påtegninger  -->
		<xsl:for-each select="node()">
			<xsl:sort select=".//model:EkspeditionstypeRaekkefoelge"/>
			<xsl:if test="contains(string(name()), 'Ekspeditionstype') and not(contains(string(name()), 'EkspeditionstypeNyDebitorAndel'))">
				<xsl:apply-templates select="."/>
			</xsl:if>
		</xsl:for-each>
		<xsl:call-template name="UdskrivSkyldnerErklaering"/>
		<!-- Udskriv oplysninger fælles for alle påtegninger, f.eks. anmelder, erklæringer osv. -->
		<!--<xsl:if test="anm:AnmeldelseInformation/model:ErklaeringSamling or anm:AnmeldelseInformation/model:BilagReferenceSamling anm:AnmeldelseInformation/anm:AndenTekst" or anm:AnmeldelseInformation/anm:AndenTekstSamling">-->
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
		<!--</xsl:if>-->
		<!-- Roller -->
		<xsl:call-template name="NoneRolleRef">
			<xsl:with-param name="RolleSamling" select="anm:AnmeldelseInformation/model:RolleSamling"/>
			<xsl:with-param name="gaeldsansvar">
				<xsl:choose>
					<!-- Pga. manglende rollereference, når kombi kun indeholder én ekspeditionstype -->
					<xsl:when test="//model:EkspeditionstypeIdentifikator=67">
						<xsl:value-of select="'yes'"/>
					</xsl:when>
					<xsl:when test="//model:EkspeditionstypeIdentifikator=79">
						<!-- QC 9453 -->
						<xsl:choose>
							<xsl:when test="model:EkspeditionstypeVilkaarsaendringHaeftelseAndel/model:VilkaarsaendringHaeftelseAndel/model:PantebrevAndel">
								<xsl:value-of select="'yes'"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="'no'"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'no'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Andelag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt - bagudkompatibelt-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*********************************************  59 - RespektHæftelseAndel **********************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeRespektHaeftelseAndel">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
			<xsl:with-param name="text2" select="$opslag//PaategningHjaelpetekst[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:RespektAndelSamling"/>
		<xsl:call-template name="linefeed"/>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivAndelHaeftelser">
			<xsl:with-param name="Root" select="model:RespektAndelSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeAndelHaeftelser">
			<xsl:with-param name="Root" select="model:RespektAndelSamling"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--****************************************  63 - TransportHæftelseAndel *************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeTransportHaeftelseAndelSamling">
		<xsl:for-each select="model:EkspeditionstypeTransportHaeftelseAndel">
			<xsl:sort select="model:EkspeditionstypeRaekkefoelge"/>
			<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
			<xsl:call-template name="document_subheader">
				<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
			</xsl:call-template>
			<xsl:call-template name="ledetekst">
				<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
			</xsl:call-template>
			<xsl:choose>
				<xsl:when test="model:RolleReferenceSamling">
					<xsl:apply-templates select="model:RolleReferenceSamling"/>
				</xsl:when>
				<!--<xsl:otherwise>
					<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
				</xsl:otherwise>-->
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--**********************************************  67 - NyDebitorAndel ***************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeNyDebitorAndelSamling">
		<xsl:for-each select="model:EkspeditionstypeNyDebitorAndel">
			<xsl:sort select="model:EkspeditionstypeRaekkefoelge"/>
			<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
			<xsl:call-template name="document_subheader">
				<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
			</xsl:call-template>
			<xsl:call-template name="ledetekst">
				<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
			</xsl:call-template>
			<!-- Roller specifikke for påtegningen -->
			<xsl:choose>
				<xsl:when test="model:RolleReferenceSamling">
					<xsl:apply-templates select="model:RolleReferenceSamling">
						<xsl:with-param name="gaeldsansvar" select="'yes'"/>
					</xsl:apply-templates>
				</xsl:when>
				<!--<xsl:otherwise>
					<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
				</xsl:otherwise>-->
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--****************************************  71 - NyMeddelelseshaverAndel ************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeMeddelelseshaverAndel">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--****************************************  75 - NyFuldmagtshaverHæftelseAndel ******************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeFuldmagtshaverHaeftelseAndel">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:FuldmagtshaverHaeftelseAndel/model:FuldmagtAnmeldtSamling"/>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--***************************************  79 - VilkaarsaendringHaeftelseAndel ******************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeVilkaarsaendringHaeftelseAndel">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:if test="model:VilkaarsaendringHaeftelseAndel/model:PantebrevAndel or model:VilkaarsaendringHaeftelseAndel/model:EjerpantebrevAndel">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'VILKÅRSÆNDRING'"/>
			</xsl:call-template>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Pantebrevsskift til'"/>
				<xsl:with-param name="text">
					<xsl:choose>
						<xsl:when test="model:VilkaarsaendringHaeftelseAndel/model:PantebrevAndel">
							<xsl:value-of select="'Pantebrev'"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'Ejerpantebrev'"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling">
					<xsl:with-param name="gaeldsansvar" select="'yes'"/>
				</xsl:apply-templates>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseAndel/model:HaeftelseVilkaarRente"/>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseAndel/model:HaeftelseVilkaarBetaling"/>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseAndel/model:HaeftelseVilkaarOpsigelse"/>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseAndel/model:HaeftelseSaerligBestemmelseSamling"/>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseAndel/model:HaeftelseAndenTekstSamling"/>
		<!--PantebrevAndel og EjerpantebrevAndel-->
		<xsl:if test="model:VilkaarsaendringHaeftelseAndel/model:PantebrevAndel">
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseAndel/model:PantebrevAndel"/>
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseAndel/model:PantebrevAndel/model:HaeftelsePantebrevFormularLovpligtigKode"/>
		</xsl:if>
		<xsl:if test="model:VilkaarsaendringHaeftelseAndel/model:EjerpantebrevAndel">
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseAndel/model:EjerpantebrevAndel"/>
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseAndel/model:EjerpantebrevAndel/model:HaeftelsePantebrevFormularLovpligtigKode"/>
		</xsl:if>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--******************************************  83 - PaategningHaeftelseAndel *********************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypePaategningHaeftelseAndel">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
		<xsl:call-template name="VisFraser">
			<xsl:with-param name="node" select="model:PaategningHaeftelseAndel/model:PaategningsTekst"/>
		</xsl:call-template>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*******************************************  87 - ForhoejelseAndel ****************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeForhoejelseAndel">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:ForhoejelseAndel/model:NytHaeftelseBeloeb"/>
		<xsl:if test="model:ForhoejelseAndel/model:ForhoejUnderpantIndikator = 'true'">
			<xsl:call-template name="forhoejUnderpant">
				<xsl:with-param name="beloeb" select="model:ForhoejelseAndel/model:NytHaeftelseBeloeb/model:BeloebVaerdi"/>
			</xsl:call-template>
		</xsl:if>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivAndelHaeftelser">
			<xsl:with-param name="Root" select="model:ForhoejelseAndel/model:RespektAndelSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeAndelHaeftelser">
			<xsl:with-param name="Root" select="model:ForhoejelseAndel/model:RespektAndelSamling"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--************************  91 - EkspeditionstypeUdvidelseSkiftAfPantHaeftelseAndel ********************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeUdvidelseSkiftAfPantHaeftelseAndel">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Ejendomme -->
		<xsl:apply-templates select="//model:AndelSamling"/>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivAndelHaeftelser">
			<xsl:with-param name="Root" select="//model:AndelSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeAndelHaeftelser">
			<xsl:with-param name="Root" select="//model:AndelSamling"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!-- ****************************************  94 - NedlysningAndel ****************************************** -->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeNedlysningAndel">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:NedlysningAndel/model:NytHaeftelseBeloeb"/>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!-- ***************************  99 - EkspeditionstypeRelaksationHaeftelseAndel ***************************** -->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeRelaksationHaeftelseAndel">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Udskriver evt. andele -->
		<xsl:variable name="Andele">
			<xsl:for-each select="model:RelaksationAndelSamling/model:RelaksationAndel">
				<xsl:apply-templates select="./model:AndelIdentifikator"/>
				<xsl:if test="model:BetingelserTekst">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Betingelser'"/>
						<xsl:with-param name="text" select="model:BetingelserTekst"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:BetingelseTekstAngivelse">
					<xsl:call-template name="VisFraser">
						<xsl:with-param name="node" select="model:BetingelseTekstAngivelse"/>
						<xsl:with-param name="indent_1st_line" select="'off'"/>
						<xsl:with-param name="text" select="'Betingelser'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:call-template name="linefeed"/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:if test="$Andele">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'ANDEL'"/>
			</xsl:call-template>
			<xsl:copy-of select="$Andele"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!-- *****************************  99 - DokumentRettighedSamlingRelakser ********************************* -->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msgandel:DokumentRettighedSamlingRelakser">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'DOKUMENT SOM PÅTEGNES'"/>
		</xsl:call-template>
		<xsl:variable name="Rettigheder" select="//snapshot:SnapshotSamling/snapshot:RettighedIdentifikatorSamling/snapshot:RettighedIdentifikatorStruktur"/>
		<xsl:variable name="Dokumenter" select="//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur"/>
		<xsl:for-each select="model:RettighedIdentifikatorSamling/model:RettighedIdentifikator">
			<xsl:if test="position()=1">
				<xsl:variable name="ret_id" select="."/>
				<!--<xsl:value-of select="$ret_id"/>-->
				<xsl:variable name="dok_id" select="$Rettigheder[model:Rettighed/model:Pantrettighed/model:RettighedIdentifikator=$ret_id]/model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
				<xsl:call-template name="dokument_som_paategnes">
					<xsl:with-param name="doc_id" select="$dok_id"/>
					<xsl:with-param name="include_header" select="'false'"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:for-each>
		<xsl:variable name="doctypeid" select="msgandel:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="msgandel:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:for-each select="model:RettighedIdentifikatorSamling/model:RettighedIdentifikator">
			<xsl:variable name="ret_id" select="."/>
			<xsl:variable name="dok_id" select="$Rettigheder[model:Rettighed/model:Pantrettighed/model:RettighedIdentifikator=$ret_id]/model:TinglysningObjektIdentifikator"/>
			<xsl:call-template name="model:VisAndel">
				<xsl:with-param name="node" select="$dok_id"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:if test="msgandel:BetingelserTekst">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'BETINGELSER'"/>
			</xsl:call-template>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="msgandel:BetingelserTekst"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="model:BetingelseTekstAngivelse">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'BETINGELSER'"/>
			</xsl:call-template>
			<xsl:call-template name="VisFraser">
				<xsl:with-param name="node" select="model:BetingelseTekstAngivelse"/>
			</xsl:call-template>
		</xsl:if>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Andelag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Rollesamlingen skal stå til sidst efter en skillelinie -->
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--*********************************************************************************************************************-->
	<!--***************************** 234 - DigitaliserPantebrevAndelPaategn ***********************************-->
	<!--*********************************************************************************************************************-->
	<xsl:template match="msgandel:DigitaliserPantebrevAndelPaategn">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id"/>
		</xsl:call-template>
		<xsl:variable name="doctypeid" select="msgandel:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="msgandel:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:DigitaliserPantebrevAndel/model:FuldmagtAnmeldtSamling"/>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Rollesamlingen skal stå til sidst efter en skillelinie -->
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--*********************************************************************************************************************-->
	<!--***************************** 119, 121, 187, 209 - DokumentAfgiftPaategn ***********************************-->
	<!--*********************************************************************************************************************-->
	<xsl:template match="msgandel:DokumentAfgiftPaategn">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id"/>
		</xsl:call-template>
		<xsl:variable name="doctypeid" select="msgandel:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="msgandel:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:variable name="overskrift">
			<xsl:choose>
				<xsl:when test="msgandel:EkspeditionstypeIdentifikator='119'">
					<xsl:value-of select="'Afgiftsgodtgørelse'"/>
				</xsl:when>
				<xsl:when test="msgandel:EkspeditionstypeIdentifikator='189'">
					<xsl:value-of select="'Afgiftsberigtigelse'"/>
				</xsl:when>
				<xsl:when test="msgandel:EkspeditionstypeIdentifikator='209'">
					<xsl:value-of select="'Samlet betalt tinglysningsafgift'"/>
				</xsl:when>
				<xsl:when test="msgandel:EkspeditionstypeIdentifikator='187'">
					<xsl:value-of select="'Samlet betalt tinglysningsafgift'"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'Tinglysningsafgift'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="$overskrift"/>
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="format-number(floor(msgandel:Beloeb), '###.###.###.###.##0', 'currency-format')"/>
			<xsl:with-param name="text2" select="'DKK'"/>
		</xsl:call-template>
		<!-- ***************************************************************************************-->
		<!-- ** FritekstInformationTekst ifm. 187                                       ************-->
		<!-- ***************************************************************************************-->
		<xsl:if test="model:FritekstInformationTekst">
			<xsl:call-template name="linefeed"/>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="//model:FritekstInformationTekst"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="Alm_Anmeldelses_info_andel"/>
	</xsl:template>
	<!--*********************************************************************************************************************-->
	<!--***************************** 246 - DokumentAdkomstErklaering               ***********************************-->
	<!--*********************************************************************************************************************-->
	<xsl:template match="msgandel:DokumentAdkomstErklaering">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id"/>
		</xsl:call-template>
		<xsl:variable name="doctypeid" select="msgandel:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="msgandel:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Evt. bemærkninger -->
		<xsl:if test="model:FritekstInformationTekst">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="//model:FritekstInformationTekst"/>
			</xsl:call-template>
		</xsl:if>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Rollesamlingen skal stå til sidst efter en skillelinie -->
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--***************************** Anmeldelses information for påtegninger ***********************************-->
	<xsl:template name="Alm_Anmeldelses_info_andel">
		<xsl:param name="Skillelinie" select="'True'"/>
		<!-- Udskriv skillelinie -->
		<xsl:if test="$Skillelinie = 'True'">
			<xsl:call-template name="dividerlong"/>
			<xsl:call-template name="linefeed"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Udskriv oplysninger fælles for alle påtegninger, f.eks. anmelder, rolleliste osv. -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Roller -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<xsl:if test="$Skillelinie = 'True'">
			<xsl:call-template name="UdskrivSkyldnerErklaering"/>
		</xsl:if>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:choose>
			<xsl:when test="msgandel:EkspeditionstypeIdentifikator='209'">
				<xsl:call-template name="heading">
					<xsl:with-param name="text" select="'Efterbetalt tinglysningsafgift'"/>
				</xsl:call-template>
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="format-number(floor(anm:AnmeldelseInformation/model:TinglysningAfgift/model:Afgiftsbeloeb), '###.###.###.###.##0', 'currency-format')"/>
					<xsl:with-param name="text2" select="'DKK'"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="msgandel:EkspeditionstypeIdentifikator='119'">
				<!-- Ingen rendering af tinglysningsafgift -->
			</xsl:when>
			<xsl:when test="msgandel:EkspeditionstypeIdentifikator='187'">
				<!-- Ingen rendering af tinglysningsafgift -->
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:variable name="bgOverskrift">
			<xsl:choose>
				<xsl:when test="msgandel:EkspeditionstypeIdentifikator='209'">
					<xsl:value-of select="'Begrundelse for efterbetalt tinglysningsafgift'"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'BEREGNINGSGRUNDLAGET ER ET ANDET'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:AfvigelsesaarsagTekst">
			<xsl:with-param name="heading" select="$bgOverskrift"/>
		</xsl:apply-templates>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<!--<xsl:apply-templates select="model:ErklaeringSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling" />
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
	</xsl:template>
</xsl:stylesheet>
