<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msg="http://rep.oio.dk/tinglysning.dk/service/message/tingbog/1/"
    xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/"
    xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/"
    xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/"
>

<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: AndenHaeftelseFastEjendomOpret.xslt 111139 2017-01-17 13:58:55Z lpallesen@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->

	<!-- Dette XSLT indeholder alle XSLT templates vedrørende AndenHaeftelseFastEjendomOpret -->

	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>

	
	<!-- ***********************************   AndenHaeftelseFastEjendomOpret  ********************************** -->
	<xsl:template match="msg:AndenHaeftelseFastEjendomOpret">
		<xsl:variable name="doctypeid" select="msg:EkspeditionstypeIdentifikator" />
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]" />
				<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator" />
		</xsl:call-template>
		<!-- EjendomSamling -->
		<xsl:apply-templates select="model:FastEjendomSamling"/>
		<!-- Rollesamling -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Skyldnererklæring -->
		<xsl:call-template name="UdskrivSkyldnerErklaering"></xsl:call-template>
		<!-- Hovedstol -->
		<xsl:apply-templates select="model:AndenHaeftelseFastEjendom/model:HaeftelseBeloeb"/>
		<!-- Hæftelse tekst frase -->
		<xsl:call-template name="VisFraser">
				<xsl:with-param name="node" select="model:AndenHaeftelseFastEjendom/model:HaeftelseTekst" />
		</xsl:call-template>
		<!-- Fuldmagtsbestemmelser -->
		<xsl:apply-templates select="model:AndenHaeftelseFastEjendom/model:FuldmagtAnmeldtSamling"/>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivHaeftelser"/>
		<xsl:call-template name="UdskrivFremtidigeHaeftelser"/>
		<xsl:call-template name="UdskrivServitutter"/>
		<!-- Udskriv oplysninger fælles for alle påtegninger, f.eks. anmelder, rolleliste osv. -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- AndenTekst bagudkompatibelt-->
		<xsl:if test="anm:AnmeldelseInformation/anm:AndenTekst != ''">
			<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		</xsl:if>
		<!-- AndenTekst -->
		<xsl:if test="anm:AnmeldelseInformation/anm:AndenTekstSamling != ''">
			<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		</xsl:if>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	
	<xsl:template match="model:AndenHaeftelseFastEjendom">
		<xsl:apply-templates select="model:HaeftelseBeloeb"/>
		<xsl:call-template name="VisFraser">
				<xsl:with-param name="node" select="model:HaeftelseTekst" />
		</xsl:call-template>
		<xsl:apply-templates select="model:FuldmagtAnmeldtSamling"/>
	</xsl:template>

</xsl:stylesheet>