<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/" xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/" xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/" xmlns:xkom="http://rep.oio.dk/xkom.dk/xml/schemas/2006/01/06/" xmlns:xkom-1="http://rep.oio.dk/xkom.dk/xml/schemas/2005/03/15/" xmlns:cpr="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" xmlns:cpr-1="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" xmlns:cpr-2="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/10/31/" xmlns:dkcc="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/03/15/" xmlns:dkcc-1="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2003/02/13/" xmlns:dkcc-2="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/" xmlns:itst-1="http://rep.oio.dk/itst.dk/xml/schemas/2005/01/10/" xmlns:itst-2="http://rep.oio.dk/itst.dk/xml/schemas/2006/01/17/" xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/" xmlns:msg="http://rep.oio.dk/tinglysning.dk/service/message/tingbog/1/" xmlns:msgandel="http://rep.oio.dk/tinglysning.dk/service/message/andelsbog/1/" xmlns:msgbil="http://rep.oio.dk/tinglysning.dk/service/message/bilbog/1/" xmlns:msgperson="http://rep.oio.dk/tinglysning.dk/service/message/personbog/1/" xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/" xmlns:adm="http://rep.oio.dk/tinglysning.dk/schema/administration/1/">
	<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: Anmeldelse.xslt 190138 2020-11-05 18:30:18Z meld@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	<xsl:key name="RolleStruktur" match="//snapshot:SnapshotSamling/snapshot:RolleSamling/snapshot:RolleStruktur" use="snapshot:RolleReference"/>
	<!-- ***********************************   RolleSamling   ********************************** -->
	<xsl:template match="model:RolleSamling">
		<xsl:param name="RolleID"/>
		<xsl:param name="gaeldsansvar" select="'no'"/>
  		<xsl:param name="skoedevirksomhedoverdragelse" select="'false'"/>
		<xsl:for-each select="model:Rolle">
			<xsl:choose>
				<xsl:when test="$RolleID">
					<xsl:if test="@id = $RolleID">
						<xsl:apply-templates select=".">
							<xsl:with-param name="gaeldsansvar" select="$gaeldsansvar"/>
						</xsl:apply-templates>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select=".">
						<xsl:with-param name="gaeldsansvar" select="$gaeldsansvar"/>
					</xsl:apply-templates>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
		<xsl:if test="$skoedevirksomhedoverdragelse='true'">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Ejendommen overdrages som led i virksomhedsoverdragelse.'" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<!-- ***********************************   Rolle   ********************************** -->
	<xsl:template match="model:Rolle">
		<xsl:param name="gaeldsansvar" select="'no'"/>
		<xsl:variable name="rtypeid" select="model:RolleTypeIdentifikator"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="$opslag//RolleType[@id = $rtypeid]"/>
		</xsl:call-template>
		<!-- Navn -->
		<xsl:variable name="id" select="@id"/>
		<xsl:call-template name="model:VisNavn">
			<xsl:with-param name="RolleReference" select="$id"/>
			<xsl:with-param name="prompt" select="'Navn'"/>
		</xsl:call-template>
		<!-- Vis adresse -->
		<xsl:call-template name="model:VisRolleAdresse">
			<xsl:with-param name="adr_id" select="$id"/>
		</xsl:call-template>
		<!-- CPR -->
		<xsl:apply-templates select="cpr-1:PersonCivilRegistrationIdentifier"/>
		<!-- CVR -->
		<xsl:apply-templates select="cvr:CVRnumberIdentifier"/>
		<!-- AuthorityCode -->
		<!--<xsl:apply-templates select="cpr-1:AuthorityCode"/>-->
		<xsl:call-template name="Myndighed">
			<xsl:with-param name="AuthorityCode" select="cpr-1:AuthorityCode"/>
			<xsl:with-param name="CVRnumberIdentifier" select="cvr:CVRnumberIdentifier"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:EjendomPaataleberettiget"/>
		<!-- Sagsreference -->
		<xsl:apply-templates select="model:SagsReference"/>
		<!-- SaelgerAndel -->
		<xsl:apply-templates select="model:SaelgerAndel"/>
		<!-- KoeberAndel -->
		<xsl:apply-templates select="model:KoeberAndel"/>
		<xsl:call-template name="linefeed"/>
		<!-- Tester for om personligt gældsansvar skal vises, pga. FØ047 -->
		<xsl:if test="$gaeldsansvar='yes'">
			<xsl:call-template name="model:RolleTypeIdentifikator_sub">
				<xsl:with-param name="id" select="$id"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="//anm:AnmeldelseInformation/model:FuldmagtOrdningSamling/model:FuldmagtOrdning[model:FuldmagtGiver = $id] or //anm:AnmeldelseInformation/model:AnmelderOrdningSamling/model:AnmelderOrdning[model:RolleReference = $id]">
			<xsl:apply-templates select="//anm:AnmeldelseInformation/model:FuldmagtOrdningSamling/model:FuldmagtOrdning[model:FuldmagtGiver = $id]"/>
			<xsl:apply-templates select="//anm:AnmeldelseInformation/model:AnmelderOrdningSamling/model:AnmelderOrdning[model:RolleReference = $id]"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
	</xsl:template>
	<!-- ***********************************   EjendomPaataleberettiget   ********************************** -->
	<xsl:template match="model:EjendomPaataleberettiget">
		<xsl:apply-templates select="model:EjendomIdentifikator"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Herskende ejendom'"/>
			<xsl:with-param name="text">
				<xsl:choose>
					<xsl:when test="model:HerskendeEjendom = 'true'">
						<xsl:value-of select="'Ja'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Nej'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<!-- ***********************************   AuthorityCode   ********************************** -->
	<xsl:template match="cpr-1:AuthorityCode">
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Myndighedskode'"/>
			<xsl:with-param name="text" select="."/>
		</xsl:call-template>
	</xsl:template>
	<!-- ***********************************   AuthorityCode / Myndighed   ********************************** -->
	<xsl:template name="Myndighed">
		<xsl:param name="AuthorityCode"/>
		<xsl:param name="CVRnumberIdentifier" select="''"/>
		<xsl:param name="Testamente" select="'false'"/>
		<xsl:if test="$AuthorityCode != ''">
			<xsl:variable name="Myndighedskode" select="$opslag//AuthorityCode[@id = $AuthorityCode]"/>
			<xsl:choose>
				<xsl:when test="($CVRnumberIdentifier ='21659509' or $Testamente='true') and $Myndighedskode !=''">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Myndighed'"/>
						<xsl:with-param name="text" select="$Myndighedskode"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Myndighedskode'"/>
						<xsl:with-param name="text" select="$AuthorityCode"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<!-- ***********************************   SagsReference   ********************************** -->
	<xsl:template match="model:SagsReference">
		<xsl:if test="node() != ''">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Sagsreference'"/>
				<xsl:with-param name="text" select="node()"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<!-- ***********************************   SaelgerAndel   ********************************** -->
	<xsl:template match="model:SaelgerAndel">
		<xsl:if test="node() != ''">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Sælgerandel'"/>
				<xsl:with-param name="text" select="concat(string(model:Taeller),'/',string(model:Naevner))"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<!-- ***********************************   KoeberAndel   ********************************** -->
	<xsl:template match="model:KoeberAndel">
		<xsl:if test="node() != ''">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Køberandel'"/>
				<xsl:with-param name="text" select="concat(string(model:Taeller),'/',string(model:Naevner))"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<!-- ***********************************   RolleTypeIdentifikator_sub   ********************************** -->
	<xsl:template name="model:RolleTypeIdentifikator_sub">
		<xsl:param name="id"/>
		<xsl:if test="node() = 'debitor' or node() = 'meddebitor'">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Personligt gældsansvar'"/>
				<xsl:with-param name="text">
					<xsl:choose>
						<xsl:when test="//model:PersonligtGaeldsansvarSamling[model:RolleReference = $id]">
							<xsl:value-of select="'Debitor har personligt gældsansvar'"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'Debitor har ikke personligt gældsansvar'"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
	</xsl:template>
	<!-- ***********************************   FuldmagtOrdning   ********************************** -->
	<xsl:template match="model:FuldmagtOrdning">
		<!--<xsl:variable name="FuldmagtsHaver" select="model:FuldmagtHaver/@id"/>-->
		<xsl:variable name="FuldmagtsHaver" select="@id"/>
		<xsl:variable name="FuldmagtsGiver" select="model:FuldmagtGiver"/>
		<!-- Navn -->
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Underskrevet i henhold til fuldmagt af'"/>
			<xsl:with-param name="text" select="//snapshot:SnapshotSamling/snapshot:RolleSamling/snapshot:RolleStruktur[snapshot:RolleReference = $FuldmagtsHaver]/snapshot:Navn"/>
		</xsl:call-template>
		<!-- Vis adresse -->
		<xsl:call-template name="model:VisRolleAdresse">
			<xsl:with-param name="adr_id" select="$FuldmagtsHaver"/>
		</xsl:call-template>
		<!-- CPR -->
		<xsl:apply-templates select="model:FuldmagtHaver/cpr-1:PersonCivilRegistrationIdentifier"/>
		<!-- CVR -->
		<xsl:apply-templates select="model:FuldmagtHaver/cvr:CVRnumberIdentifier"/>
		<xsl:call-template name="linefeed"/>
		<xsl:variable name="ErklaeringKode" select="model:Erklaering/model:ErklaeringKode"/>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="//snapshot:SnapshotSamling/snapshot:ErklaeringKodeSamling/snapshot:ErklaeringKodeStruktur[model:ErklaeringKode = $ErklaeringKode]/snapshot:ErklaeringTekst"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<xsl:template match="model:FuldmagtOrdningSamling">
		<xsl:for-each select="model:FuldmagtOrdning">
			<xsl:apply-templates select="model:FuldmagtOrdning"/>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   AnmelderOrdning   ********************************** -->
	<xsl:template match="model:AnmelderOrdning">
		<!-- Navn -->
		<xsl:variable name="Anmelder" select="@id"/>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Underskrevet i henhold til anmelderordning af'"/>
			<xsl:with-param name="text" select="//snapshot:SnapshotSamling/snapshot:RolleSamling/snapshot:RolleStruktur[snapshot:RolleReference=$Anmelder]/snapshot:Navn"/>
		</xsl:call-template>
		<!-- Vis adresse -->
		<xsl:call-template name="model:VisRolleAdresse">
			<xsl:with-param name="adr_id" select="$Anmelder"/>
		</xsl:call-template>
		<xsl:for-each select="model:Erklaering">
			<xsl:call-template name="snapshot:ErklaeringTekst_sub">
				<xsl:with-param name="ErklaeringKode" select="model:ErklaeringKode"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<!-- Udskriver en erklæring udfra en erklæringskode -->
	<xsl:template name="snapshot:ErklaeringTekst_sub">
		<xsl:param name="ErklaeringKode"/>
		<xsl:variable name="tekst" select="//snapshot:SnapshotSamling/snapshot:ErklaeringKodeSamling/snapshot:ErklaeringKodeStruktur[model:ErklaeringKode = $ErklaeringKode]/snapshot:ErklaeringTekst"/>
		<xsl:choose>
			<xsl:when test="string-length($tekst) > 1">
				<xsl:call-template name="linefeed"/>
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="$tekst"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="linefeed"/>
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="concat('FEJL: Tekst til erklæring ',$ErklaeringKode,' mangler i snapshot!')"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--*************************** model:ErklaeringSamling ****************************-->
	<xsl:template match="model:ErklaeringSamling">
		<xsl:param name="node" select="."/>
		<xsl:param name="heading" select="'ERKLÆRINGER'"/>
		<xsl:if test="count($node/*) > 0">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="$heading"/>
			</xsl:call-template>
			<xsl:for-each select="$node/model:Erklaering">
				<xsl:variable name="ErklaeringKode" select="model:ErklaeringKode"/>
				<xsl:variable name="snapshotErklaering" select="//snapshot:SnapshotSamling/snapshot:ErklaeringKodeSamling/snapshot:ErklaeringKodeStruktur[model:ErklaeringKode = $ErklaeringKode]"/>
				<xsl:if test="$snapshotErklaering/snapshot:ErklaeringTekst != ''">
					<xsl:call-template name="column2">
						<xsl:with-param name="text" select="$snapshotErklaering/snapshot:ErklaeringTekst"/>
					</xsl:call-template>
				</xsl:if>
				<!-- Alt herefter tages fra anmeldelsen -->
				<xsl:if test="model:BegrundelseTekst">
					<xsl:call-template name="VisFraser">
						<xsl:with-param name="node" select="model:BegrundelseTekst"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:Dato">
					<xsl:variable name="erkl_dato">
						<xsl:call-template name="formatdato">
							<xsl:with-param name="dato" select="model:Dato"/>
						</xsl:call-template>
					</xsl:variable>
					<xsl:call-template name="column2">
						<xsl:with-param name="text" select="string($erkl_dato)"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:LovhjemmelTekst">
					<xsl:call-template name="VisFraser">
						<xsl:with-param name="node" select="model:LovhjemmelTekst"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:AnmodningTekst">
					<xsl:call-template name="VisFraser">
						<xsl:with-param name="node" select="model:AnmodningTekst"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:ErklaeringsFritekst">
					<xsl:call-template name="VisFraser">
						<xsl:with-param name="node" select="model:ErklaeringsFritekst"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:Erhvervsoejemed/model:ErhvervsoejemedKode">
					<xsl:variable name="Erhvervskode" select="model:Erhvervsoejemed/model:ErhvervsoejemedKode"/>
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Erhvervsøjemed'"/>
						<!--<xsl:with-param name="text" select="model:Erhvervsoejemed/model:ErhvervsoejemedKode"/>-->
						<xsl:with-param name="text" select="$opslag//ErhvervsoejemedKode[@id = $Erhvervskode]"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:Erhvervsoejemed/model:Tekst">
					<xsl:call-template name="VisFraser">
						<xsl:with-param name="node" select="model:Erhvervsoejemed/model:Tekst"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:Beloeb">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Beløb'"/>
						<xsl:with-param name="text" select="format-number(floor(model:Beloeb), '###.###.###.###.##0', 'currency-format')"/>
						<xsl:with-param name="text2" select="model:ValutaKode"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:NedbragtpanteBeloeb">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Nedbragt til beløb'"/>
						<xsl:with-param name="text" select="format-number(floor(model:NedbragtpanteBeloeb), '###.###.###.###.##0', 'currency-format')"/>
						<xsl:with-param name="text2" select="model:ValutaKode"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:ForhoejelseBeloeb">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Forhøjet med beløb'"/>
						<xsl:with-param name="text" select="format-number(floor(model:ForhoejelseBeloeb), '###.###.###.###.##0', 'currency-format')"/>
						<xsl:with-param name="text2" select="model:ValutaKode"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="cvr:CVRnumberIdentifier">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Cvr-nr.'"/>
						<xsl:with-param name="text" select="cvr:CVRnumberIdentifier"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator">
					<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
					<xsl:variable name="alias" select="key('DokumentIdentifikator', $doc_id)"/>
					<xsl:call-template name="eakt:DokumentAliasIdentifikator">
						<xsl:with-param name="node" select="$alias"/>
						<xsl:with-param name="visAliasLink" select="'true'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:DokumentRevisionIdentifikator/model:RevisionNummer">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Revisionsnummer'"/>
						<xsl:with-param name="text" select="model:DokumentRevisionIdentifikator/model:RevisionNummer"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:MyndighedTekst">
					<xsl:call-template name="VisFraser">
						<xsl:with-param name="node" select="model:MyndighedTekst"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:LoebeNummer">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Løbenummer'"/>
						<xsl:with-param name="text" select="model:LoebeNummer"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:call-template name="linefeed"/>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<!--*************************** anm:AnmelderInformation ****************************-->
	<xsl:template match="anm:AnmelderInformation">
		<xsl:param name="include_adskiller" select="'true'"/>
		<xsl:if test="$include_adskiller = 'true'">
			<xsl:call-template name="UdskrivAnmeldeAdskiller"/>
		</xsl:if>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'ANMELDER'"/>
		</xsl:call-template>
		<xsl:variable name="identifier" select="cpr-1:PersonCivilRegistrationIdentifier | cvr:CVRnumberIdentifier"/>
		<!-- Navn -->
		<xsl:variable name="id" select="@id"/>
		<xsl:variable name="navn" select="//snapshot:SnapshotSamling/snapshot:RolleSamling/snapshot:RolleStruktur[snapshot:RolleReference=$id]/snapshot:Navn"/>
		<xsl:call-template name="model:VisNavn">
			<xsl:with-param name="RolleReference" select="$id"/>
		</xsl:call-template>
		<!-- Vis adresse -->
		<xsl:call-template name="model:VisRolleAdresse">
			<xsl:with-param name="adr_id" select="$id"/>
		</xsl:call-template>
		<!-- CPR -->
		<xsl:apply-templates select="cpr-1:PersonCivilRegistrationIdentifier"/>
		<!-- CVR -->
		<xsl:apply-templates select="cvr:CVRnumberIdentifier"/>
		<!-- AuthorityCode -->
		<!--<xsl:apply-templates select="cpr-1:AuthorityCode"/>-->
		<xsl:call-template name="Myndighed">
			<xsl:with-param name="AuthorityCode" select="cpr-1:AuthorityCode"/>
			<xsl:with-param name="CVRnumberIdentifier" select="cvr:CVRnumberIdentifier"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
		<!-- Kontaktoplysninger -->
		<xsl:apply-templates select="model:Kontaktoplysninger"/>
		<!-- Andre e-mail adresser -->
		<xsl:if test="anm:SeparatAdresse">
			<!--<xsl:call-template name="column1">
					<xsl:with-param name="text" select="'Sendes også til'" />
				</xsl:call-template>-->
			<xsl:for-each select="anm:SeparatAdresse">
				<xsl:choose>
					<xsl:when test="position() = 1">
						<xsl:call-template name="two_columns">
							<xsl:with-param name="prompt" select="'Sendes også til'"/>
							<xsl:with-param name="text" select="."/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="column2">
							<xsl:with-param name="text" select="."/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Sagsreference -->
		<xsl:if test="model:SagsReference != ''">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Anmelders sagsnummer'"/>
				<xsl:with-param name="text" select="model:SagsReference"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Anmelders bilag -->
		<xsl:apply-templates select="model:AnmelderBilagReferenceSamling"/>
		<!-- SupplerendeAdresseSamling -->
		<xsl:apply-templates select="anm:SupplerendeAdresseSamling"/>
	</xsl:template>
	<!--***************************************** model:Kontaktoplysninger*****************************************-->
	<xsl:template match="model:Kontaktoplysninger">
		<xsl:if test="string-length(itst-2:PersonName) > 0 or string-length(cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressFirstLineText) > 0 or string-length(itst-1:TelephoneNumberIdentifier) > 0 or string-length(xkom-1:EmailAddressIdentifier) > 0">
			<xsl:choose>
				<xsl:when test="itst-2:PersonName">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Kontaktoplysninger'"/>
						<xsl:with-param name="text" select="concat(itst-2:PersonName,',')"/>
						<xsl:with-param name="text2" select="cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressFirstLineText"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Kontaktoplysninger'"/>
						<xsl:with-param name="text" select="cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressFirstLineText"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="string-length(cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressSecondLineText) > 0">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressSecondLineText"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="string-length(cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressThirdLineText) > 0">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressThirdLineText"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="string-length(cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressFourthLineText) > 0">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressFourthLineText"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="string-length(cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressFifthLineText) > 0">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressFifthLineText"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="string-length(cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressSixthLineText) > 0">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressSixthLineText"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="itst-1:TelephoneNumberIdentifier">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="itst-1:TelephoneNumberIdentifier"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="xkom-1:EmailAddressIdentifier">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="xkom-1:EmailAddressIdentifier"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
	</xsl:template>
	<!--*************************** SupplerendeAdresseSamling ****************************-->
	<xsl:template match="anm:SupplerendeAdresseSamling">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'SENDES OGSÅ TIL'"/>
		</xsl:call-template>
		<xsl:for-each select="anm:SupplerendeAdresse">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'E-mail'"/>
				<xsl:with-param name="text" select="anm:SeparatAdresse"/>
			</xsl:call-template>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Sagsnummer'"/>
				<xsl:with-param name="text" select="model:SagsReference"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:for-each>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!--*************************** Bilag ****************************-->
	<xsl:template match="model:BilagReferenceSamling">
		<!-- Udskrivning af overskrift -->
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'BILAG'"/>
		</xsl:call-template>
		<!-- Udskrivning af selve bilagene -->
		<xsl:call-template name="bilag_udskriv">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="model:AnmelderBilagReferenceSamling">
		<!-- Udskrivning af overskrift er ikke nødvendig under anmelder -->
		<!-- Udskrivning af selve bilagene -->
		<xsl:call-template name="bilag_udskriv">
			<xsl:with-param name="node" select="./model:AnmelderBilagReference"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="BilagProeves">
		<xsl:param name="node"/>
		<xsl:choose>
			<xsl:when test="$node='true'">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="'Bilag prøves.'"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$node='false'">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="'Bilag prøves ikke.'"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<!--*************************** Anm:AndenTekst ****************************-->
	<xsl:template match="anm:AndenTekst">
		<!-- bagudkompatibel -->
		<xsl:call-template name="VisAndenTekst">
			<xsl:with-param name="node" select="."/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="anm:AndenTekstSamling">
		<xsl:call-template name="VisAndenTekstSamling">
			<xsl:with-param name="node" select="."/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
	</xsl:template>
	<!--*************************** model:BrugerformularIdentifikator ****************************-->
	<xsl:template name="model:BrugerformularIdentifikator_sub">
		<xsl:param name="node" select="//anm:Procesinstruktion/model:BrugerformularIdentifikator"/>
		<xsl:if test="$node">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'TINGLYSNING ER SKET VED ANVENDELSE AF BRUGERFORMULAR'"/>
			</xsl:call-template>
			<xsl:variable name="IdStruktur" select="//snapshot:BrugerformularIdentifikatorSamling/snapshot:BrugerformularIdentifikatorStruktur[model:BrugerformularIdentifikator=$node]"/>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Brugerformular id'"/>
				<xsl:with-param name="text" select="$node"/>
			</xsl:call-template>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$IdStruktur/model:BrugerformularNavn"/>
			</xsl:call-template>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$IdStruktur/model:BrugerformularBeskrivelse"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
	</xsl:template>
	<!--*************************** Snapshot ****************************-->
	<xsl:template name="model:VisNavn">
		<xsl:param name="prompt" select="''"/>
		<xsl:param name="RolleReference"/>
		<xsl:variable name="Name" select="key('RolleStruktur', $RolleReference)/snapshot:Navn"/>
		<xsl:choose>
			<xsl:when test="$Name">
				<xsl:choose>
					<xsl:when test="$prompt != ''">
						<xsl:call-template name="two_columns">
							<xsl:with-param name="prompt" select="$prompt"/>
							<xsl:with-param name="text" select="$Name"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="column2">
							<xsl:with-param name="text" select="$Name"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="PersonName" select="//model:RolleSamling/model:Rolle[@id = $RolleReference]"/>
				<xsl:if test="$PersonName/itst-2:PersonName">
					<xsl:call-template name="column2">
						<xsl:with-param name="text" select="$PersonName/itst-2:PersonName"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- ***********************************   AnmaerkningStatusNotifikation   ********************************** -->
	<xsl:template match="anm:AnmaerkningStatusNotifikation">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'TVANGSABONNEMENT NOTIFIKATION'"/>
			<xsl:with-param name="show_logo" select="'false'"/>
		</xsl:call-template>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'ABONNEMENT HÆNDELSE'"/>
		</xsl:call-template>
		<xsl:variable name="abotypeid" select="../adm:AbonnementHaendelseType"/>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="$opslag//AbonnementHaendelseType[@id = $abotypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'ANMELDELSESIDENTIFIKATOR'"/>
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="model:AnmeldelseIdentifikator"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
		<xsl:if test="model:SagsReference != '' or model:AktoerReference != ''">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'ANMELDERS EGNE DATA'"/>
			</xsl:call-template>
			<xsl:if test="model:SagsReference != ''">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Anmelders sagsreference'"/>
					<xsl:with-param name="text" select="model:SagsReference"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="model:AktoerReference != ''">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'AktoerID'"/>
					<xsl:with-param name="text" select="model:AktoerReference/model:AktoerID"/>
				</xsl:call-template>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'KorrelationID'"/>
					<xsl:with-param name="text" select="model:AktoerReference/model:KorrelationID"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
