<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msg="http://rep.oio.dk/tinglysning.dk/service/message/tingbog/1/" xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/" xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/" xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/">
	<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:strip-space elements="*"/>
<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: AttestDommerOpret.xslt 111139 2017-01-17 13:58:55Z lpallesen@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->

<!-- Start - main templates -->	
	<xsl:template match="msg:AttestDommerOpret">
		<xsl:variable name="doctypeid" select="msg:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		
		<xsl:call-template name="heading">
            <xsl:with-param name="text" select="'EJENDOM'"/>
        </xsl:call-template>
        <xsl:apply-templates select="model:FastEjendomSamling/model:FastEjendom/model:EjendomIdentifikator"/>
		<xsl:call-template name="linefeed" />
		
        <xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		
		<!--Anledning til Attest-->
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'ANLEDNING TIL ATTEST'"/>
        </xsl:call-template>
        <xsl:variable name="doctypeid1" select="model:AttestDommer/model:AttestAnledningKode"/>
        <xsl:call-template name="column2">
			<xsl:with-param name="text" select="$opslag//AttestAnledningKode[@id = $doctypeid1]"/>
        </xsl:call-template>
        <xsl:call-template name="linefeed" />
		
		<!-- Dommerattest -->
		<xsl:apply-templates select="model:AttestDommer"/>

		<!--Anden tekst-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/> <!-- bagudkompatibel -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>

		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivHaeftelser"/>
		<xsl:call-template name="UdskrivFremtidigeHaeftelser"/>
		<xsl:call-template name="UdskrivServitutter"/>

		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>		

		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		 <!-- I flg. QC8243 skal afgiftklodsen ikke vises -->
		<!-- Tinglysningsafgift -->
		<!--<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>-->
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<!--<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			  <xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>-->
	</xsl:template>
	
	<xsl:template match="model:AttestDommer">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FØLGENDE BETINGELSER ER OPFYLDT'"/>
		</xsl:call-template>
		<xsl:variable name="oplysningskode" select="model:ArealOplysningKode"/>
		
		<xsl:choose>
			<xsl:when test="model:Adkomstforhold='true'">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Adkomstforhold'"/>
					<xsl:with-param name="text" select="'Ja'"/>
				</xsl:call-template>
			</xsl:when>	
			<xsl:otherwise>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Adkomstforhold'"/>
					<xsl:with-param name="text" select="'Nej'"/>
				</xsl:call-template>
			</xsl:otherwise>	
		</xsl:choose>
		
		<xsl:choose>
			<xsl:when test="model:Panteforhold='true'">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Panteforhold'"/>
					<xsl:with-param name="text" select="'Ja'"/>
				</xsl:call-template>
			</xsl:when>	
			<xsl:otherwise>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Panteforhold'"/>
					<xsl:with-param name="text" select="'Nej'"/>
				</xsl:call-template>
			</xsl:otherwise>	
		</xsl:choose>
		
		<xsl:choose>
			<xsl:when test="model:Servitutforhold='true'">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Servitutforhold'"/>
					<xsl:with-param name="text" select="'Ja'"/>
				</xsl:call-template>
			</xsl:when>	
			<xsl:otherwise>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Servitutforhold'"/>
					<xsl:with-param name="text" select="'Nej'"/>
				</xsl:call-template>
			</xsl:otherwise>	
		</xsl:choose>
		<xsl:call-template name="linefeed" />			
		
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'OPLYSNING OM AREAL'"/>
		</xsl:call-template>
		<xsl:variable name="arealoplysningskode" select="model:ArealOplysningKode"/>
        <xsl:call-template name="column2">
			<xsl:with-param name="text" select="$opslag//ArealOplysningKode[@id = $arealoplysningskode]"/>
        </xsl:call-template>
   		<xsl:call-template name="linefeed" />		

	</xsl:template>
	
	<!-- avoid unwanted output -->
	<!---<xsl:template match="snapshot:SnapshotSamling"/>-->
</xsl:stylesheet>
