<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/" xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/" xmlns:msgbil="http://rep.oio.dk/tinglysning.dk/service/message/bilbog/1/" xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/" xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/" xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/" xmlns:xkom="http://rep.oio.dk/xkom.dk/xml/schemas/2006/01/06/" xmlns:xkom-1="http://rep.oio.dk/xkom.dk/xml/schemas/2005/03/15/" xmlns:xkom-2="http://rep.oio.dk/xkom.dk/xml/schemas/2006/01/06/" xmlns:cpr="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" xmlns:cpr-1="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" xmlns:cpr-2="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/10/31/" xmlns:dkcc="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/03/15/" xmlns:dkcc-2="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/" xmlns:itst-1="http://rep.oio.dk/itst.dk/xml/schemas/2005/01/10/" xmlns:itst-2="http://rep.oio.dk/itst.dk/xml/schemas/2006/01/17/" xmlns:n3="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/" xmlns:ds="http://www.w3.org/2000/09/xmldsig#">
	<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: BilbogPaategninger.xslt 190138 2020-11-05 18:30:18Z meld@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!--===============================================================-->
	<!-- Denne XSLT indeholder hæftelsepåtegninger til bilbog: -->
	<!--===============================================================-->
	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	<xsl:key name="DokumentIdentifikator" match="//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur" use="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
	<!--===============================================================-->
	<!-- Påtegninger -->
	<!--===============================================================-->
	<!--  ************************  msgbil:HaeftelseKombinationBilPaategn  **************************** -->
	<xsl:template match="msgbil:HaeftelseKombinationBilPaategn">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id"/>
		</xsl:call-template>
		<!-- Udskriv de enkelte påtegninger  -->
		<xsl:for-each select="node()">
			<xsl:if test="contains(string(name()), 'EkspeditionstypeNyDebitorBil')">
				<xsl:apply-templates select="."/>
			</xsl:if>
		</xsl:for-each>
		<!-- Udskriv de enkelte påtegninger  -->
		<xsl:for-each select="node()">
			<xsl:sort select=".//model:EkspeditionstypeRaekkefoelge"/>
			<xsl:if test="contains(string(name()), 'Ekspeditionstype') and not(contains(string(name()), 'EkspeditionstypeNyDebitorBil'))">
				<xsl:apply-templates select="."/>
			</xsl:if>
		</xsl:for-each>
		<xsl:call-template name="UdskrivSkyldnerErklaering"/>
		<!-- Udskriv oplysninger fælles for alle påtegninger, f.eks. anmelder, erklæringer osv. -->
		<!--<xsl:if test="anm:AnmeldelseInformation/model:ErklaeringSamling or anm:AnmeldelseInformation/model:BilagReferenceSamling or anm:AnmeldelseInformation/anm:AndenTekst or anm:AnmeldelseInformation/anm:AndenTekstSamling">-->
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
		<!--</xsl:if>-->
		<!-- Roller -->
		<xsl:call-template name="NoneRolleRef">
			<xsl:with-param name="RolleSamling" select="anm:AnmeldelseInformation/model:RolleSamling"/>
			<xsl:with-param name="gaeldsansvar">
				<xsl:choose>
					<!-- Pga. manglende rollereference, når kombi kun indeholder én ekspeditionstype -->
					<xsl:when test="//model:EkspeditionstypeIdentifikator=65">
						<xsl:value-of select="'yes'"/>
					</xsl:when>
					<xsl:when test="//model:EkspeditionstypeIdentifikator=77">
						<!-- QC 9453 -->
						<xsl:choose>
							<xsl:when test="model:EkspeditionstypeVilkaarsaendringHaeftelseBil/model:VilkaarsaendringHaeftelseBil/model:PantebrevBil">
								<xsl:value-of select="'yes'"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="'no'"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'no'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>		
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*********************************************  57 - RespektHæftelseBil **********************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeRespektHaeftelseBil">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
			<xsl:with-param name="text2" select="$opslag//PaategningHjaelpetekst[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:RespektBilSamling"/>
		<xsl:call-template name="linefeed"/>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivBilHaeftelser">
			<xsl:with-param name="Root" select="model:RespektBilSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeBilHaeftelser">
			<xsl:with-param name="Root" select="model:RespektBilSamling"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--****************************************  61 - TransportHæftelseBil *************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeTransportHaeftelseBilSamling">
		<xsl:for-each select="model:EkspeditionstypeTransportHaeftelseBil">
			<xsl:sort select="model:EkspeditionstypeRaekkefoelge"/>
			<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
			<xsl:call-template name="document_subheader">
				<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
			</xsl:call-template>
			<xsl:call-template name="ledetekst">
				<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
			</xsl:call-template>
			<xsl:choose>
				<xsl:when test="model:RolleReferenceSamling">
					<xsl:apply-templates select="model:RolleReferenceSamling"/>
				</xsl:when>
				<!--<xsl:otherwise>
					<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
				</xsl:otherwise>-->
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--**********************************************  65 - NyDebitorBil ***************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeNyDebitorBilSamling">
		<xsl:for-each select="model:EkspeditionstypeNyDebitorBil">
			<xsl:sort select="model:EkspeditionstypeRaekkefoelge"/>
			<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
			<xsl:call-template name="document_subheader">
				<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
			</xsl:call-template>
			<xsl:call-template name="ledetekst">
				<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
			</xsl:call-template>
			<!-- Roller specifikke for påtegningen -->
			<xsl:choose>
				<xsl:when test="model:RolleReferenceSamling">
					<xsl:apply-templates select="model:RolleReferenceSamling"/>
				</xsl:when>
				<!--<xsl:otherwise>
					<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
				</xsl:otherwise>-->
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--****************************************  69 - NyMeddelelseshaverBil ************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeMeddelelseshaverBil">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling">
					<xsl:with-param name="gaeldsansvar" select="'yes'"/>
				</xsl:apply-templates>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--****************************************  73 - NyFuldmagtshaverHæftelseBil ******************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeFuldmagtshaverHaeftelseBil">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:FuldmagtshaverHaeftelseBil/model:FuldmagtAnmeldtSamling"/>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--***************************************  77 - VilkaarsaendringHaeftelseBil ******************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeVilkaarsaendringHaeftelseBil">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:if test="model:VilkaarsaendringHaeftelseBil/model:PantebrevBil or model:VilkaarsaendringHaeftelseBil/model:EjerpantebrevBil">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'VILKÅRSÆNDRING'"/>
			</xsl:call-template>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Pantebrevsskift til'"/>
				<xsl:with-param name="text">
					<xsl:choose>
						<xsl:when test="model:VilkaarsaendringHaeftelseBil/model:PantebrevBil">
							<xsl:value-of select="'Pantebrev'"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'Ejerpantebrev'"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling">
					<xsl:with-param name="gaeldsansvar" select="'yes'"/>
				</xsl:apply-templates>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseBil/model:HaeftelseVilkaarRente"/>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseBil/model:HaeftelseVilkaarBetaling"/>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseBil/model:HaeftelseVilkaarOpsigelse"/>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseBil/model:HaeftelseSaerligBestemmelseSamling"/>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseBil/model:HaeftelseAndenTekstSamling"/>
		<!--PantebrevBil og EjerpantebrevBil-->
		<xsl:if test="model:VilkaarsaendringHaeftelseBil/model:PantebrevBil">
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseBil/model:PantebrevBil"/>
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseBil/model:PantebrevBil/model:HaeftelsePantebrevFormularLovpligtigKode"/>
		</xsl:if>
		<xsl:if test="model:VilkaarsaendringHaeftelseBil/model:EjerpantebrevBil">
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseBil/model:EjerpantebrevBil"/>
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseBil/model:EjerpantebrevBil/model:HaeftelsePantebrevFormularLovpligtigKode"/>
		</xsl:if>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--******************************************  81 - PaategningHaeftelseBil *********************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypePaategningHaeftelseBil">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
		<xsl:call-template name="VisFraser">
			<xsl:with-param name="node" select="model:PaategningHaeftelseBil/model:PaategningsTekst"/>
		</xsl:call-template>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*******************************************  85 - ForhoejelseBil ****************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeForhoejelseBil">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:ForhoejelseBil/model:NytHaeftelseBeloeb"/>
		<xsl:if test="model:ForhoejelseBil/model:ForhoejUnderpantIndikator = 'true'">
			<xsl:call-template name="forhoejUnderpant">
				<xsl:with-param name="beloeb" select="model:ForhoejelseBil/model:NytHaeftelseBeloeb/model:BeloebVaerdi"/>
			</xsl:call-template>
		</xsl:if>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivBilHaeftelser">
			<xsl:with-param name="Root" select="model:ForhoejelseBil/model:RespektBilSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeBilHaeftelser">
			<xsl:with-param name="Root" select="model:ForhoejelseBil/model:RespektBilSamling"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--***********************************  89 - EkspeditionstypeUdvidelseSkiftAfPantHaeftelseBil ******************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeUdvidelseSkiftAfPantHaeftelseBil">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Ejendomme -->
		<xsl:apply-templates select="//model:BilSamling"/>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivBilHaeftelser">
			<xsl:with-param name="Root" select="//model:BilSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeBilHaeftelser">
			<xsl:with-param name="Root" select="//model:BilSamling"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!-- ****************************************  92 - NedlysningBil ****************************************** -->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeNedlysningBil">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:NedlysningBil/model:NytHaeftelseBeloeb"/>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!-- ***************************  97 - EkspeditionstypeRelaksationHaeftelseBil ***************************** -->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeRelaksationHaeftelseBil">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Udskriver evt. biler -->
		<xsl:variable name="Biler">
			<xsl:for-each select="model:RelaksationBilSamling/model:RelaksationBil">
				<xsl:call-template name="model:VisBil">
					<xsl:with-param name="node" select="."/>
				</xsl:call-template>
				<!--<xsl:apply-templates select="."/>-->
				<xsl:if test="model:BetingelserTekst">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Betingelser'"/>
						<xsl:with-param name="text" select="model:BetingelserTekst"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="model:BetingelseTekstAngivelse">
					<xsl:call-template name="VisFraser">
						<xsl:with-param name="node" select="model:BetingelseTekstAngivelse"/>
						<xsl:with-param name="indent_1st_line" select="'off'"/>
						<xsl:with-param name="text" select="'Betingelser'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:call-template name="linefeed"/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:if test="$Biler">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'KØRETØJ'"/>
			</xsl:call-template>
			<xsl:copy-of select="$Biler"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!-- **********************************  97 - DokumentRettighedSamlingRelakser **************************** -->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msgbil:DokumentRettighedSamlingRelakser">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'DOKUMENT SOM PÅTEGNES'"/>
		</xsl:call-template>
		<xsl:variable name="Rettigheder" select="//snapshot:SnapshotSamling/snapshot:RettighedIdentifikatorSamling/snapshot:RettighedIdentifikatorStruktur"/>
		<xsl:variable name="Dokumenter" select="//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur"/>
		<xsl:for-each select="model:RettighedIdentifikatorSamling/model:RettighedIdentifikator">
			<xsl:if test="position()=1">
				<xsl:variable name="ret_id" select="."/>
				<!--<xsl:value-of select="$ret_id"/>-->
				<xsl:variable name="dok_id" select="$Rettigheder[model:Rettighed/model:Pantrettighed/model:RettighedIdentifikator=$ret_id]/model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
				<xsl:call-template name="dokument_som_paategnes">
					<xsl:with-param name="doc_id" select="$dok_id"/>
					<xsl:with-param name="include_header" select="'false'"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:for-each>
		<xsl:variable name="doctypeid" select="msgbil:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="msgbil:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:for-each select="model:RettighedIdentifikatorSamling/model:RettighedIdentifikator">
			<xsl:variable name="ret_id" select="."/>
			<xsl:variable name="dok_id" select="$Rettigheder[model:Rettighed/model:Pantrettighed/model:RettighedIdentifikator=$ret_id]/model:TinglysningObjektIdentifikator"/>
			<xsl:call-template name="model:VisBil">
				<xsl:with-param name="node" select="$dok_id"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:if test="msgbil:BetingelserTekst">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'BETINGELSER'"/>
			</xsl:call-template>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="msgbil:BetingelserTekst"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="model:BetingelseTekstAngivelse">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'BETINGELSER'"/>
			</xsl:call-template>
			<xsl:call-template name="VisFraser">
				<xsl:with-param name="node" select="model:BetingelseTekstAngivelse"/>
			</xsl:call-template>
		</xsl:if>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Rollesamlingen skal stå til sidst efter en skillelinie -->
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--*********************************************************************************************************************-->
	<!--***************************** 233 - DigitaliserPantebrevBilPaategn ***********************************-->
	<!--*********************************************************************************************************************-->
	<xsl:template match="msgbil:DigitaliserPantebrevBilPaategn">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id"/>
		</xsl:call-template>
		<xsl:variable name="doctypeid" select="msgbil:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="msgbil:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:DigitaliserPantebrevBil/model:FuldmagtAnmeldtSamling"/>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Rollesamlingen skal stå til sidst efter en skillelinie -->
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--*********************************************************************************************************************-->
	<!--***************************** 119, 121, 187, 209 - DokumentAfgiftPaategn ***********************************-->
	<!--*********************************************************************************************************************-->
	<xsl:template match="msgbil:DokumentAfgiftPaategn">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id"/>
		</xsl:call-template>
		<xsl:variable name="doctypeid" select="msgbil:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="msgbil:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:variable name="overskrift">
			<xsl:choose>
				<xsl:when test="msgbil:EkspeditionstypeIdentifikator='119'">
					<xsl:value-of select="'Afgiftsgodtgørelse'"/>
				</xsl:when>
				<xsl:when test="msgbil:EkspeditionstypeIdentifikator='189'">
					<xsl:value-of select="'Afgiftsberigtigelse'"/>
				</xsl:when>
				<xsl:when test="msgbil:EkspeditionstypeIdentifikator='209'">
					<xsl:value-of select="'Samlet betalt tinglysningsafgift'"/>
				</xsl:when>
				<xsl:when test="msgbil:EkspeditionstypeIdentifikator='187'">
					<xsl:value-of select="'Samlet betalt tinglysningsafgift'"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'Tinglysningsafgift'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="$overskrift"/>
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="format-number(floor(msgbil:Beloeb), '###.###.###.###.##0', 'currency-format')"/>
			<xsl:with-param name="text2" select="'DKK'"/>
		</xsl:call-template>
		<!-- ***************************************************************************************-->
		<!-- ** FritekstInformationTekst ifm. 187                                       ************-->
		<!-- ***************************************************************************************-->
		<xsl:if test="model:FritekstInformationTekst">
			<xsl:call-template name="linefeed"/>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="//model:FritekstInformationTekst"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="Alm_Anmeldelses_info_bil"/>
	</xsl:template>
	<!--***************************** Anmeldelses information for påtegninger ***********************************-->
	<xsl:template name="Alm_Anmeldelses_info_bil">
		<xsl:param name="Skillelinie" select="'True'"/>
		<!-- Udskriv skillelinie -->
		<xsl:if test="$Skillelinie = 'True'">
			<xsl:call-template name="dividerlong"/>
			<xsl:call-template name="linefeed"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Udskriv oplysninger fælles for alle påtegninger, f.eks. anmelder, rolleliste osv. -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Øvrigt bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Roller -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<xsl:if test="$Skillelinie = 'True'">
			<xsl:call-template name="UdskrivSkyldnerErklaering"/>
		</xsl:if>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:choose>
			<xsl:when test="msgbil:EkspeditionstypeIdentifikator='209'">
				<xsl:call-template name="heading">
					<xsl:with-param name="text" select="'Efterbetalt tinglysningsafgift'"/>
				</xsl:call-template>
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="format-number(floor(anm:AnmeldelseInformation/model:TinglysningAfgift/model:Afgiftsbeloeb), '###.###.###.###.##0', 'currency-format')"/>
					<xsl:with-param name="text2" select="'DKK'"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="msgbil:EkspeditionstypeIdentifikator='119'">
				<!-- Ingen rendering af tinglysningsafgift -->
			</xsl:when>
			<xsl:when test="msgbil:EkspeditionstypeIdentifikator='187'">
				<!-- Ingen rendering af tinglysningsafgift -->
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:variable name="bgOverskrift">
			<xsl:choose>
				<xsl:when test="msgbil:EkspeditionstypeIdentifikator='209'">
					<xsl:value-of select="'Begrundelse for efterbetalt tinglysningsafgift'"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'BEREGNINGSGRUNDLAGET ER ET ANDET'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:AfvigelsesaarsagTekst">
			<xsl:with-param name="heading" select="$bgOverskrift"/>
		</xsl:apply-templates>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<!--<xsl:apply-templates select="model:ErklaeringSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling" />
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
	</xsl:template>
</xsl:stylesheet>
