<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/"
    xmlns:msgadm="http://rep.oio.dk/tinglysning.dk/service/message/administration/1/"
    xmlns:msg="http://rep.oio.dk/tinglysning.dk/service/message/tingbog/1/"
    xmlns:msgbil="http://rep.oio.dk/tinglysning.dk/service/message/bilbog/1/"
    xmlns:msgandel="http://rep.oio.dk/tinglysning.dk/service/message/andelsbog/1/"
    xmlns:msgperson="http://rep.oio.dk/tinglysning.dk/service/message/personbog/1/"
    xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/"
    xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/"
	xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/"
	>
<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: Brugerformular.xslt 105871 2016-09-14 12:04:28Z lpallesen@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	
	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	
	<!-- ***********************************   MAIN   ********************************** -->
	<xsl:template match="msgadm:BrugerformularIndsendSvar | msgadm:BrugerformularHentSvar">
		
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'BRUGERFORMULAR'" />
		</xsl:call-template>

		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'BRUGERFORMULARIDENTIFIKATOR'" />
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="model:BrugerformularIdentifikator" />
		</xsl:call-template>
		<xsl:call-template name="linefeed" />
		<xsl:apply-templates select="model:BrugerformularInformation"/>
		<xsl:call-template name="linefeed" />
		<xsl:apply-templates select="anm:BrugerformularRegelSamling"/>
		<xsl:call-template name="linefeed" />


		<xsl:call-template name="linefeed" />
		
    <xsl:apply-templates select="msg:AnmeldelseTingbog"/>
    <xsl:apply-templates select="msgbil:AnmeldelseBilbog"/>
    <xsl:apply-templates select="msgandel:AnmeldelseAndelsbog"/>
    <xsl:apply-templates select="msgperson:AnmeldelsePersonbog"/>
	</xsl:template>

	<!-- ***********************************   model:BrugerformularInformation   ********************************** -->
	<xsl:template match="model:BrugerformularInformation">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'BRUGERFORMULARINFORMATION'" />
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Navn'" />
			<xsl:with-param name="text" select="model:BrugerformularNavn" />
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Beskrivelse'" />
			<xsl:with-param name="text" select="model:BrugerformularBeskrivelse" />
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Ejer'" />
			<xsl:with-param name="text" select="model:BrugerformularEjer/cvr:CVRnumberIdentifier" />
		</xsl:call-template>
		<xsl:if test="model:Gyldighedsperiode/model:DatoFra">
			<xsl:variable name="bffradato">
				<xsl:call-template name="formatdato">
					<xsl:with-param name="dato" select="model:Gyldighedsperiode/model:DatoFra"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Gyldig fra'" />
				<xsl:with-param name="text" select="string($bffradato)"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="model:Gyldighedsperiode/model:DatoTil">
			<xsl:variable name="bftildato">
				<xsl:call-template name="formatdato">
					<xsl:with-param name="dato" select="model:Gyldighedsperiode/model:DatoTil"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Gyldig til'" />
				<xsl:with-param name="text" select="string($bftildato)"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:variable name="OffentligIndikator">
			<xsl:choose>
				<xsl:when test="model:BrugerformularOffentligIndikator='true'">
					<xsl:value-of select="'Ja'"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'Nej'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Offentlig'" />
			<xsl:with-param name="text" select="$OffentligIndikator" />
		</xsl:call-template>
		<xsl:variable name="StatusKode">
			<xsl:choose>
				<xsl:when test="model:BrugerformularStatusKode='oprettet'">
					<xsl:value-of select="'Oprettet'"/>
				</xsl:when>
				<xsl:when test="model:BrugerformularStatusKode='godkendt'">
					<xsl:value-of select="'Godkendt'"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'Afvist'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Status'" />
			<xsl:with-param name="text" select="$StatusKode" />
			<!--<xsl:with-param name="text" select="model:BrugerformularStatusKode" />-->
		</xsl:call-template>
		<xsl:call-template name="linefeed" />
		<xsl:apply-templates select="model:BrugerformularBrugerSamling"/>
		
		<xsl:call-template name="linefeed" />
	</xsl:template>

	<!-- ***********************************   model:BrugerformularBrugerSamling   ********************************** -->
	<xsl:template match="model:BrugerformularBrugerSamling">
		<xsl:if test="model:BrugerformularBruger">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'BRUGERSAMLING'" />
			</xsl:call-template>
			<xsl:for-each select="model:BrugerformularBruger">
				<xsl:choose>
					<xsl:when test="string-length() > 8">
						<xsl:call-template name="two_columns">
							<xsl:with-param name="prompt" select="'Cpr-nr.'" />
							<xsl:with-param name="text" select="concat(substring(node(),1,6),'-****')" />
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="two_columns">
							<xsl:with-param name="prompt" select="'Cvr-nr.'" />
							<xsl:with-param name="text" select="." />
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!-- ***********************************   model:BrugerformularBrugerSamling   ********************************** -->
	<xsl:template match="anm:BrugerformularRegelSamling">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'REGELSAMLING'" />
			</xsl:call-template>
		<xsl:for-each select="anm:BrugerformularRegelVariabel">
			<xsl:value-of select="." />
			<xsl:call-template name="linefeed" />
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
