<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msg="http://rep.oio.dk/tinglysning.dk/service/message/tingbog/1/"
    xmlns:msgbil="http://rep.oio.dk/tinglysning.dk/service/message/bilbog/1/"
    xmlns:msgandel="http://rep.oio.dk/tinglysning.dk/service/message/andelsbog/1/"
    xmlns:msgperson="http://rep.oio.dk/tinglysning.dk/service/message/personbog/1/"
    xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/"
    xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/">

<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: DokumentPaategn.xslt 111139 2017-01-17 13:58:55Z lpallesen@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!-- Dette XSLT indeholder alle XSLT templates vedrørende DokumentPaategn -->

	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	
	<!-- ***********************************   NavneaendringAdkomstFastEjendomPaategn ********************************** -->
	<xsl:template match="msg:NavneaendringAdkomstFastEjendomPaategn">
		<xsl:call-template name="DokumentPaategn">
			<xsl:with-param name="node" select="." />
			<xsl:with-param name="eksptype" select="msg:EkspeditionstypeIdentifikator" />
		</xsl:call-template>	
	</xsl:template>	
	
	<!-- ***********************************   DokumentPaategn  tingbog ********************************** -->
	<xsl:template match="msg:DokumentPaategn">
		<xsl:call-template name="DokumentPaategn">
			<xsl:with-param name="node" select="." />
			<xsl:with-param name="eksptype" select="msg:EkspeditionstypeIdentifikator" />
		</xsl:call-template>	
	</xsl:template>
	
	<!-- ***********************************   DokumentPaategn bilbog ********************************** -->
	<xsl:template match="msgbil:DokumentPaategn">
		<xsl:call-template name="DokumentPaategn">
			<xsl:with-param name="node" select="." />
			<xsl:with-param name="eksptype" select="msgbil:EkspeditionstypeIdentifikator" />
		</xsl:call-template>	
	</xsl:template>
	
	<!-- ***********************************   DokumentPaategn andelsbog ********************************** -->
	<xsl:template match="msgandel:DokumentPaategn">
		<xsl:call-template name="DokumentPaategn">
			<xsl:with-param name="node" select="." />
			<xsl:with-param name="eksptype" select="msgandel:EkspeditionstypeIdentifikator" />
		</xsl:call-template>	
	</xsl:template>	
	
		<!-- ***********************************   DokumentPaategn personbog ********************************** -->
	<xsl:template match="msgperson:DokumentPaategn">
		<xsl:call-template name="DokumentPaategn">
			<xsl:with-param name="node" select="." />
			<xsl:with-param name="eksptype" select="msgperson:EkspeditionstypeIdentifikator" />
		</xsl:call-template>
	</xsl:template>	
	
		<!-- ***********************************   DokumentPaategn  ********************************** -->
	<xsl:template name="DokumentPaategn">
		<xsl:param name="node"/>
		<xsl:param name="eksptype"/>
		
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'" />
			<xsl:with-param name="proevetinglysning" select="$node//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator" />
		</xsl:call-template>
		<xsl:variable name="doc_id" select="$node/model:DokumentRevisionIdentifikator/model:DokumentIdentifikator" />
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id" />
			<xsl:with-param name="visAliasLink">
				<xsl:choose>
					<xsl:when test="$eksptype = '110' or $eksptype = '55' or $eksptype = '100' or $eksptype = '101' 
									or $eksptype = '102' or $eksptype = '103' or $eksptype = '108' or $eksptype = '168' 
									or $eksptype = '169' or $eksptype = '170' or $eksptype = '171' or $eksptype = '237'">
						<xsl:value-of select="'false'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'true'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:variable name="doctypeid" select="$eksptype" />
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]" />
		</xsl:call-template> <!-- bagudkompatibel -->
		<xsl:if test="$node/anm:AnmeldelseInformation/anm:AndenTekst">
			<xsl:call-template name="VisAndenTekst">
				<xsl:with-param name="node" select="$node/anm:AnmeldelseInformation/anm:AndenTekst" />
				<xsl:with-param name="overskrift" select="'TEKST'" />
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$node/anm:AnmeldelseInformation/anm:AndenTekstSamling">
			<xsl:call-template name="VisAndenTekstSamling">
				<xsl:with-param name="node" select="$node/anm:AnmeldelseInformation/anm:AndenTekstSamling" />
				<xsl:with-param name="overskrift" select="'TEKST'" />
			</xsl:call-template>
		</xsl:if>
		
		<xsl:if test="$node/anm:NavneaendringAdkomstFastEjendomTekstSamling">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'YDERLIGERE INFORMATION'"/>
			</xsl:call-template>
			<xsl:for-each select="$node/anm:NavneaendringAdkomstFastEjendomTekstSamling/model:TekstAngivelse">
				<xsl:call-template name="VisFraser">
					<xsl:with-param name="node" select="."/>
				</xsl:call-template>
				<xsl:call-template name="linefeed" />
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="model:MyndighedNavnTekst">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'MYNDIGHED'" />
			</xsl:call-template>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="model:MyndighedNavnTekst" />
			</xsl:call-template>
			<xsl:call-template name="linefeed" />
		</xsl:if>
		<!-- Erklæringer -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Bilag -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:BilagReferenceSamling" />		
		<xsl:if test="$node/anm:AnmeldelseInformation/anm:AndenTekst or $node/anm:AnmeldelseInformation/anm:AndenTekstSamling or model:MyndighedNavnTekst or $node/anm:AnmeldelseInformation/model:ErklaeringSamling or $node/anm:AnmeldelseInformation/model:BilagReferenceSamling">
		<!-- Rollesamlingen skal stå til sidst efter en skillelinie -->
		<xsl:call-template name="linefeed" />
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed" />
		<xsl:call-template name="linefeed" />
		</xsl:if>
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
</xsl:stylesheet>