<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/" xmlns:msg="http://rep.oio.dk/tinglysning.dk/service/message/tingbog/1/" xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/" xmlns:xkom-1="http://rep.oio.dk/xkom.dk/xml/schemas/2005/03/15/" xmlns:xkom-2="http://rep.oio.dk/xkom.dk/xml/schemas/2006/01/06/" xmlns:dkcc="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2003/02/13/" xmlns:dkcc-1="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/03/15/" xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/" xmlns:cpr="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" xmlns:kms="http://rep.oio.dk/kms.dk/xml/schemas/2005/03/11/">
	<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: EjendomOpret.xslt 95618 2016-02-10 11:44:24Z lpallesen@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!-- Dette XSLT indeholder alle XSLT templates vedrørende FastEjendomOpret (183) -->
	<!--Anmodning om oprettelse af ny fast ejendom. Anvendes for ekspeditionstyperne 181 Underblad, 185
MatrikulærÆndring og 186 NyBygningLejetGrund. For 185 MatrikulærÆndring vedhæftes et bilag med informationer om de
ønskede matrikulære ændringer og anmeldelsen udtages altid til manuel behandling.-->
	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>

	<!-- ***************** EjendomOpret | UnderbladFastEjendomOpret ***************** -->
	<xsl:template match="msg:EjendomOpret | msg:UnderbladFastEjendomOpret">
		<xsl:variable name="doctypeid" select="msg:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'EJENDOM'"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:FastEjendomOpdelingSamling/model:FastEjendomOpdeling/model:EjendomIdentifikator"/>
		<xsl:call-template name="linefeed" />
		<!--Her indsættes Anmelderinformation - LANDINSPEKTØR, Adresse, CVR og sags reference-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!--Her indsættes "Samling af Ejerlejligheder efter opdeling"-->
		<xsl:apply-templates select="model:FastEjendomOpdelingSamling/model:FastEjendomOpdeling/model:FastEjendomNySamling"/>
		<xsl:call-template name="linefeed" />
		<xsl:apply-templates select="model:EjerlejlighedOpdelingKode"/>
		<xsl:call-template name="linefeed" />
		<xsl:apply-templates select="model:UnderbladKodeTekst"/>
		<xsl:call-template name="linefeed" />
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- AndenTekst bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- AndenTekst -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!--TinglysningAfgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
	</xsl:template>

	<!-- **************************** FastEjendomOpdelingSamling **************************** -->
	<xsl:template match="model:FastEjendomOpdelingSamling">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'EJENDOM'"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:FastEjendomOpdeling"/>
	</xsl:template>

	<!-- **************************** FastEjendomOpdeling **************************** -->
	<xsl:template match="model:FastEjendomOpdeling">
		<xsl:apply-templates select="model:EjendomIdentifikator"/>
		<xsl:apply-templates select="model:FastEjendomNySamling"/>
	</xsl:template>

	<!-- **************************** EjerlejlighedOpdelingKode **************************** -->
	<xsl:template match="model:EjerlejlighedOpdelingKode">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'EJERLEJLIGHED OPDELING KODE'"/>
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="."/>
		</xsl:call-template>
	</xsl:template>

	<!-- **************************** UnderbladKodeTekst **************************** -->
	<xsl:template match="model:UnderbladKodeTekst">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'UNDERBLADSTYPE'"/>
		</xsl:call-template>
		<xsl:variable name="underblad" select="."/>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="$opslag//UnderbladKodeTekst[@id = $underblad]"/>
		</xsl:call-template>
	</xsl:template>

	<!-- **************************** FastEjendomNySamling **************************** -->
	<xsl:template match="model:FastEjendomNySamling">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'SAMLING AF FAST EJENDOM EFTER OPDELING'"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:FastEjendomNy"/>
	</xsl:template>

	<!-- **************************** FastEjendomNy **************************** -->
	<xsl:template match="model:FastEjendomNy">
		<xsl:apply-templates select="model:EjendomIdentifikator"/>
		<xsl:apply-templates select="model:BenyttelseSamling/model:Benyttelse"/>
		<xsl:apply-templates select="model:Fordelingtal"/>
		<xsl:if test="position() != last()">
			<xsl:call-template name="linefeed" />
		</xsl:if>
	</xsl:template>

	<!-- **************************** Benyttelse **************************** -->
	<xsl:template match="model:Benyttelse">
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Benyttelse tekst'"/>
			<xsl:with-param name="text" select="model:BenyttelseTekst"/>
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Ejerlejlighed areal'"/>
			<xsl:with-param name="text" select="model:EjerlejlighedAreal"/>
		</xsl:call-template>
	</xsl:template>

	<!-- **************************** Fordelingtal **************************** -->
	<xsl:template match="model:Fordelingtal">
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Fordelingstal'"/>
			<xsl:with-param name="text" select="concat(string(model:Taeller), '/', string(model:Naevner))"/>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
