<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/"
                xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/"
        >

<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: FristInformationSamling.xslt 60628 2012-02-22 12:53:27Z cnielsen22@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>

    <!--FristInformation ved tinglysning med frist. Her oplyses årsag og fristdato.-->


    <xsl:template match="eakt:FristInformationSamling">
		<xsl:param name="header" select="'true'"/> 
		<xsl:if test="$header='true'">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'FRIST INFORMATION'"/>
			</xsl:call-template>
        </xsl:if>
        <xsl:for-each select="eakt:FristInformation">
            <xsl:apply-templates select="."/>
        </xsl:for-each>
    </xsl:template>

    <xsl:template match="eakt:FristInformation">
        <xsl:variable name="dato">
            <xsl:call-template name="formatdato">
                <xsl:with-param name="dato" select="eakt:FristDato"/>
            </xsl:call-template>
        </xsl:variable>
        <xsl:call-template name="two_columns">
            <xsl:with-param name="prompt" select="'Frist dato'"/>
            <xsl:with-param name="text" select="$dato"/>
        </xsl:call-template>
		<xsl:call-template name="VisFraser">
			<xsl:with-param name="node" select="model:BemaerkningTekstAngivelse"/>
		</xsl:call-template>
    </xsl:template>



</xsl:stylesheet>