<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/"
  	xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/"
	xmlns:cpr-1="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/"
    xmlns:cpr-2="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/10/31/"
	xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/"
	xmlns:xkom-1="http://rep.oio.dk/xkom.dk/xml/schemas/2005/03/15/"
	xmlns:xkom-2="http://rep.oio.dk/xkom.dk/xml/schemas/2006/01/06/"
    xmlns:dkcc-1="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2003/02/13/"
	xmlns:dkcc-2="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/"
	xmlns:itst-1="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/03/15/"
	xmlns:itst-2="http://rep.oio.dk/itst.dk/xml/schemas/2006/01/17/"
    xmlns:kms="http://rep.oio.dk/kms.dk/xml/schemas/2005/03/11/"
    xmlns:msg="http://rep.oio.dk/tinglysning.dk/service/message/tingbog/1/"
    xmlns:msgbil="http://rep.oio.dk/tinglysning.dk/service/message/bilbog/1/"
    xmlns:msgandel="http://rep.oio.dk/tinglysning.dk/service/message/andelsbog/1/"
    xmlns:msgperson="http://rep.oio.dk/tinglysning.dk/service/message/personbog/1/"
    xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/"
>
<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: Fuldmagt.xslt 190138 2020-11-05 18:30:18Z meld@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!-- Dette XSLT indeholder alle XSLT templates vedrørende Fuldmagt Disse bruges kun i forbindelse med pantebreve  -->

	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	
	<xsl:key name="FuldmagtStruktur" match="//snapshot:SnapshotSamling/snapshot:FuldmagtStrukturSamling/snapshot:FuldmagtStruktur" use="model:FuldmagtIdentifikator"/>
	
		<!-- ****************************   Fuldmagtsbestemmelser samling  ***************************** -->
	<xsl:template match="model:FuldmagtAnmeldtSamling">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTSBESTEMMELSER'"/>
		</xsl:call-template>

		<xsl:for-each select="model:FuldmagtAnmeldt">
			<xsl:apply-templates select="."/>
			<xsl:call-template name="linefeed" />
		</xsl:for-each>

	</xsl:template>
	
	<xsl:template name="FuldmagtAnmeldtSamling">
		<xsl:param name="node"/>
		<xsl:param name="visOmfang" select="'true'"/>
		
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTSBESTEMMELSER'"/>
		</xsl:call-template>

		<xsl:for-each select="$node/model:FuldmagtAnmeldt">
			<xsl:call-template name="FuldmagtAnmeldt">
				<xsl:with-param name="node" select="."/>
				<xsl:with-param name="visOmfang" select="$visOmfang"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed" />
		</xsl:for-each>
	</xsl:template>
	
	<!-- ***********************************   Fuldmagtsbestemmelser   ********************************** -->
	<xsl:template match="model:FuldmagtAnmeldt">
		<xsl:call-template name="FuldmagtAnmeldt">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="FuldmagtAnmeldt">
			<xsl:param name="node"/>
			<xsl:param name="visOmfang" select="'true'"/>
	
			<xsl:variable name="id" select="@id"/>
			
			<!-- Rolleoverskrift -->
			<xsl:call-template name="column1">
				<xsl:with-param name="text" select="'Fuldmagtshaver'"/>
			</xsl:call-template>
			<!-- Vis navn -->
			<xsl:call-template name="model:VisNavn">
				<xsl:with-param name="prompt" select="'Navn'"/>
				<xsl:with-param name="RolleReference" select="$id"/>
			</xsl:call-template>
			<!-- Vis adresse --> 
			<xsl:call-template name="model:VisRolleAdresse"> 
				<xsl:with-param name="adr_id" select="$id"/> 
			</xsl:call-template> 
			<!-- CPR -->
			<xsl:apply-templates select="cpr-1:PersonCivilRegistrationIdentifier"/>
			<!-- CVR -->
			<xsl:apply-templates select="cvr:CVRnumberIdentifier"/>
			<xsl:if test="model:FuldmagtGiver">
				<xsl:call-template name="linefeed" />
				<xsl:call-template name="RolleSamling">
					<xsl:with-param name="RolleID" select="model:FuldmagtGiver"/>
					<xsl:with-param name="trailingLinefeed" select="'false'"/>
				</xsl:call-template>
			</xsl:if>
			<!-- Omfang -->
			<xsl:if test="model:FuldmagtOmfangIdentifikator=1 and $visOmfang = 'true'">
				<xsl:call-template name="linefeed" />
				<xsl:call-template name="column2">
						<xsl:with-param name="text" select="'Fuldmagtshaver bemyndiges til på mine vegne at underskrive påtegninger af enhver art herunder kvitterings-, transport-, moderations- og relaksationspåtegninger.'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="model:FuldmagtOmfangIdentifikator=2 and $visOmfang = 'true'">
				<xsl:call-template name="linefeed" />
				<xsl:call-template name="column2">
						<xsl:with-param name="text" select="'Fuldmagtshaver bemyndiges til på mine vegne at underskrive endeligt skøde på ejendommen, når betingelserne i det betingede skøde er opfyldt.'"/>
				</xsl:call-template>
			</xsl:if>
	
	</xsl:template>

		<!-- ****************************   Fuldmagtsbestemmelser samling  ***************************** -->
	<xsl:template match="model:ImplicitFuldmagtSamling">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTSBESTEMMELSER'"/>
		</xsl:call-template>

		<xsl:for-each select="model:ImplicitFuldmagt">
			<xsl:apply-templates select="."/>
		</xsl:for-each>

		<xsl:call-template name="linefeed" />
	</xsl:template>
	
	<xsl:template name="ImplicitFuldmagtSamling">
		<xsl:param name="node"/>
		<xsl:param name="visOmfang" select="'true'"/>
		
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTSBESTEMMELSER'"/>
		</xsl:call-template>

		<xsl:for-each select="$node/model:ImplicitFuldmagt">
			<xsl:call-template name="ImplicitFuldmagt">
				<xsl:with-param name="node" select="."/>
				<xsl:with-param name="visOmfang" select="$visOmfang"/>
			</xsl:call-template>
		</xsl:for-each>

		<xsl:call-template name="linefeed" />
	</xsl:template>
	
	<!-- ***********************************   Fuldmagtsbestemmelser   ********************************** -->
	<xsl:template match="model:ImplicitFuldmagt">
		<xsl:call-template name="ImplicitFuldmagt">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ImplicitFuldmagt">
		<xsl:param name="node"/>
		<xsl:param name="visOmfang" select="'true'"/>
			<xsl:variable name="id" select="@id"/>
			<!-- Vis navn -->
			<xsl:variable name="fuldmagtshaverTekst">
			 <xsl:choose>
			   <xsl:when test="model:FuldmagtHaverInformation/model:VirksomhedSimpelIdentifikator/cvr:LegalUnitName">
			   	<xsl:value-of select="model:FuldmagtHaverInformation/model:VirksomhedSimpelIdentifikator/cvr:LegalUnitName" />
			   </xsl:when>
			   <xsl:otherwise>
			   	<xsl:value-of select="model:FuldmagtHaverInformation/model:PersonSimpelIdentifikator/itst-2:PersonName" />
			   </xsl:otherwise>
			 </xsl:choose>
			</xsl:variable>
			<!-- Rolleoverskrift -->
			<xsl:call-template name="column1">
				<xsl:with-param name="text" select="'Fuldmagtshaver'"/>
			</xsl:call-template>
			<!-- Navn -->
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Navn'"/>
					<xsl:with-param name="text" select="$fuldmagtshaverTekst"/>
			</xsl:call-template>
			<!-- Vis adresse -->
			<xsl:variable name="Root" select="model:FuldmagtHaverInformation/cpr-2:SecondaryPostalLabel"/> 
			<xsl:if test="$Root/dkcc-2:PostalAddressFirstLineText!='' and $Root/dkcc-2:PostalAddressFirstLineText!='ingen adresselinje' and $Root/dkcc-2:PostalAddressFirstLineText!=$fuldmagtshaverTekst">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="$Root/dkcc-2:PostalAddressFirstLineText" />
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$Root/dkcc-2:PostalAddressSecondLineText!='' and $Root/dkcc-2:PostalAddressSecondLineText!='ingen adresselinje' and $Root/dkcc-2:PostalAddressSecondLineText!='-'">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="$Root/dkcc-2:PostalAddressSecondLineText" />
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$Root/dkcc-2:PostalAddressThirdLineText!='' and $Root/dkcc-2:PostalAddressThirdLineText!='ingen adresselinje' and $Root/dkcc-2:PostalAddressThirdLineText!='-'">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="$Root/dkcc-2:PostalAddressThirdLineText" />
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$Root/dkcc-2:PostalAddressFourthLineText!='' and $Root/dkcc-2:PostalAddressFourthLineText!='ingen adresselinje' and $Root/dkcc-2:PostalAddressFourthLineText!='-'">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="$Root/dkcc-2:PostalAddressFourthLineText" />
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$Root/dkcc-2:PostalAddressFifthLineText!='' and $Root/dkcc-2:PostalAddressFifthLineText!='ingen adresselinje' and $Root/dkcc-2:PostalAddressFifthLineText!='-'">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="$Root/dkcc-2:PostalAddressFifthLineText" />
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$Root/dkcc-2:PostalAddressSixthLineText!='' and $Root/dkcc-2:PostalAddressSixthLineText!='ingen adresselinje' and $Root/dkcc-2:PostalAddressSixthLineText!='-'">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="$Root/dkcc-2:PostalAddressSixthLineText" />
				</xsl:call-template>
			</xsl:if>
			<!-- CPR -->
			<xsl:if test="model:FuldmagtHaverInformation/model:PersonSimpelIdentifikator/itst-1:BirthDate">
				<xsl:variable name="birthdate" select="model:FuldmagtHaverInformation/model:PersonSimpelIdentifikator/itst-1:BirthDate"/>
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="concat(substring($birthdate,9,2),substring($birthdate,6,2),substring($birthdate,3,2),'-****')"/>
				</xsl:call-template>
			</xsl:if>
			<!-- CVR -->
			<xsl:apply-templates select="model:FuldmagtHaverInformation/model:VirksomhedSimpelIdentifikator/cvr:CVRnumberIdentifier"/>
			<xsl:apply-templates select="model:FuldmagtHaverInformation/cvr:CVRnumberIdentifier"/>
			<!-- Omfang -->
			<xsl:if test="model:FuldmagtOmfangIdentifikator=1 and $visOmfang = 'true'">
				<xsl:call-template name="linefeed" />
				<xsl:call-template name="column2">
						<xsl:with-param name="text" select="'Fuldmagtshaver bemyndiges til på mine vegne at underskrive påtegninger af enhver art herunder kvitterings-, transport-, moderations- og relaksationspåtegninger.'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="model:FuldmagtOmfangIdentifikator=2 and $visOmfang = 'true'">
				<xsl:call-template name="linefeed" />
				<xsl:call-template name="column2">
						<xsl:with-param name="text" select="'Fuldmagtshaver bemyndiges til på mine vegne at underskrive endeligt skøde på ejendommen, når betingelserne i det betingede skøde er opfyldt.'"/>
				</xsl:call-template>
			</xsl:if>
	
	</xsl:template>


	
	<!-- ***********************************   RolleSamling   ********************************** -->
	<xsl:template name="RolleSamling">
	<xsl:param name="RolleID"/>
	<xsl:param name="trailingLinefeed" select="'true'"/>
		<xsl:variable name="node" select="//anm:AnmeldelseInformation/model:RolleSamling"/>
		<xsl:for-each select="$node/model:Rolle">
			<xsl:choose>
				<xsl:when test="$RolleID">
					<xsl:if test="@id = $RolleID">
						<!-- Rolleoverskrift -->
						<xsl:call-template name="column1">
							<xsl:with-param name="text" select="'Fuldmagtsgiver'"/>
						</xsl:call-template>					
						<!-- Navn -->
						<xsl:variable name="id" select="@id"/>
						<xsl:call-template name="model:VisNavn">
							<xsl:with-param name="prompt" select="'Navn'"/>
							<xsl:with-param name="RolleReference" select="$id"/>
						</xsl:call-template>
						<!-- Vis adresse --> 
						<xsl:call-template name="model:VisRolleAdresse"> 
							<xsl:with-param name="adr_id" select="$id"/> 
						</xsl:call-template> 
						<!-- CPR -->
						<xsl:apply-templates select="cpr-1:PersonCivilRegistrationIdentifier"/>
						<!-- CVR -->
						<xsl:apply-templates select="cvr:CVRnumberIdentifier"/>
						<!-- AuthorityCode -->
						<xsl:apply-templates select="cpr-1:AuthorityCode"/>
						<xsl:if test="$trailingLinefeed = 'true'">
							<xsl:call-template name="linefeed" />
						</xsl:if>
					</xsl:if>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>

	</xsl:template>	
	
	<!--*********************************************************************************************************************-->
	<!--************************************ 204 - FuldmagtFastEjendomOpret ******************************************-->
	<!--*********************************************************************************************************************-->
	<xsl:template match="msg:FuldmagtFastEjendomOpret">
		<xsl:variable name="doctypeid" select="msg:EkspeditionstypeIdentifikator" />
		<!-- Overskrift og prøvetinglysning -->
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]" />
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator" />
		</xsl:call-template>
		<!-- Ejendom -->
		<!--<xsl:choose>
			<xsl:when test="model:FuldmagtFastEjendom/model:EjendomFindesIndikator='true'">-->
				<xsl:call-template name="FastEjendomSamling">
					<xsl:with-param name="node" select="model:FastEjendomSamling" />
				</xsl:call-template>
			<!--</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="$node/model:TinglysningObjektIdentifikator/model:EjendomIdentifikator/model:EjendomType"/>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Landsejerlavnummer'"/>
					<xsl:with-param name="text" select="$node/model:TinglysningObjektIdentifikator/model:EjendomIdentifikator/model:Matrikel/kms:CadastralDistrictIdentifier"/>
				</xsl:call-template>
				<xsl:if test="$node/model:TinglysningObjektIdentifikator/model:EjendomIdentifikator/model:Matrikel/kms:CadastralDistrictName">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Landsejerlav'"/>
						<xsl:with-param name="text" select="$node/model:TinglysningObjektIdentifikator/model:EjendomIdentifikator/model:Matrikel/kms:CadastralDistrictName"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Matrikelnummer'"/>
					<xsl:with-param name="text" select="$node/model:TinglysningObjektIdentifikator/model:EjendomIdentifikator/model:Matrikel/model:Matrikelnummer"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>-->
<!--
		<xsl:apply-templates select="model:FuldmagtFastEjendom/model:EjendomFindesIndikator"/>
-->
		<!-- Roller -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Fuldmagtsoplysninger -->
		<xsl:apply-templates select="model:FuldmagtFastEjendom"/>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/model:ErklaeringSamling" />
		</xsl:apply-templates>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling" />
		<!-- Øvrigt bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>


	<!--*********************************************************************************************************************-->
	<!--********************************* 206 - FuldmagtFastEjendomTilbagekald ************************************-->
	<!--*********************************************************************************************************************-->
   <xsl:template match="msg:FuldmagtFastEjendomTilbagekald">
		<xsl:call-template name="FuldmagtTilbagekald">
			<xsl:with-param name="ekspid" select="msg:EkspeditionstypeIdentifikator"/>
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator" />
		</xsl:call-template>   

		<xsl:variable name="node" select="key('FuldmagtStruktur', model:FuldmagtIdentifikator)"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTEN VEDRØRER EJENDOMMEN'" />
		</xsl:call-template>
		<xsl:choose>
			<xsl:when test="count(//snapshot:EjendomSamling/snapshot:EjendomStruktur)>0">
				<xsl:apply-templates select="$node/model:TinglysningObjektIdentifikator/model:EjendomIdentifikator"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="$node/model:TinglysningObjektIdentifikator/model:EjendomIdentifikator/model:EjendomType"/>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Landsejerlavnummer'"/>
					<xsl:with-param name="text" select="$node/model:TinglysningObjektIdentifikator/model:EjendomIdentifikator/model:Matrikel/kms:CadastralDistrictIdentifier"/>
				</xsl:call-template>
				<xsl:if test="$node/model:TinglysningObjektIdentifikator/model:EjendomIdentifikator/model:Matrikel/kms:CadastralDistrictName">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Landsejerlav'"/>
						<xsl:with-param name="text" select="$node/model:TinglysningObjektIdentifikator/model:EjendomIdentifikator/model:Matrikel/kms:CadastralDistrictName"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Matrikelnummer'"/>
					<xsl:with-param name="text" select="$node/model:TinglysningObjektIdentifikator/model:EjendomIdentifikator/model:Matrikel/model:Matrikelnummer"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="linefeed" />
		<xsl:apply-templates select="$node/model:FuldmagtFastEjendom"/>

		<xsl:call-template name="Alm_Anmeldelses_info" >
			<xsl:with-param name="Skillelinie" select="'False'"/>
		</xsl:call-template>
   </xsl:template>


	<!-- ******************************************   FastEjendomSamling  ********************************************** -->
	<xsl:template name="FastEjendomSamling">
		<xsl:param name="node"/>
	
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTEN VEDRØRER EJENDOMMEN'" />
		</xsl:call-template>
		<xsl:for-each select="$node/model:FastEjendom">
			<xsl:apply-templates select="."/>
		</xsl:for-each>
	
	</xsl:template>

	<!--***************************************  EjendomFindesIndikator  **************************************************-->
	<xsl:template match="model:EjendomFindesIndikator">
		<xsl:if test=".='false'">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Ejendommen findes ikke på fuldmagtsoprettelsestidspunktet'"/>
			</xsl:call-template>	
			<xsl:call-template name="linefeed" />
		</xsl:if>	
	</xsl:template>


	<!--***************************************  FuldmagtFastEjendom  **************************************************-->
	<xsl:template match="model:FuldmagtFastEjendom">
	
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTEN VEDRØRER FØLGENDE DISPOSITIONER'" />
		</xsl:call-template>

		<xsl:for-each select="model:FuldmagtDispositionFastEjendomSamling/model:FuldmagtDispositionFastEjendom">
			<xsl:variable name="DispositionType" select="model:FuldmagtDispositionFastEjendomType" />
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$opslag//FuldmagtDispositionFastEjendomType[@id = $DispositionType]"/>
			</xsl:call-template>
			<xsl:call-template name="FuldmagtDisposition">
				<xsl:with-param name="node" select="."/>
				<xsl:with-param name="DispositionType" select="$DispositionType"/>
				<xsl:with-param name="BogType" select="'Tingbog'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed" />
		</xsl:for-each>
		<xsl:call-template name="FuldmagtBortfald">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
	</xsl:template>

	<!--***************************************  FuldmagtDisposition  **************************************************-->
	<xsl:template name="FuldmagtDisposition">
		<xsl:param name="node"/>
		<xsl:param name="DispositionType"/>
		<xsl:param name="BogType" select="'Tingbog'"/>

		<xsl:if test="$node/model:FuldmagtDispositionBeloeb">
			<xsl:variable name="valuta">
				<xsl:choose>
					<xsl:when test="$node/model:FuldmagtDispositionBeloeb/model:ValutaKode">
						<xsl:value-of select="$node/model:FuldmagtDispositionBeloeb/model:ValutaKode"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'DKK'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="$BogType='Tingbog'">
					<xsl:choose>
						<xsl:when test="$DispositionType='udstedeAnmeldeSkoede'">
							<xsl:call-template name="column2">
								<xsl:with-param name="text" select="'Fuldmagten kan kun benyttes, hvis købesummen er mindst'" />
								<xsl:with-param name="text2" select="concat(format-number(floor($node/model:FuldmagtDispositionBeloeb/model:BeloebVaerdi), $formatvaluta, 'currency-format'),' ' ,$valuta)" />
							</xsl:call-template>
						</xsl:when>
						<xsl:when test="$DispositionType='udstedeAnmeldePantebrev' or $DispositionType='overdragePantebrev' or $DispositionType='underskriveAnmeldeUnderpant' or $DispositionType='KvittereAflysePantebrev'">
							<xsl:call-template name="column2">
								<xsl:with-param name="text" select="'Fuldmagten kan kun benyttes, hvis hovedstolen på de pantebreve, over hvilke der disponeres, tilsammen ikke overstiger'" />
								<xsl:with-param name="text2" select="concat(format-number(floor($node/model:FuldmagtDispositionBeloeb/model:BeloebVaerdi), $formatvaluta, 'currency-format'),' ' ,$valuta)" />
							</xsl:call-template>
						</xsl:when>
						<xsl:when test="$DispositionType='tiltraedeKoeber'">
							<xsl:call-template name="column2">
								<xsl:with-param name="text" select="'Fuldmagten kan kun benyttes, hvis købesummen ikke overstiger'" />
								<xsl:with-param name="text2" select="concat(format-number(floor($node/model:FuldmagtDispositionBeloeb/model:BeloebVaerdi), $formatvaluta, 'currency-format'),' ' ,$valuta)" />
							</xsl:call-template>
						</xsl:when>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$BogType='Bilbog'">
					<xsl:if test="$DispositionType='udstedeAnmeldePantebrev' or $DispositionType='overdragePantebrev' or $DispositionType='underskriveAnmeldeUnderpant' or $DispositionType='kvittereAflysePantebrev' or $DispositionType='udstedeAnmeldeSkadeloesbrev' or $DispositionType='overdrageSkadeloesbrev' or $DispositionType='kvittereAflyseSkadeloesbrev' or $DispositionType='udstedeAnmeldeEjendomsforbehold' or $DispositionType='overdrageEjendomsforbehold' or $DispositionType='kvittereAflyseEjendomsforbehold'">
						<xsl:call-template name="column2">
							<xsl:with-param name="text" select="'Fuldmagten kan kun benyttes, hvis det enkelte pantebrevs hovedstol/ejendomsforbeholds beløb ikke overstiger'" />
							<xsl:with-param name="text2" select="concat(format-number(floor($node/model:FuldmagtDispositionBeloeb/model:BeloebVaerdi), $formatvaluta, 'currency-format'),' ' ,$valuta)" />
						</xsl:call-template>
					</xsl:if>
				</xsl:when>
				<xsl:when test="$BogType='Andelsbog'">
					<xsl:if test="$DispositionType='udstedeAnmeldePantebrev' or $DispositionType='overdragePantebrev' or $DispositionType='underskriveAnmeldeUnderpant' or $DispositionType='kvittereAflysePantebrev' or $DispositionType='udstedeAnmeldeSkadeloesbrev' or $DispositionType='overdrageSkadeloesbrev' or $DispositionType='kvittereAflyseSkadeloesbrev'">
						<xsl:call-template name="column2">
							<xsl:with-param name="text" select="'Fuldmagten kan kun benyttes, hvis det enkelte pantebrevs hovedstol ikke overstiger'" />
							<xsl:with-param name="text2" select="concat(format-number(floor($node/model:FuldmagtDispositionBeloeb/model:BeloebVaerdi), $formatvaluta, 'currency-format'),' ' ,$valuta)" />
						</xsl:call-template>
					</xsl:if>
				</xsl:when>
				<xsl:when test="$BogType='Personbog'">
					<xsl:if test="$DispositionType='udstedeAnmeldePantebrevLoesoere' or $DispositionType='udstedeAnmeldePantebrevHoest' or $DispositionType='udstedeAnmeldeSkadeloesbrevLoesoere' or $DispositionType='udstedeAnmeldeSkadeloesbrevVirksomhedspant' or $DispositionType='udstedeAnmeldeSkadeloesbrevFordringspant' or $DispositionType='udstedeAnmeldeAegtepagt'">
						<xsl:call-template name="column2">
							<xsl:with-param name="text" select="'Fuldmagten kan kun benyttes, hvis det enkelte pantebrevs/ægtepagts hovedstol ikke overstiger'" />
							<xsl:with-param name="text2" select="concat(format-number(floor($node/model:FuldmagtDispositionBeloeb/model:BeloebVaerdi), $formatvaluta, 'currency-format'),' ' ,$valuta)" />
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="$DispositionType='overdragePantebrevLoesoere' or $DispositionType='overdragePantebrevHoest' or $DispositionType='overdrageSkadeloesbrevLoesoere' or $DispositionType='overdrageSkadeloesbrevVirksomhedspant' or $DispositionType='overdrageEjerpantebrevVirksomhedspant' or $DispositionType='overdrageSkadeloesbrevFordringspant' or $DispositionType='underskriveAnmeldeUnderpant'">
						<xsl:call-template name="column2">
							<xsl:with-param name="text" select="'Fuldmagten kan kun benyttes, hvis det enkelte pantebrevs/ægtepagts hovedstol ikke overstiger'" />
							<xsl:with-param name="text2" select="concat(format-number(floor($node/model:FuldmagtDispositionBeloeb/model:BeloebVaerdi), $formatvaluta, 'currency-format'),' ' ,$valuta)" />
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="$DispositionType='kvittereAflysePantebrevLoesoere' or $DispositionType='kvittereAflysePantebrevHoest' or $DispositionType='kvittereAflyseSkadeloesbrevLoesoere' or $DispositionType='kvittereAflyseSkadeloesbrevVirksomhedspant' or $DispositionType='kvittereAflyseSkadeloesbrevFordringspant' or $DispositionType='kvittereAflyseAegtepagt'">
						<xsl:call-template name="column2">
							<xsl:with-param name="text" select="'Fuldmagten kan kun benyttes, hvis det enkelte pantebrevs/ægtepagts hovedstol ikke overstiger'" />
							<xsl:with-param name="text2" select="concat(format-number(floor($node/model:FuldmagtDispositionBeloeb/model:BeloebVaerdi), $formatvaluta, 'currency-format'),' ' ,$valuta)" />
						</xsl:call-template>
					</xsl:if>
				</xsl:when>
			</xsl:choose> 
		</xsl:if>
	</xsl:template>
		
	<!--***************************************  FuldmagtBortfald  **************************************************-->
	<xsl:template name="FuldmagtBortfald">
		<xsl:param name="node"/>

		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="'Er der ikke angivet beløbsgrænse, antages fuldmagten at være beløbsmæssigt ubegrænset'"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed" />
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'BORTFALDSDATO'" />
		</xsl:call-template>
		<xsl:choose>
			<xsl:when test="$node/model:BortfaldDato">
				<xsl:call-template name="formatdato_column2">
					<xsl:with-param name="dato" select="$node/model:BortfaldDato" />
				</xsl:call-template>			
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="'dog senest efter 12 måneder'"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="'Fuldmagten bortfalder automatisk efter 12 måneder'"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="linefeed" />
	</xsl:template>
		
	<!--***************************************  FuldmagtTilbagekald  **************************************************-->
	<xsl:template name="FuldmagtTilbagekald">
		<xsl:param name="ekspid"/>
		<xsl:param name="proevetinglysning"/>
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $ekspid]" />
			<xsl:with-param name="proevetinglysning" select="$proevetinglysning" />
		</xsl:call-template>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'DOKUMENT SOM PÅTEGNES'"/>
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'FuldmagtIdentifikator'"/>
			<xsl:with-param name="text" select="model:FuldmagtIdentifikator"/>
		</xsl:call-template>
		
					
		<xsl:variable name="ledeTekst" select="$opslag//EkspeditionstypeLedetekst[@id = $ekspid]" />
		<xsl:call-template name="linefeed" />
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$ledeTekst"/>
			<!--<xsl:with-param name="linefeed" select="'off'"/>-->
		</xsl:call-template>
		<!--<xsl:value-of select="$divider"/>
		<xsl:call-template name="linefeed" />
		<xsl:call-template name="linefeed" />
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="$ekspid"/>
		</xsl:call-template>
		<xsl:value-of select="$divider"/>
		<xsl:call-template name="linefeed" />-->
		<xsl:call-template name="linefeed" />
	</xsl:template>
		
	<!--*********************************************************************************************************************-->
	<!--************************************ 218 - FuldmagtBilOpret ******************************************-->
	<!--*********************************************************************************************************************-->
	<xsl:template match="msgbil:FuldmagtBilOpret">
		<xsl:variable name="doctypeid" select="msgbil:EkspeditionstypeIdentifikator" />
		<!-- Overskrift og prøvetinglysning -->
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]" />
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator" />
		</xsl:call-template>
		<!-- Biler -->
		<xsl:choose>
			<xsl:when test="count(//snapshot:SnapshotSamling/snapshot:BilSnapshotStrukturSamling/snapshot:BilSnapshotStruktur)>0">
				<xsl:apply-templates select="model:BilSamling"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="heading">
					<xsl:with-param name="text" select="'BIL'" />
				</xsl:call-template>
				<xsl:for-each select="model:BilSamling/model:Bil">
					<xsl:call-template name="VisBil">
						<xsl:with-param name="bilStelnummer" select="."/>
						<xsl:with-param name="bilStruktur" select="."/>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Roller -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Fuldmagtsoplysninger -->
		<xsl:apply-templates select="model:FuldmagtBil"/>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/model:ErklaeringSamling" />
		</xsl:apply-templates>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling" />
		<!-- Øvrigt bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>

	<!--*********************************************************************************************************************-->
	<!--***************************************** 220 - FuldmagtBilTilbagekald *****************************************-->
	<!--*********************************************************************************************************************-->
   <xsl:template match="msgbil:FuldmagtBilTilbagekald">
		<xsl:call-template name="FuldmagtTilbagekald">
			<xsl:with-param name="ekspid" select="msgbil:EkspeditionstypeIdentifikator"/>
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator" />
		</xsl:call-template>   

		<xsl:variable name="node" select="key('FuldmagtStruktur', model:FuldmagtIdentifikator)"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTEN VEDRØRER KØRETØJET'" />
		</xsl:call-template>
		<xsl:choose>
			<xsl:when test="count(//snapshot:BilSnapshotStrukturSamling/snapshot:BilSnapshotStruktur)>0">
				<xsl:call-template name="model:VisBil">
					<xsl:with-param name="node" select="$node/model:TinglysningObjektIdentifikator"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="$node/model:TinglysningObjektIdentifikator/model:BilIdentifikator"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="linefeed" />
		<xsl:apply-templates select="$node/model:FuldmagtBil"/>

		<xsl:call-template name="Alm_Anmeldelses_info" >
			<xsl:with-param name="Skillelinie" select="'False'"/>
		</xsl:call-template>
   </xsl:template>

	<!--***************************************  FuldmagtBil  **************************************************-->
	<xsl:template match="model:FuldmagtBil">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTEN VEDRØRER FØLGENDE DISPOSITIONER'" />
		</xsl:call-template>

		<xsl:for-each select="model:FuldmagtDispositionBilSamling/model:FuldmagtDispositionBil">
			<xsl:variable name="DispositionType" select="model:FuldmagtDispositionBilTekst" />
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$opslag//FuldmagtDispositionBilTekst[@id = $DispositionType]"/>
			</xsl:call-template>
			<xsl:call-template name="FuldmagtDisposition">
				<xsl:with-param name="node" select="."/>
				<xsl:with-param name="DispositionType" select="$DispositionType"/>
				<xsl:with-param name="BogType" select="'Bilbog'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed" />
		</xsl:for-each>
		<xsl:call-template name="FuldmagtBortfald">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
	</xsl:template>

	<!--*********************************************************************************************************************-->
	<!--************************************ 222 - FuldmagtAndelOpret ******************************************-->
	<!--*********************************************************************************************************************-->
	<xsl:template match="msgandel:FuldmagtAndelOpret">
		<xsl:variable name="doctypeid" select="msgandel:EkspeditionstypeIdentifikator" />
		<!-- Overskrift og prøvetinglysning -->
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]" />
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator" />
		</xsl:call-template>
		<!-- Andele -->
		<xsl:choose>
			<xsl:when test="count(//snapshot:SnapshotSamling/snapshot:AndelSnapshotStrukturSamling/snapshot:AndelSnapshotStruktur)>0">
				<xsl:apply-templates select="model:AndelSamling"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="heading">
					<xsl:with-param name="text" select="'ANDEL'" />
				</xsl:call-template>
				<xsl:for-each select="model:AndelSamling/model:Andel">
					<!--<xsl:value-of select="model:AndelIdentifikator/cpr-1:MunicipalityCode"/>-->
					<xsl:variable name="Andelsadresse">
						<xsl:call-template name="model:VisAdresse">
							<xsl:with-param name="MunicipalityCode" select="model:AndelIdentifikator/cpr-1:MunicipalityCode"/>
							<xsl:with-param name="StreetCode" select="model:AndelIdentifikator/cpr-1:StreetCode"/>
							<xsl:with-param name="StreetBuildingIdentifier" select="model:AndelIdentifikator/dkcc-1:StreetBuildingIdentifier"/>
							<xsl:with-param name="FloorIdentifier" select="model:AndelIdentifikator/dkcc-1:FloorIdentifier"/>
							<xsl:with-param name="SuiteIdentifier" select="model:AndelIdentifikator/model:SideDoerTekst"/>
						</xsl:call-template>
					</xsl:variable>
					<xsl:copy-of select="$Andelsadresse"/>
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Kommunekode'" />
						<xsl:with-param name="text" select="model:AndelIdentifikator/cpr-1:MunicipalityCode" />
					</xsl:call-template>
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Vejkode'" />
						<xsl:with-param name="text" select="model:AndelIdentifikator/cpr-1:StreetCode" />
					</xsl:call-template>
					<xsl:if test="$Andelsadresse=''"> <!-- Adresse findes hverken i AndelSnapshotStruktur eller AdresseStruktur -->
						<xsl:call-template name="two_columns">
							<xsl:with-param name="prompt" select="'Husnummer'" />
							<xsl:with-param name="text" select="model:AndelIdentifikator/dkcc-1:StreetBuildingIdentifier" />
						</xsl:call-template>
						<xsl:call-template name="two_columns">
							<xsl:with-param name="prompt" select="'Etage'" />
							<xsl:with-param name="text" select="model:AndelIdentifikator/dkcc-1:FloorIdentifier" />
						</xsl:call-template>
						<xsl:call-template name="two_columns">
							<xsl:with-param name="prompt" select="'Side/dør'" />
							<xsl:with-param name="text" select="model:AndelIdentifikator/model:SideDoerTekst" />
						</xsl:call-template>
					</xsl:if>
					<xsl:call-template name="linefeed" />
				</xsl:for-each>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Roller -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Fuldmagtsoplysninger -->
		<xsl:apply-templates select="model:FuldmagtAndel"/>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/model:ErklaeringSamling" />
		</xsl:apply-templates>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling" />
		<!-- Øvrigt bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>

	<!--*********************************************************************************************************************-->
	<!--***************************************** 224 - FuldmagtAndelTilbagekald *****************************************-->
	<!--*********************************************************************************************************************-->
   <xsl:template match="msgandel:FuldmagtAndelTilbagekald">
		<xsl:call-template name="FuldmagtTilbagekald">
			<xsl:with-param name="ekspid" select="msgandel:EkspeditionstypeIdentifikator"/>
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator" />
		</xsl:call-template>   

		<xsl:variable name="node" select="key('FuldmagtStruktur', model:FuldmagtIdentifikator)"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTEN VEDRØRER ANDELEN'" />
		</xsl:call-template>
		<xsl:choose>
			<xsl:when test="count(//snapshot:AndelSnapshotStrukturSamling/snapshot:AndelSnapshotStruktur)>0">
				<xsl:apply-templates select="$node/model:TinglysningObjektIdentifikator/model:AndelIdentifikator"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Kommunekode'" />
					<xsl:with-param name="text" select="$node//xkom-1:AddressAccess/cpr-1:MunicipalityCode" />
				</xsl:call-template>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Vejkode'" />
					<xsl:with-param name="text" select="$node//xkom-1:AddressAccess/cpr-1:StreetCode" />
				</xsl:call-template>
				<xsl:variable name="Husnummer">
					<xsl:value-of select="$node//dkcc-1:StreetBuildingIdentifier"/>
					<xsl:if test="$node//dkcc-1:FloorIdentifier">
						<xsl:value-of select="', '"/>
						<xsl:value-of select="$node//dkcc-1:FloorIdentifier"/>
						<xsl:value-of select="'. '"/>
					</xsl:if>
					<xsl:if test="$node//dkcc-1:SuiteIdentifier">
						<xsl:value-of select="$node//dkcc-1:SuiteIdentifier"/>
					</xsl:if>
				</xsl:variable>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Husnummer'" />
					<xsl:with-param name="text" select="$Husnummer" />
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="linefeed" />
		<xsl:apply-templates select="$node/model:FuldmagtAndel"/>

		<xsl:call-template name="Alm_Anmeldelses_info" >
			<xsl:with-param name="Skillelinie" select="'False'"/>
		</xsl:call-template>
   </xsl:template>

	<!--***************************************  FuldmagtAndel  **************************************************-->
	<xsl:template match="model:FuldmagtAndel">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTEN VEDRØRER FØLGENDE DISPOSITIONER'" />
		</xsl:call-template>

		<xsl:for-each select="model:FuldmagtDispositionAndelSamling/model:FuldmagtDispositionAndel">
			<xsl:variable name="DispositionType" select="model:FuldmagtDispositionAndelTekst" />
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$opslag//FuldmagtDispositionAndelTekst[@id = $DispositionType]"/>
			</xsl:call-template>
			<xsl:call-template name="FuldmagtDisposition">
				<xsl:with-param name="node" select="."/>
				<xsl:with-param name="DispositionType" select="$DispositionType"/>
				<xsl:with-param name="BogType" select="'Andelsbog'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed" />
		</xsl:for-each>
		<xsl:call-template name="FuldmagtBortfald">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
	</xsl:template>

	<!--*********************************************************************************************************************-->
	<!--************************************ 226 - FuldmagtLoesoereOpret ******************************************-->
	<!--*********************************************************************************************************************-->
	<xsl:template match="msgperson:FuldmagtLoesoereOpret">
		<xsl:variable name="doctypeid" select="msgperson:EkspeditionstypeIdentifikator" />
		<!-- Overskrift og prøvetinglysning -->
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]" />
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator" />
		</xsl:call-template>
		<!-- Løsøre -->
		<xsl:apply-templates select="model:LoesoereSamling"/>
		<!-- Roller -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Fuldmagtsoplysninger -->
		<xsl:apply-templates select="model:FuldmagtLoesoere"/>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/model:ErklaeringSamling" />
		</xsl:apply-templates>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling" />
		<!-- Øvrigt bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>

	<!--*********************************************************************************************************************-->
	<!--***************************************** 228 - FuldmagtLoesoereTilbagekald *****************************************-->
	<!--*********************************************************************************************************************-->
   <xsl:template match="msgperson:FuldmagtLoesoereTilbagekald">
		<xsl:call-template name="FuldmagtTilbagekald">
			<xsl:with-param name="ekspid" select="msgperson:EkspeditionstypeIdentifikator"/>
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator" />
		</xsl:call-template>   

		<xsl:variable name="node" select="key('FuldmagtStruktur', model:FuldmagtIdentifikator)"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTEN VEDRØRER LØSØRE'" />
		</xsl:call-template>
		<xsl:apply-templates select="$node/model:TinglysningObjektIdentifikator/model:LoesoereIdentifikator"/>
		<xsl:call-template name="linefeed" />
		<xsl:apply-templates select="$node/model:FuldmagtLoesoere"/>

		<xsl:call-template name="Alm_Anmeldelses_info" >
			<xsl:with-param name="Skillelinie" select="'False'"/>
		</xsl:call-template>   </xsl:template>

	<!--***************************************  FuldmagtLoesoere  **************************************************-->
	<xsl:template match="model:FuldmagtLoesoere">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'FULDMAGTEN VEDRØRER FØLGENDE DISPOSITIONER'" />
		</xsl:call-template>

		<xsl:for-each select="model:FuldmagtDispositionLoesoereSamling/model:FuldmagtDispositionLoesoere">
			<xsl:variable name="DispositionType" select="model:FuldmagtDispositionLoesoereTekst" />
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$opslag//FuldmagtDispositionLoesoereTekst[@id = $DispositionType]"/>
			</xsl:call-template>
			<xsl:call-template name="FuldmagtDisposition">
				<xsl:with-param name="node" select="."/>
				<xsl:with-param name="DispositionType" select="$DispositionType"/>
				<xsl:with-param name="BogType" select="'Personbog'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed" />
		</xsl:for-each>
		<xsl:call-template name="FuldmagtBortfald">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
	</xsl:template>
			
</xsl:stylesheet>
