<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msg="http://rep.oio.dk/tinglysning.dk/service/message/tingbog/1/"
    xmlns:msgbil="http://rep.oio.dk/tinglysning.dk/service/message/bilbog/1/"
	xmlns:msgandel="http://rep.oio.dk/tinglysning.dk/service/message/andelsbog/1/"
	xmlns:msgperson="http://rep.oio.dk/tinglysning.dk/service/message/personbog/1/"
    xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/"
    xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/"
	xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/"
	xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/"
    >

<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: IndividualiserPantebrev.xslt 131543 2018-04-06 11:48:20Z lpallesen@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!-- Dette XSLT indeholder alle XSLT templates vedrørende IndividualiserPantebrev-->

	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>

	
	<!-- ***********************************   DokumentSamlingAflys Tingbog  ********************************** -->
	<xsl:template match="msg:IndividualiserPantebrevOpret">
		<xsl:variable name="doctypeid" select="msg:EkspeditionstypeIdentifikator" />
		<xsl:variable name="doc_no" select="number(count(model:DokumentIdentifikatorSamling/model:DokumentIdentifikator))" />
		
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'" /> 
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator" />
		</xsl:call-template>
		
		<xsl:if test="$doc_no = 1">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'DOKUMENT SOM PÅTEGNES'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$doc_no > 1">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'DOKUMENTER SOM PÅTEGNES'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:for-each select="model:DokumentIdentifikatorSamling/model:DokumentIdentifikator">
			<xsl:call-template name="dokument_som_paategnes">
				<xsl:with-param name="doc_id" select="." />
				<xsl:with-param name="include_header" select="'false'"/>
				<xsl:with-param name="visAliasLink" select="'false'"/>
			</xsl:call-template>
		</xsl:for-each>

		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]" />
		</xsl:call-template>		
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$opslag//EkspeditionstypeLedetekst[@id = $doctypeid]"/>
			</xsl:call-template>
		<xsl:call-template name="linefeed" />

				
		<!-- Rollesamlingen skal stå til sidst efter en skillelinie -->
		<xsl:call-template name="linefeed" />
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed" />
		<xsl:call-template name="linefeed" />
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>

		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
</xsl:stylesheet>
