<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/"
    xmlns:dkcc="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/03/15/"
    xmlns:dkcc-1="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2003/02/13/"
    xmlns:dkcc-2="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/"
    xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/"
    xmlns:cpr-1="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/"
    xmlns:cpr-2="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/10/31/"
    xmlns:itst-2="http://rep.oio.dk/itst.dk/xml/schemas/2006/01/17/"
    xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/"
	xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/"
	xmlns:msgperson="http://rep.oio.dk/tinglysning.dk/service/message/personbog/1/" 
>
<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: Loesoere.xslt 120090 2017-08-08 09:10:17Z lpallesen@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->

	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>

	<xsl:key name="LoesoereStruktur" match="//snapshot:LoesoereSnapshotStruktur" use="concat(model:LoesoereIdentifikator/cpr-1:PersonCivilRegistrationIdentifier, '_',model:LoesoereIdentifikator/cvr:CVRnumberIdentifier)"/>

	
	<!-- ***********************************   LoesoereSamling  ********************************** -->
	<xsl:template match="model:LoesoereSamling | model:RespektLoesoereSamling">

		<xsl:variable name="loesoeretekst">
			<xsl:call-template name="afgoerloesoeretekst">
				<xsl:with-param name="samling" select="."/>
			</xsl:call-template>
		</xsl:variable>


		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="$loesoeretekst" />
		</xsl:call-template>
		<xsl:for-each select="model:Loesoere | model:RespektLoesoere">
			<xsl:apply-templates select="."/>
		</xsl:for-each>
	</xsl:template>



	<!-- ***********************************  model:Loesoere  ********************************** -->
	<xsl:template match="model:Loesoere | model:RespektLoesoere | model:RelaksationLoesoere">
		<xsl:variable name="node" select="."/>
		<xsl:call-template name="VisLoesoere">
			<xsl:with-param name="node" select="$node"/>
		</xsl:call-template>
	</xsl:template>

	<!-- ***********************************  VisLoesoere  ********************************** -->
	<xsl:template name="VisLoesoere">
		<xsl:param name="node"/> 
		<xsl:apply-templates select="$node/model:LoesoereIdentifikator"/>
		<!--<xsl:variable name="loesoereKey" select="concat($node/model:LoesoereIdentifikator/cpr-1:PersonCivilRegistrationIdentifier, '_',$node/model:LoesoereIdentifikator/cvr:CVRnumberIdentifier)"/>-->
		<xsl:variable name="loesoereKey">
			<xsl:choose>
				<xsl:when test="count($node/model:LoesoereIdentifikator/cpr-1:PersonCivilRegistrationIdentifier) = 1 and count($node/model:LoesoereIdentifikator/cvr:CVRnumberIdentifier)=0">
					<xsl:value-of select="concat($node/model:LoesoereIdentifikator/cpr-1:PersonCivilRegistrationIdentifier, '_')" />
					</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat($node/model:LoesoereIdentifikator/cpr-1:PersonCivilRegistrationIdentifier, '_',$node/model:LoesoereIdentifikator/cvr:CVRnumberIdentifier)"/>
					</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="loesoereStruktur" select="key('LoesoereStruktur', $loesoereKey)"/>	
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Navn'" />
			<xsl:with-param name="text" select="$loesoereStruktur/itst-2:PersonName" />
		</xsl:call-template>
		<xsl:call-template name="FindLoesoereAdresse">
			<xsl:with-param name="node" select="$loesoereStruktur"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed" />
	</xsl:template>

	<!-- ***********************************  VisLoesoereIdentifikator  ********************************** -->
	<xsl:template name="VisLoesoereIdentifikator">
		<xsl:param name="node"/> 
		<xsl:apply-templates select="$node"/>
		<!--<xsl:variable name="loesoereKey" select="concat($node/cpr-1:PersonCivilRegistrationIdentifier, '_',$node/cvr:CVRnumberIdentifier)"/>-->
		<xsl:variable name="loesoereKey">
			<xsl:choose>
				<xsl:when test="$node/model:LoesoereIdentifikator/cpr-1:PersonCivilRegistrationIdentifier and $node/model:LoesoereIdentifikator/cvr:CVRnumberIdentifier"><xsl:value-of select="concat($node/cpr-1:PersonCivilRegistrationIdentifier, '_')" /></xsl:when>
				<xsl:otherwise><xsl:value-of select="concat($node/cpr-1:PersonCivilRegistrationIdentifier, '_',$node/cvr:CVRnumberIdentifier)"/></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="loesoereStruktur" select="key('LoesoereStruktur', $loesoereKey)"/>	
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Navn'" />
			<xsl:with-param name="text" select="$loesoereStruktur/itst-2:PersonName" />
		</xsl:call-template>
		<xsl:call-template name="FindLoesoereAdresse">
			<xsl:with-param name="node" select="$loesoereStruktur"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed" />
	</xsl:template>


	<!-- **************************  model:LoesoereIdentifikatorSamling   **************************** -->
	<xsl:template match="model:LoesoereIdentifikatorSamling">
		<xsl:for-each select="model:LoesoereIdentifikator">
			<xsl:call-template name="VisLoesoereIdentifikator">
				<xsl:with-param name="node" select="."/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	
	<!-- **************************  model:LoesoereIdentifikator   **************************** -->
	<xsl:template match="model:LoesoereIdentifikator">
		<!-- CPR -->
		<xsl:apply-templates select="cpr-1:PersonCivilRegistrationIdentifier"/>
		<!-- CVR -->
		<xsl:apply-templates select="cvr:CVRnumberIdentifier"/>		
	</xsl:template>

	<!-- **************************  FindLoesoereAdresse   **************************** -->
	<xsl:template name="FindLoesoereAdresse"> 
		<xsl:param name="node"/> 
		<xsl:variable name="adresseKey" select="concat($node//cpr-1:MunicipalityCode, '_',$node //cpr-1:StreetCode, '_',$node //dkcc-1:StreetBuildingIdentifier, '_', $node//dkcc-1:FloorIdentifier, '_', $node//dkcc-1:SuiteIdentifier)"/>
		<xsl:variable name="adresseStruktur" select="key('AdresseStruktur', $adresseKey)"/>	
		<xsl:variable name="husnummer">
			<xsl:value-of select="$adresseStruktur //dkcc-1:StreetBuildingIdentifier"/>
			<xsl:if test="$adresseStruktur//dkcc-1:FloorIdentifier">
				<xsl:value-of select="', '"/>
				<xsl:value-of select="$adresseStruktur//dkcc-1:FloorIdentifier"/>
				<xsl:value-of select="'. '"/>
			</xsl:if>
			<xsl:if test="$adresseStruktur//dkcc-1:SuiteIdentifier">
				<xsl:value-of select="$adresseStruktur//dkcc-1:SuiteIdentifier"/>
				<xsl:value-of select="'. '"/>
			</xsl:if>
		</xsl:variable>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Adresse'" />
			<xsl:with-param name="text" select="$adresseStruktur/dkcc:StreetName" />
			<xsl:with-param name="text2" select="$husnummer" />
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="$adresseStruktur/dkcc:PostCodeIdentifier" />
			<xsl:with-param name="text2" select="$adresseStruktur/dkcc:DistrictName" />
		</xsl:call-template>
	</xsl:template>
	
	<!-- *********************************  UdskrivLoesoereHaeftelser  ******************************** -->
	<xsl:template name="UdskrivLoesoereHaeftelser">
		<xsl:param name="Root" select=".//model:LoesoereSamling"/>
		<xsl:variable name="AntalLoesoere" select="count($Root/*)"/>
		<xsl:variable name="AntalLoesoereSnapshot" select="count(//snapshot:LoesoereSnapshotStruktur)"/>
		<xsl:variable name="haeftelser">
			<xsl:if test="$AntalLoesoereSnapshot > 0 and count($Root//model:RespektSamling/model:Respekt/model:RettighedIdentifikator) > 0">
				<xsl:for-each select="$Root/*">
					<xsl:variable name="LoesoereRespekt" select="."/>
					<xsl:variable name="PantRettigheder" select="key('PantRettigheder', $LoesoereRespekt//model:Respekt/model:RettighedIdentifikator)"/>
					<xsl:variable name="rettigheder">
						<xsl:for-each select="$PantRettigheder">
							<xsl:sort select="model:Rettighed/model:Pantrettighed/model:PrioritetNummer" />
							<!-- Hvis hæftelsen hører til dette dokument, så udskriv den -->
							<xsl:variable name="rettighedIdentifikator" select="model:Rettighed/model:Pantrettighed/model:RettighedIdentifikator" />
							<!-- Hæftelsen findes i RespektSamling -->
							<xsl:variable name="dokumentIdentifikator" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator" />
							<xsl:variable name="revisionNummer" select="model:DokumentRevisionIdentifikator/model:RevisionNummer" />
							<xsl:variable name="Struktur" select="key('DokumentStruktur', concat($dokumentIdentifikator,'_',$revisionNummer))"/>
							<xsl:if test="$LoesoereRespekt//model:Respekt[model:RettighedIdentifikator = $rettighedIdentifikator] and $Struktur">
								<!-- Vis den dokumentstruktur, som matcher -->
								<xsl:call-template name="DokumentStruktur_Haeftelse">
									<xsl:with-param name="dokumentStruktur" select="$Struktur" />
									<xsl:with-param name="doc_id" select="$dokumentIdentifikator" />
								</xsl:call-template>
								<xsl:call-template name="linefeed" />
							</xsl:if>
						</xsl:for-each>
					</xsl:variable>
					<xsl:if test="$AntalLoesoereSnapshot > 1 and string-length($rettigheder) > 1">
						<xsl:call-template name="VisLoesoere">
							<xsl:with-param name="node" select="$LoesoereRespekt"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:copy-of select="$rettigheder"/>
				</xsl:for-each>
			</xsl:if>
		</xsl:variable>
		
		<xsl:if test="string-length($haeftelser) > 1">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'FØLGENDE HÆFTELSER RESPEKTERES'" />
			</xsl:call-template>
			<xsl:copy-of select="$haeftelser"/>
		</xsl:if>
	</xsl:template>
  
	<!-- *********************************  Udskriv FremtidigeAndelHaeftelser   ******************************** -->
	<xsl:template name="UdskrivFremtidigeLoesoereHaeftelser">
		<xsl:param name="Root" select=".//model:LoesoereSamling"/>

		<xsl:variable name="AntalLoesoere" select="count($Root/*)" />
		<xsl:variable name="AntalLoesoereSnapshot" select="count(//snapshot:LoesoereSnapshotStruktur)"/>
		
		<xsl:variable name="fremtidigehaeftelser">
			<xsl:if test="$AntalLoesoereSnapshot > 0 and count($Root//model:RespektSamling/model:Respekt/model:RespektHaeftelseFremtidig) > 0">
				<xsl:for-each select="$Root/*">
					<xsl:variable name="Loesoere" select="."/>
					<xsl:variable name="rettigheder">
						<xsl:variable name="antalRHF" select="count(.//model:Respekt/model:RespektHaeftelseFremtidig)" />
                     	<xsl:for-each select=".//model:Respekt/model:RespektHaeftelseFremtidig">
							<xsl:apply-templates select="."/>
							<xsl:if test="position() &lt; $antalRHF">
								<xsl:call-template name="linefeed" />
							</xsl:if>
						</xsl:for-each>
					</xsl:variable>	
					<xsl:if test="$AntalLoesoereSnapshot > 1 and string-length($rettigheder) > 1">
						<xsl:call-template name="VisLoesoere">
							<xsl:with-param name="node" select="$Loesoere"/>
						</xsl:call-template>
						<!--<xsl:call-template name="linefeed" />-->
					</xsl:if>
					<xsl:copy-of select="$rettigheder"/>
				</xsl:for-each>
				<xsl:call-template name="linefeed" />
			</xsl:if>
		</xsl:variable>
		<xsl:if test="string-length($fremtidigehaeftelser) > 1">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'FØLGENDE FREMTIDIGE HÆFTELSER RESPEKTERES'" />
			</xsl:call-template>
			<xsl:copy-of select="$fremtidigehaeftelser"/>
		</xsl:if>
	</xsl:template> 

	<xsl:template match="model:PersonbogTekstSamling">
		<xsl:call-template name="PersonbogTekstSamling">
			<xsl:with-param name="root" select="."/>
			<xsl:with-param name="dokumenttype" select="../../eakt:LoesoereDokumentTypeTekst"/>
			<xsl:with-param name="eksptyp" select="../../msgperson:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="PersonbogTekstSamling">
		<xsl:param name="root" select=".//model:PersonbogTekstSamling"/>
		<xsl:param name="visStandardTekst1" select="'true'"/>
        <xsl:param name="dokumenttype" select=".//../../eakt:LoesoereDokumentTypeTekst"/>
		<xsl:param name="eksptyp" select=".//../../msgperson:EkspeditionstypeIdentifikator"/>
	   <xsl:choose>
         <xsl:when test="$dokumenttype='fremtidsfuldmagt' or $eksptyp = '227'">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'FULDMAGTENS OMFANG'"/>
			</xsl:call-template>
		  </xsl:when>
		  <xsl:otherwise>
			<xsl:call-template name="heading"> 
				<xsl:with-param name="text" select="'BESKRIVELSE'"/>
			</xsl:call-template>
		  </xsl:otherwise>
		</xsl:choose>
		<xsl:for-each select="$root//model:PersonbogTekst">
			<xsl:call-template name="VisFraser">
				<xsl:with-param name="node" select="."/>
			</xsl:call-template>
		</xsl:for-each>
        <xsl:if test="$dokumenttype='fremtidsfuldmagt'">
			<xsl:for-each select=".//../../../eakt:ElektroniskaktAnmeldelseInformation/model:RolleSamling/model:Rolle">
				<xsl:if test="./model:RolleTypeIdentifikator = 'myndighed'">
					<xsl:choose>
			    	     <xsl:when test="./cpr-1:AuthorityCode">
			    			<xsl:call-template name="column2">
								<xsl:with-param name="text" select="$fremtidsfuldmagtstandardtekst2"/>
							</xsl:call-template>
         				</xsl:when>
         				<xsl:otherwise>
							<xsl:call-template name="column2">
								<xsl:with-param name="text" select="$fremtidsfuldmagtstandardtekst2_statsforvaltning"/>
							</xsl:call-template>
         				</xsl:otherwise>
       				</xsl:choose>
				</xsl:if>
			</xsl:for-each>
			<xsl:call-template name="linefeed" />
        </xsl:if>
	</xsl:template>
		
</xsl:stylesheet>
