<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:msg="http://rep.oio.dk/tinglysning.dk/service/message/tingbog/1/" 
	xmlns:msgbil="http://rep.oio.dk/tinglysning.dk/service/message/bilbog/1/" 
	xmlns:msgandel="http://rep.oio.dk/tinglysning.dk/service/message/andelsbog/1/" 
	xmlns:msgperson="http://rep.oio.dk/tinglysning.dk/service/message/personbog/1/" 
	xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/" 
	xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/" 
	xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/" 
	xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/" 
	xmlns:dkcc="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/03/15/" 
	xmlns:dkcc-1="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2003/02/13/" 
	xmlns:dkcc-2="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/" 
	xmlns:cpr-1="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" 
	xmlns:cpr-2="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/10/31/" 
	xmlns:itst-2="http://rep.oio.dk/itst.dk/xml/schemas/2006/01/17/" 
	xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/">
	<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: Meddelelse.xslt 157930 2019-09-19 08:04:55Z lpallesen@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!-- Dette XSLT templates specielt vedrørende Meddelelser 
		MeddelelseOffentligOpret: 163) 
		MeddelelseOffentligPaategn: 122, 125, 128, 131, 134, 137, 140, 143, 151, 152, 159, 173, 177, 210 
	-->
	<!-- 07-11-08 hpi - Ændret ift. Word eks. TG_MeddelseTvangsauktion (143).doc -->
	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	<!--*****************************************************************************************************************-->
	<!--*************************************  MeddelelseBrugeligPantPaategn ************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msg:MeddelelseBrugeligPantPaategn">
		<xsl:variable name="doctypeid" select="msg:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:variable name="doc_no" select="number(count(model:RettighedIdentifikatorSamling/model:RettighedIdentifikator))"/>
		<xsl:if test="$doc_no = 1">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'DOKUMENT SOM PÅTEGNES'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$doc_no > 1">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'DOKUMENTER SOM PÅTEGNES'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:variable name="Rettigheder" select="//snapshot:SnapshotSamling/snapshot:RettighedIdentifikatorSamling/snapshot:RettighedIdentifikatorStruktur"/>
		<xsl:variable name="Dokumenter" select="//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur"/>
		<xsl:for-each select="model:RettighedIdentifikatorSamling/model:RettighedIdentifikator">
			<xsl:variable name="ret_id" select="."/>
			<!--<xsl:value-of select="$ret_id"/>-->
			<xsl:variable name="dok_id" select="$Rettigheder[model:Rettighed/model:Adkomstrettighed/model:RettighedIdentifikator=$ret_id]/model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
			<xsl:call-template name="dokument_som_paategnes">
				<xsl:with-param name="doc_id" select="$dok_id"/>
				<xsl:with-param name="include_header" select="'false'"/>
			</xsl:call-template>
		</xsl:for-each>
		<!-- Subheader med eksped. type overskrift -->
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<!-- Offentlig meddelelse - Afgørelsesdato -->
		<xsl:apply-templates select="model:MeddelelseOffentlig"/>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- BilagReferencer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt / AndenTekst (fraser, overskrifter og tekstafsnit) -->
		<xsl:call-template name="VisAndenTekst"> <!-- bagudkompatibel -->
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/anm:AndenTekst"/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
		<xsl:call-template name="VisAndenTekstSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>		
		<!-- Indsætter skillelinie -->
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<!-- Rollesamling -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*********************************************  MeddelelseOffentligOpret ************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msg:MeddelelseOffentligOpret">
		<xsl:call-template name="MeddelelseOpret">
			<xsl:with-param name="node" select="."/>
			<xsl:with-param name="eksptype" select="msg:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*************************************  MeddelelseOffentligBilOpret ******************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msgbil:MeddelelseOffentligBilOpret">
		<xsl:call-template name="MeddelelseOpret">
			<xsl:with-param name="node" select="."/>
			<xsl:with-param name="eksptype" select="msgbil:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*************************************  MeddelelseOffentligAndelOpret ******************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msgandel:MeddelelseOffentligAndelOpret">
		<xsl:call-template name="MeddelelseOpret">
			<xsl:with-param name="node" select="."/>
			<xsl:with-param name="eksptype" select="msgandel:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*************************************  PantsaetningsforbudLoesoereOpret ******************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msgperson:PantsaetningsforbudLoesoereOpret">
		<xsl:call-template name="MeddelelseOpret">
			<xsl:with-param name="node" select="."/>
			<xsl:with-param name="eksptype" select="msgperson:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*********************************************  MeddelelseOpret ************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template name="MeddelelseOpret">
		<xsl:param name="node"/>
		<xsl:param name="eksptype"/>
		<xsl:variable name="doctypeid" select="$eksptype"/>
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
			<xsl:with-param name="proevetinglysning" select="$node/anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<!-- Meddelelse -->
		<xsl:if test="$node/model:MeddelelseOffentligBil">
			<xsl:call-template name="MeddelelseOffentligTypeHeading">
				<xsl:with-param name="MeddelelseType" select="$node/model:MeddelelseOffentligBil/model:MeddelelseOffentligTypeTekst"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$node/model:MeddelelseOffentligAndel">
			<xsl:call-template name="MeddelelseOffentligTypeHeading">
				<xsl:with-param name="MeddelelseType" select="$node/model:MeddelelseOffentligAndel/model:MeddelelseOffentligTypeTekst"/>
			</xsl:call-template>
		</xsl:if>
		<!-- Ejendom -->
		<xsl:apply-templates select="$node/model:FastEjendomSamling"/>
		<xsl:apply-templates select="$node/model:BilSamling"/>
		<xsl:apply-templates select="$node/model:AndelSamling"/>
		<xsl:apply-templates select="$node/model:LoesoereSamling"/>
		<!-- RolleSamling  -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Offentlig meddelelse - Afgørelsesdato -->
		<xsl:apply-templates select="$node/model:MeddelelseOffentlig"/>
		<xsl:apply-templates select="$node/model:MeddelelseOffentligBil"/>
		<xsl:apply-templates select="$node/model:MeddelelseOffentligAndel"/>
		<xsl:apply-templates select="$node/model:PantsaetningsforbudLoesoere"/>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivHaeftelser">
			<xsl:with-param name="Root" select="$node"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivBilHaeftelser">
			<xsl:with-param name="Root" select="$node//model:BilSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivAndelHaeftelser">
			<xsl:with-param name="Root" select="$node"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivLoesoereHaeftelser">
			<xsl:with-param name="Root" select="$node//model:LoesoereSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeHaeftelser">
			<xsl:with-param name="Root" select="$node"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeBilHaeftelser">
			<xsl:with-param name="Root" select="$node//model:BilSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeAndelHaeftelser">
			<xsl:with-param name="Root" select="$node"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeLoesoereHaeftelser">
			<xsl:with-param name="Root" select="$node//model:LoesoereSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivServitutter">
			<xsl:with-param name="Root" select="$node"/>
		</xsl:call-template>
		<!-- Erklæringer -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- BilagReferencer -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt / AndenTekst (fraser, overskrifter og tekstafsnit) -->
		<xsl:call-template name="VisAndenTekst"> <!-- bagudkompatibel -->
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/anm:AndenTekst"/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
		<xsl:call-template name="VisAndenTekstSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--******************************************  MeddelelseOffentligPaategn ************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msg:MeddelelseOffentligPaategn">
		<xsl:call-template name="MeddelelseOffentligPaategn">
			<xsl:with-param name="node" select="."/>
			<xsl:with-param name="eksptype" select="msg:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--***************************************  MeddelelseOffentligPaategn BIL************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msgbil:MeddelelseOffentligPaategn">
		<xsl:call-template name="MeddelelseOffentligPaategn">
			<xsl:with-param name="node" select="."/>
			<xsl:with-param name="eksptype" select="msgbil:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--************************************  MeddelelseOffentligPaategn ANDEL**********************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msgandel:MeddelelseOffentligPaategn">
		<xsl:call-template name="MeddelelseOffentligPaategn">
			<xsl:with-param name="node" select="."/>
			<xsl:with-param name="eksptype" select="msgandel:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*********************************  MeddelelseOffentligPaategn LØSØRE **********************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msgperson:MeddelelseOffentligPaategn">
		<xsl:call-template name="MeddelelseOffentligPaategn">
			<xsl:with-param name="node" select="."/>
			<xsl:with-param name="eksptype" select="msgperson:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--****************************************  MeddelelseOffentligPaategn  **************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template name="MeddelelseOffentligPaategn">
		<xsl:param name="node"/>
		<xsl:param name="eksptype"/>
		<xsl:variable name="doctypeid" select="$eksptype"/>
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="$node/anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<!-- Dokument som påtegnes -->
		<xsl:variable name="doc_id" select="$node/model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id"/>
		</xsl:call-template>
		<!-- Subheader med eksped. type overskrift -->
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<!-- Offentlig meddelelse - Afgørelsesdato -->
		<xsl:apply-templates select="$node/model:MeddelelseOffentlig"/>
		<xsl:apply-templates select="$node/model:MeddelelseFastEjendomAdkomst"/>
		<xsl:apply-templates select="$node/model:MeddelelseFastEjendomPant"/>
		<!-- Erklæringer -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- BilagReferencer -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt / AndenTekst (fraser, overskrifter og tekstafsnit) -->
		<xsl:call-template name="VisAndenTekst"> <!-- bagudkompatibel -->
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/anm:AndenTekst"/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
		<xsl:call-template name="VisAndenTekstSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
		<!-- Indsætter skillelinie -->
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<!-- Rollesamling -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="$node/anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!-- ********************************   MeddelelseOffentlig   ******************************** -->
	<xsl:template match="model:MeddelelseOffentlig">
		<xsl:variable name="doctypeid" select="../msg:EkspeditionstypeIdentifikator"/>
		<!-- Afgørelsesdato -->
		<xsl:choose>
			<xsl:when test="$doctypeid != ''">
				<xsl:call-template name="heading">
					<xsl:with-param name="text" select="$opslag//AfgoerelseDatoType[@id = $doctypeid]"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="heading">
					<xsl:with-param name="text" select="'AFGØRELSESDATO'"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="formatdato_column2">
			<xsl:with-param name="prompt" select="''"/>
			<xsl:with-param name="dato" select="model:AfgoerelseDato"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
		<xsl:if test="model:AuktionKoeberSamling">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'AUKTIONSKØBER'"/>
			</xsl:call-template>
			<xsl:for-each select="model:AuktionKoeberSamling/model:AuktionKoeber">
				<xsl:variable name="cpr" select="cpr-1:PersonCivilRegistrationIdentifier"/>
				<xsl:variable name="cvr" select="cvr:CVRnumberIdentifier"/>
				<xsl:if test="$cpr">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Cpr-nr:'"/>
						<xsl:with-param name="text" select="concat(substring($cpr,1,6),'-****')"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$cvr">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Cvr-nr.'"/>
						<xsl:with-param name="text" select="$cvr"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
	</xsl:template>
	<!-- ********************************   MeddelelseOffentligBil   ******************************** -->
	<xsl:template match="model:MeddelelseOffentligBil">
		<xsl:call-template name="MeddelelseOffentligType">
			<xsl:with-param name="doctypeid" select="../msgbil:EkspeditionstypeIdentifikator"/>
			<xsl:with-param name="AfgoerelseDato" select="model:AfgoerelseDato"/>
			<xsl:with-param name="withheader" select="'false'"/>
		</xsl:call-template>
	</xsl:template>
	<!-- ********************************   MeddelelseOffentligAndel   **************************** -->
	<xsl:template match="model:MeddelelseOffentligAndel">
		<xsl:call-template name="MeddelelseOffentligType">
			<xsl:with-param name="doctypeid" select="../msgandel:EkspeditionstypeIdentifikator"/>
			<xsl:with-param name="AfgoerelseDato" select="model:AfgoerelseDato"/>
			<xsl:with-param name="withheader" select="'false'"/>
		</xsl:call-template>
	</xsl:template>
	<!-- ********************************   MeddelelseOffentligType   ******************************** -->
	<xsl:template name="MeddelelseOffentligType">
		<xsl:param name="doctypeid"/>
		<xsl:param name="MeddelelseType"/>
		<xsl:param name="AfgoerelseDato"/>
		<xsl:param name="withheader"/>
		<xsl:if test="string($withheader) = 'true'">
			<xsl:call-template name="MeddelelseOffentligTypeHeading">
				<xsl:with-param name="MeddelelseType" select="$MeddelelseType"/>
			</xsl:call-template>
		</xsl:if>
		<!-- Afgørelsesdato -->
		<xsl:choose>
			<xsl:when test="$doctypeid != ''">
				<xsl:call-template name="heading">
					<xsl:with-param name="text" select="$opslag//AfgoerelseDatoType[@id = $doctypeid]"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="heading">
					<xsl:with-param name="text" select="'AFGØRELSESDATO'"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="formatdato_column2">
			<xsl:with-param name="prompt" select="''"/>
			<xsl:with-param name="dato" select="$AfgoerelseDato"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!-- ************************************** Header til meddelelse ***************************************-->
	<xsl:template name="MeddelelseOffentligTypeHeading">
		<xsl:param name="MeddelelseType"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'MEDDELELSE'"/>
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="$opslag//MeddelelseType[@id = $MeddelelseType]"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!-- ********************************   PantsaetningsforbudLoesoere   **************************** -->
	<xsl:template match="model:PantsaetningsforbudLoesoere">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'PANTSÆTNINGSFORBUD'"/>
		</xsl:call-template>
		<xsl:for-each select="model:PantsaetningsforbudTypeTekstSamling/model:PantsaetningsforbudTypeTekst">
			<xsl:variable name="PantsaetningsforbudType" select="."/>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$opslag//PantsaetningsforbudTypeTekst[@id = $PantsaetningsforbudType]"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--**************************************************  188 Testamentet ******************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msgperson:TestamenteOpret">
		<xsl:variable name="doctypeid" select="msgperson:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'TESTAMENTE'"/>
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<!-- FØ089 - særlig visning af testamenter u. cpr -->
		<xsl:apply-templates select="model:TestatorIdentifikatorSamling" mode="testamente"/>
		<!-- RolleSamling  -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Offentlig meddelelse - Afgørelsesdato -->
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'TESTAMENTE'"/>
		</xsl:call-template>
		<xsl:variable name="TestamenteType" select="model:Testamente/model:TestamenteTypeTekst"/>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Type'"/>
			<xsl:with-param name="text" select="$opslag//TestamenteTypeTekst[@id = $TestamenteType]"/>
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Beskrivelse'"/>
			<xsl:with-param name="text" select="model:Testamente/model:TestamenteTekst"/>
		</xsl:call-template>
		<xsl:call-template name="formatdato_column2">
			<xsl:with-param name="prompt" select="'Underskriftsdato'"/>
			<xsl:with-param name="dato" select="model:Testamente/model:TestamenteUnderskriftDato"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- BilagReferencer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt / AndenTekst (fraser, overskrifter og tekstafsnit) -->
		<xsl:call-template name="VisAndenTekst"> <!-- bagudkompatibel -->
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/anm:AndenTekst"/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
		<xsl:call-template name="VisAndenTekstSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!-- **************************  model:TestatorIdentifikatorSamling   **************************** -->
	<xsl:template match="model:TestatorIdentifikatorSamling" mode="testamente">
		<xsl:call-template name="linefeed"/>
		<xsl:for-each select="model:TestatorIdentifikator">
			<xsl:apply-templates select="*" mode="testamente"/>
			<xsl:call-template name="linefeed"/>
		</xsl:for-each>
	</xsl:template>
	<!-- **************************  model:TestatorIdentifikator   **************************** -->
	<xsl:template match="cpr-1:PersonCivilRegistrationIdentifier" mode="testamente">
		<!-- CPR -->
		<xsl:variable name="cpr" select="."/>
		<!-- da dette er en ren intern visning, viser vi hele cpr -->
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Cpr-nr.'"/>
			<xsl:with-param name="text" select="concat(substring($cpr,1,6),'-',substring($cpr,7,4))"/>
		</xsl:call-template>
		<!-- vi har ikke snapshots i anmeldelsen, så det er ikke muligt at slå navnet op -->
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Navn'"/>
			<xsl:with-param name="text" select="'-'"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<xsl:template match="itst-2:PersonName" mode="testamente">
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Cpr-nr.'"/>
			<xsl:with-param name="text" select="'Oprettet uden Cpr-nr.'"/>
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Navn'"/>
			<xsl:with-param name="text" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="dkcc:BirthDate" mode="testamente">
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Fødselsdag'"/>
			<xsl:with-param name="text" select="concat(substring(.,9,2),'.',substring(.,6,2),'.',substring(.,1,4))"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="cpr-2:SecondaryPostalLabel" mode="testamente">
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Adresse'"/>
			<xsl:with-param name="text" select="dkcc-2:PostalAddressFirstLineText"/>
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="dkcc-2:PostalAddressSecondLineText"/>
		</xsl:call-template>
		<xsl:if test="string-length(dkcc-2:PostalAddressThirdLineText) > 0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="dkcc-2:PostalAddressThirdLineText"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="string-length(dkcc-2:PostalAddressFourthLineText) > 0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="dkcc-2:PostalAddressFourthLineText"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="string-length(dkcc-2:PostalAddressFifthLineText) > 0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="dkcc-2:PostalAddressFifthLineText"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="string-length(dkcc-2:PostalAddressSixthLineText) > 0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="dkcc-2:PostalAddressSixthLineText"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<!-- ********************************   model:Testamente   **************************** -->
	<xsl:template match="model:Testamente">
		<xsl:variable name="haeftelsestypeid" select="../eakt:LoesoereDokumentTypeTekst"/>
		<xsl:call-template name="UdskrivHaeftelseType">
			<xsl:with-param name="haeftelsestypeid" select="$haeftelsestypeid"/>
		</xsl:call-template>
		<xsl:variable name="TestamenteType" select="model:TestamenteTypeTekst"/>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Testamente type'"/>
			<xsl:with-param name="text" select="$opslag//TestamenteTypeTekst[@id = $TestamenteType]"/>
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Beskrivelse'"/>
			<xsl:with-param name="text" select="model:TestamenteTekst"/>
		</xsl:call-template>
		<xsl:call-template name="formatdato_two_columns">
			<xsl:with-param name="prompt" select="'Afgørelsesdato'"/>
			<xsl:with-param name="dato" select="model:TestamenteUnderskriftDato"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--***************************************  TinglysningFormueforholdOpret ************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msgperson:TinglysningFormueforholdOpret">
		<xsl:variable name="doctypeid" select="msgperson:EkspeditionstypeIdentifikator"/>
		<xsl:choose>
			<xsl:when test="model:TinglysningFormueforhold/model:Formueordning">
				<xsl:variable name="formueordning" select="model:TinglysningFormueforhold/model:Formueordning"/>
				<xsl:call-template name="document_header">
					<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
					<xsl:with-param name="subheader" select="$opslag//FormueordningTekst[@id = $formueordning]"/>
					<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
			<xsl:call-template name="document_header">
					<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
					<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Løsøre -->
		<xsl:apply-templates select="model:LoesoereIdentifikatorSamling"/>
		<!-- RolleSamling  -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Offentlig meddelelse - Afgørelsesdato -->
		<xsl:apply-templates select="model:TinglysningFormueforhold"/>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- BilagReferencer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt / AndenTekst (fraser, overskrifter og tekstafsnit) -->
		<xsl:call-template name="VisAndenTekst"> <!-- bagudkompatibel -->
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/anm:AndenTekst"/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
		<xsl:call-template name="VisAndenTekstSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--************************************  TinglysningFormueforholdPaategn  ***********************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msgperson:TinglysningFormueforholdPaategn">
		<xsl:variable name="doctypeid" select="msgperson:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<!-- Dokument som påtegnes -->
		<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id"/>
		</xsl:call-template>
		<!-- Subheader med eksped. type overskrift -->
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<!-- Offentlig meddelelse - Afgørelsesdato -->
		<xsl:apply-templates select="model:TinglysningFormueforhold"/>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- BilagReferencer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt / AndenTekst (fraser, overskrifter og tekstafsnit) -->
		<xsl:call-template name="VisAndenTekst"> <!-- bagudkompatibel -->
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/anm:AndenTekst"/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
		<xsl:call-template name="VisAndenTekstSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
			<xsl:with-param name="overskrift" select="'ØVRIGT'"/>
		</xsl:call-template>
		<!-- Indsætter skillelinie -->
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<!-- Rollesamling -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!-- ********************************   model:TinglysningFormueforhold   **************************** -->
	<xsl:template match="model:TinglysningFormueforhold">
		
		<xsl:variable name="ekspeditionstype" select="../msgperson:EkspeditionstypeIdentifikator"/>
		 
		<xsl:apply-templates select="model:PersonbogTekstSamling"/>

		<xsl:if test="$ekspeditionstype = '227'">
			<xsl:for-each select="../anm:AnmeldelseInformation/model:RolleSamling/model:Rolle">
				<xsl:if test="./model:RolleTypeIdentifikator = 'myndighed'">
					<xsl:choose>
			    	     <xsl:when test="./cpr-1:AuthorityCode">
			    			<xsl:call-template name="column2">
								<xsl:with-param name="text" select="$fremtidsfuldmagtstandardtekst2"/>
							</xsl:call-template>
         				</xsl:when>
         				<xsl:otherwise>
							<xsl:call-template name="column2">
								<xsl:with-param name="text" select="$fremtidsfuldmagtstandardtekst2_statsforvaltning"/>
							</xsl:call-template>
         				</xsl:otherwise>
       				</xsl:choose>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>

		<xsl:if test="model:TinglysningFormueforholdDato">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'AFGØRELSESDATO'"/>
			</xsl:call-template>
			<xsl:call-template name="formatdato_column2">
				<xsl:with-param name="prompt" select="''"/>
				<xsl:with-param name="dato" select="model:TinglysningFormueforholdDato"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*******************************  MeddelelseFastEjendomPaategn********************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msg:MeddelelseFastEjendomAdkomstPaategn | msg:MeddelelseFastEjendomPantPaategn">
		<xsl:call-template name="MeddelelseOffentligPaategn">
			<xsl:with-param name="node" select="."/>
			<xsl:with-param name="eksptype" select="msg:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
	</xsl:template>
	<!-- ********************************   MeddelelseFastEjendomAdkomst   ******************************** -->
	<xsl:template match="model:MeddelelseFastEjendomAdkomst">
		<xsl:call-template name="MeddelelseOffentligType">
			<xsl:with-param name="doctypeid" select="../msg:EkspeditionstypeIdentifikator"/>
			<xsl:with-param name="MeddelelseType" select="model:MeddelelseFastEjendomTekst"/>
			<xsl:with-param name="AfgoerelseDato" select="model:AfgoerelseDato"/>
			<xsl:with-param name="withheader" select="'true'"/>
		</xsl:call-template>
	</xsl:template>
	<!-- ********************************   MeddelelseFastEjendomPant   ******************************** -->
	<xsl:template match="model:MeddelelseFastEjendomPant">
		<xsl:call-template name="MeddelelseOffentligType">
			<xsl:with-param name="doctypeid" select="../msg:EkspeditionstypeIdentifikator"/>
			<xsl:with-param name="MeddelelseType" select="model:MeddelelseOffentligTypeTekst"/>
			<xsl:with-param name="AfgoerelseDato" select="model:AfgoerelseDato"/>
			<xsl:with-param name="withheader" select="'true'"/>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
