<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/"
    xmlns:cpr-1="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/"
    xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/"
    xmlns:ois="http://rep.oio.dk/ois.dk/xml/schemas/2006/04/25/"
>
<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: Myndighed.xslt 63505 2012-08-21 14:35:25Z cnielsen22@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!-- Dette XSLT indeholder templates vedrørende Myndighedsoplsyninger (anvendelse: 118)  -->

	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	
	
	<!-- ***********************************   MyndighedsOplysninger   ********************************** -->
	<xsl:template match="model:MyndighedOplysninger">
		<xsl:variable name="myndighedsid" select="@id"/>
		<xsl:call-template name="model:VisNavn">
			<xsl:with-param name="RolleReference" select="$myndighedsid"/>
		</xsl:call-template>
		
	<!-- Vis adresse --> 
		<xsl:call-template name="model:VisRolleAdresse"> 
			<xsl:with-param name="adr_id" select="$myndighedsid"/> 
		</xsl:call-template> 
		
		<!-- CVR -->
		<xsl:apply-templates select="cvr:CVRnumberIdentifier"/>
		
		<!-- Sagsreference -->
		<xsl:apply-templates select="model:SagsReference"/>
			
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Retskreds'" />
			<xsl:with-param name="text" select="ois:JurisdictionCode" />
		</xsl:call-template>
		<xsl:call-template name="linefeed" />
	</xsl:template>
	
</xsl:stylesheet>
