<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/" xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/" xmlns:msg="http://rep.oio.dk/tinglysning.dk/service/message/tingbog/1/" xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/" xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/" xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/" xmlns:xkom="http://rep.oio.dk/xkom.dk/xml/schemas/2006/01/06/" xmlns:xkom-1="http://rep.oio.dk/xkom.dk/xml/schemas/2005/03/15/" xmlns:xkom-2="http://rep.oio.dk/xkom.dk/xml/schemas/2006/01/06/" xmlns:cpr="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" xmlns:cpr-1="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" xmlns:cpr-2="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/10/31/" xmlns:dkcc="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/03/15/" xmlns:dkcc-2="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/" xmlns:itst-1="http://rep.oio.dk/itst.dk/xml/schemas/2005/01/10/" xmlns:itst-2="http://rep.oio.dk/itst.dk/xml/schemas/2006/01/17/" xmlns:n3="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/" xmlns:ds="http://www.w3.org/2000/09/xmldsig#">
	<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: Paategninger.xslt 190138 2020-11-05 18:30:18Z meld@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!--===============================================================-->
	<!-- Denne XSLT indeholder hæftelse- og adkomstpåtegninger: -->
	<!-- 56, 60, 64, 68, 72, 76, 80, 84, 88, 92, 96, 119, 121, 187, 209 / 51, 52, 54  -->
	<!--===============================================================-->
	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	<xsl:key name="DokumentIdentifikator" match="//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur" use="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
	<xsl:key name="Rettigheder" match="//snapshot:SnapshotSamling/snapshot:RettighedIdentifikatorSamling/snapshot:RettighedIdentifikatorStruktur" use="model:Rettighed//model:RettighedIdentifikator"/>
	<!--<xsl:key name="RolleReferencer" match="//model:RolleReference[not(ancestor-or-self::model:AnmelderOrdning | ancestor-or-self::model:UnderskriftsmappeSignaturSamling)]" use="../model:RolleReference"/>-->
	<xsl:key name="RolleReferencer" match="//*[substring(local-name(.), 1, 16) = 'Ekspeditionstype']/model:RolleReferenceSamling/model:RolleReference" use="../model:RolleReference"/>
	<!--===============================================================-->
	<!-- Påtegninger -->
	<!--===============================================================-->
	<!--  ************************  msg:HaeftelseKombinationPaategn  **************************** -->
	<xsl:template match="msg:HaeftelseKombinationPaategn">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id"/>
		</xsl:call-template>
		<!-- Udskriv de enkelte påtegninger  -->
		<xsl:for-each select="node()">
			<xsl:if test="contains(string(name()), 'EkspeditionstypeNyDebitorFastEjendom')">
				<xsl:apply-templates select="."/>
			</xsl:if>
		</xsl:for-each>
		<!-- Udskriv de enkelte påtegninger  -->
		<xsl:for-each select="node()">
			<xsl:sort select=".//model:EkspeditionstypeRaekkefoelge"/>
			<xsl:if test="contains(string(name()), 'Ekspeditionstype') and not(contains(string(name()), 'EkspeditionstypeNyDebitorFastEjendom'))">
				<xsl:apply-templates select="."/>
			</xsl:if>
		</xsl:for-each>
		<xsl:call-template name="UdskrivSkyldnerErklaering"/>
		<!-- Udskriv oplysninger fælles for alle påtegninger, f.eks. anmelder, erklæringer osv. -->
		<!--<xsl:if test="anm:AnmeldelseInformation/model:ErklaeringSamling or anm:AnmeldelseInformation/model:BilagReferenceSamling or anm:AnmeldelseInformation/anm:AndenTekst or anm:AnmeldelseInformation/anm:AndenTekstSamling">-->
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
		<!--</xsl:if>-->
		<!-- Roller -->
		<xsl:call-template name="NoneRolleRef">
			<xsl:with-param name="RolleSamling" select="anm:AnmeldelseInformation/model:RolleSamling"/>
			<xsl:with-param name="gaeldsansvar">
				<xsl:choose>
					<!-- Pga. manglende rollereference, når kombi kun indeholder én ekspeditionstype -->
					<xsl:when test="//model:EkspeditionstypeIdentifikator=64">
						<xsl:value-of select="'yes'"/>
					</xsl:when>
					<xsl:when test="//model:EkspeditionstypeIdentifikator=76">
						<!-- QC 9453 -->
						<xsl:choose>
							<xsl:when test="model:EkspeditionstypeVilkaarsaendringHaeftelseFastEjendom/model:VilkaarsaendringHaeftelseFastEjendom/model:PantebrevFastEjendom">
								<xsl:value-of select="'yes'"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="'no'"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'no'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--  ************************  model:RolleReferenceSamling  **************************** -->
	<xsl:template match="model:RolleReferenceSamling">
		<xsl:param name="gaeldsansvar" select="'no'"/>
		<xsl:for-each select="model:RolleReference">
			<!-- Roller specifikke for påtegningen -->
			<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling">
				<xsl:with-param name="RolleID" select="."/>
				<xsl:with-param name="gaeldsansvar" select="$gaeldsansvar"/>
			</xsl:apply-templates>
		</xsl:for-each>
	</xsl:template>
	<!-- Personligt gældsansvar skal rettes både i NoneRolleRef på på hver ekspedtionstype -->
	<!-- ***********************************   NoneRolleRef   ********************************** -->
	<xsl:template name="NoneRolleRef">
		<xsl:param name="RolleSamling"/>
		<xsl:param name="gaeldsansvar" select="'no'"/>
		<xsl:for-each select="$RolleSamling/model:Rolle">
			<xsl:if test="not(key('RolleReferencer',@id))">
				<xsl:apply-templates select=".">
					<xsl:with-param name="gaeldsansvar" select="$gaeldsansvar"/>
				</xsl:apply-templates>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*********************************************  56 - RespektHæftelseFastEjendom **********************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeRespektHaeftelseFastEjendom">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
			<xsl:with-param name="text2" select="$opslag//PaategningHjaelpetekst[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:RespektFastEjendomSamling"/>
		<xsl:call-template name="linefeed"/>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivHaeftelser">
			<xsl:with-param name="Root" select="model:RespektFastEjendomSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeHaeftelser">
			<xsl:with-param name="Root" select="model:RespektFastEjendomSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivServitutter">
			<xsl:with-param name="Root" select="model:RespektFastEjendomSamling"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--****************************************  60 - TransportHæftelseFastEjendom *************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeTransportHaeftelseFastEjendomSamling">
		<xsl:for-each select="model:EkspeditionstypeTransportHaeftelseFastEjendom">
			<xsl:sort select="model:EkspeditionstypeRaekkefoelge"/>
			<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
			<xsl:call-template name="document_subheader">
				<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
			</xsl:call-template>
			<xsl:call-template name="ledetekst">
				<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
			</xsl:call-template>
			<xsl:choose>
				<xsl:when test="model:RolleReferenceSamling">
					<xsl:apply-templates select="model:RolleReferenceSamling"/>
				</xsl:when>
				<!--<xsl:otherwise>
					<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
				</xsl:otherwise>-->
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--**********************************************  64 - NyDebitorFastEjendom ***************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeNyDebitorFastEjendomSamling">
		<xsl:for-each select="model:EkspeditionstypeNyDebitorFastEjendom">
			<xsl:sort select="model:EkspeditionstypeRaekkefoelge"/>
			<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
			<xsl:call-template name="document_subheader">
				<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
			</xsl:call-template>
			<xsl:call-template name="ledetekst">
				<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
			</xsl:call-template>
			<!-- Roller specifikke for påtegningen -->
			<xsl:choose>
				<xsl:when test="model:RolleReferenceSamling and //model:VilkaarsaendringHaeftelseFastEjendom/model:EjerpantebrevFastEjendom">
					<xsl:apply-templates select="model:RolleReferenceSamling">
						<xsl:with-param name="gaeldsansvar" select="'no'"/>
					</xsl:apply-templates>
				</xsl:when>
				<xsl:when test="model:RolleReferenceSamling">
					<xsl:apply-templates select="model:RolleReferenceSamling">
						<xsl:with-param name="gaeldsansvar" select="'yes'"/>
					</xsl:apply-templates>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--****************************************  68 - NyMeddelelseshaverFastEjendom ************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeMeddelelseshaverFastEjendom">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--****************************************  72 - NyFuldmagtshaverHæftelseFastEjendom ******************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeFuldmagtshaverHaeftelseFastEjendom">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:FuldmagtshaverHaeftelseFastEjendom/model:FuldmagtAnmeldtSamling"/>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--***************************************  76 - VilkaarsaendringHaeftelseFastEjendom ******************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeVilkaarsaendringHaeftelseFastEjendom">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:if test="model:VilkaarsaendringHaeftelseFastEjendom/model:PantebrevFastEjendom or model:VilkaarsaendringHaeftelseFastEjendom/model:EjerpantebrevFastEjendom">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'VILKÅRSÆNDRING'"/>
			</xsl:call-template>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Pantebrevsskift til'"/>
				<xsl:with-param name="text">
					<xsl:choose>
						<xsl:when test="model:VilkaarsaendringHaeftelseFastEjendom/model:PantebrevFastEjendom">
							<xsl:value-of select="'Pantebrev'"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'Ejerpantebrev'"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling and model:VilkaarsaendringHaeftelseFastEjendom/model:EjerpantebrevFastEjendom">
				<xsl:apply-templates select="model:RolleReferenceSamling">
					<xsl:with-param name="gaeldsansvar" select="'no'"/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling">
					<xsl:with-param name="gaeldsansvar" select="'yes'"/>
				</xsl:apply-templates>
			</xsl:when>
		</xsl:choose>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseFastEjendom/model:HaeftelseVilkaarRente"/>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseFastEjendom/model:HaeftelseVilkaarBetaling"/>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseFastEjendom/model:HaeftelseVilkaarOpsigelse"/>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseFastEjendom/model:HaeftelseSaerligBestemmelseSamling"/>
		<xsl:apply-templates select="model:VilkaarsaendringHaeftelseFastEjendom/model:HaeftelseAndenTekstSamling"/>
		<xsl:if test="model:VilkaarsaendringHaeftelseFastEjendom/model:PantebrevFastEjendom">
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseFastEjendom/model:PantebrevFastEjendom"/>
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseFastEjendom/model:PantebrevFastEjendom/model:HaeftelsePantebrevFormularLovpligtigKode"/>
		</xsl:if>
		<xsl:if test="model:VilkaarsaendringHaeftelseFastEjendom/model:EjerpantebrevFastEjendom">
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseFastEjendom/model:EjerpantebrevFastEjendom"/>
			<xsl:apply-templates select="model:VilkaarsaendringHaeftelseFastEjendom/model:EjerpantebrevFastEjendom/model:HaeftelsePantebrevFormularLovpligtigKode"/>
		</xsl:if>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--******************************************  80 - PaategningHaeftelseFastEjendom *********************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypePaategningHaeftelseFastEjendom">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
		<xsl:call-template name="VisFraser">
			<xsl:with-param name="node" select="model:PaategningHaeftelseFastEjendom/model:PaategningsTekst"/>
		</xsl:call-template>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--*******************************************  84 - ForhoejelseFastEjendom ****************************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeForhoejelseFastEjendom">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:ForhoejelseFastEjendom/model:NytHaeftelseBeloeb"/>
		<xsl:if test="model:ForhoejelseFastEjendom/model:ForhoejUnderpantIndikator = 'true'">
			<xsl:call-template name="forhoejUnderpant">
				<xsl:with-param name="beloeb" select="model:ForhoejelseFastEjendom/model:NytHaeftelseBeloeb/model:BeloebVaerdi"/>
			</xsl:call-template>
		</xsl:if>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivHaeftelser">
			<xsl:with-param name="Root" select="model:ForhoejelseFastEjendom/model:RespektFastEjendomSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeHaeftelser">
			<xsl:with-param name="Root" select="model:ForhoejelseFastEjendom/model:RespektFastEjendomSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivServitutter">
			<xsl:with-param name="Root" select="model:ForhoejelseFastEjendom/model:RespektFastEjendomSamling"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--***********************************  88 - UdvidelseSkiftAfPantHaeftelseFastEjendom ******************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeUdvidelseSkiftAfPantHaeftelseFastEjendom">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Ejendomme -->
		<xsl:apply-templates select="//model:FastEjendomSamling"/>
		<!-- Hæftelser, fremtidige hæftelser og servitutter -->
		<xsl:call-template name="UdskrivHaeftelser">
			<xsl:with-param name="Root" select="//model:FastEjendomSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivFremtidigeHaeftelser">
			<xsl:with-param name="Root" select="//model:FastEjendomSamling"/>
		</xsl:call-template>
		<xsl:call-template name="UdskrivServitutter">
			<xsl:with-param name="Root" select="//model:FastEjendomSamling"/>
		</xsl:call-template>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!-- ****************************************  92 - NedlysningFastEjendom ****************************************** -->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeNedlysningFastEjendom">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:NedlysningFastEjendom/model:NytHaeftelseBeloeb"/>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!-- *************************************  96 - RelaksationHaeftelseFastEjendom *********************************** -->
	<!--*****************************************************************************************************************-->
	<xsl:template match="model:EkspeditionstypeRelaksationHaeftelseFastEjendom">
		<xsl:variable name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="model:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<!-- Udskriver evt. ejendomme -->
		<xsl:variable name="Ejendomme">
			<xsl:for-each select="model:RelaksationFastEjendomSamling/model:RelaksationFastEjendom">
				<xsl:apply-templates select="model:EjendomIdentifikator"/>
				<xsl:if test="model:DelAfEjendommenIndikator">
					<xsl:if test="model:DelAfEjendommenIndikator = 'true'">
						<xsl:call-template name="two_columns">
							<xsl:with-param name="prompt" select="'Delareal'"/>
							<xsl:with-param name="text" select="'Relaksationen vedrører en del af en samlet fast ejendom.'"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="model:BetingelserTekst">
					<xsl:if test="model:BetingelserTekst != ''">
						<xsl:call-template name="two_columns">
							<xsl:with-param name="prompt" select="'Betingelser'"/>
							<xsl:with-param name="text" select="model:BetingelserTekst"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="model:BetingelseTekstAngivelse">
					<xsl:call-template name="VisFraser">
						<xsl:with-param name="node" select="model:BetingelseTekstAngivelse"/>
						<xsl:with-param name="indent_1st_line" select="'off'"/>
						<xsl:with-param name="text" select="'Betingelser'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:call-template name="linefeed"/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:if test="$Ejendomme">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'EJENDOM'"/>
			</xsl:call-template>
			<xsl:copy-of select="$Ejendomme"/>
		</xsl:if>
		<!-- Evt. betingelser for relaksation -->
		<xsl:if test="model:BetingelseTekstAngivelse">
			<xsl:call-template name="VisFraser">
				<xsl:with-param name="node" select="model:BetingelseTekstAngivelse"/>
				<xsl:with-param name="indent_1st_line" select="'off'"/>
				<xsl:with-param name="text" select="'Betingelser'"/>
			</xsl:call-template>
		</xsl:if>
		<!-- Roller specifikke for påtegningen -->
		<xsl:choose>
			<xsl:when test="model:RolleReferenceSamling">
				<xsl:apply-templates select="model:RolleReferenceSamling"/>
			</xsl:when>
			<!--<xsl:otherwise>
				<xsl:apply-templates select="//anm:AnmeldelseInformation/model:RolleSamling"/>
			</xsl:otherwise>-->
		</xsl:choose>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!-- ***********************  96 - RelaksationHaeftelseFastEjendom (håndrerer mange) ******************** -->
	<!--*****************************************************************************************************************-->
	<xsl:template match="msg:DokumentRettighedSamlingRelakser">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:variable name="doc_no" select="number(count(model:RettighedIdentifikatorSamling/model:RettighedIdentifikator))"/>
		<xsl:if test="$doc_no = 1">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'DOKUMENT SOM PÅTEGNES'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$doc_no > 1">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'DOKUMENTER SOM PÅTEGNES'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:variable name="Rettigheder" select="//snapshot:SnapshotSamling/snapshot:RettighedIdentifikatorSamling/snapshot:RettighedIdentifikatorStruktur"/>
		<!--<xsl:variable name="Dokumenter" select="//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur"/>-->
		<xsl:for-each select="model:RettighedIdentifikatorSamling/model:RettighedIdentifikator">
			<xsl:if test="position()=1">
				<xsl:variable name="ret_id" select="."/>
				<!--<xsl:variable name="dok_id" select="$Rettigheder[model:Rettighed/model:Pantrettighed/model:RettighedIdentifikator=$ret_id]/model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>-->
				<xsl:variable name="Rettighed" select="key('Rettigheder', $ret_id)"/>
				<xsl:variable name="dok_id" select="$Rettighed/model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
				<xsl:call-template name="dokument_som_paategnes">
					<xsl:with-param name="doc_id" select="$dok_id"/>
					<xsl:with-param name="include_header" select="'false'"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:for-each>
		<xsl:variable name="doctypeid" select="msg:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:if test="$doc_no = 1">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Den nævnte rettighed skal ikke længere være omfattet af pantet.'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$doc_no > 1">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'De nævnte rettigheder skal ikke længere være omfattet af pantet.'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:call-template name="linefeed"/>
		<!-- Udskriver evt. ejendomme -->
		<xsl:variable name="Ejendomme">
			<xsl:for-each select="model:RettighedIdentifikatorSamling/model:RettighedIdentifikator">
				<xsl:variable name="ejd_ret_id" select="."/>
				<!--<xsl:variable name="ejd_id" select="$Rettigheder[model:Rettighed/model:Pantrettighed/model:RettighedIdentifikator=$ret_id]/model:TinglysningObjektIdentifikator/model:EjendomIdentifikator"/>-->
				<xsl:variable name="eld_rettighed" select="key('Rettigheder', $ejd_ret_id)"/>
				<xsl:variable name="ejd_id" select="$eld_rettighed//model:TinglysningObjektIdentifikator/model:EjendomIdentifikator"/>
				<xsl:call-template name="EjendomIdentifikator">
					<xsl:with-param name="node" select="$ejd_id"/>
				</xsl:call-template>
				<xsl:apply-templates select="model:EjendomIdentifikator"/>
				<xsl:call-template name="linefeed"/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:if test="$Ejendomme">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'EJENDOM'"/>
			</xsl:call-template>
			<xsl:copy-of select="$Ejendomme"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:if test="msg:BetingelserTekst">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'BETINGELSER'"/>
			</xsl:call-template>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="msg:BetingelserTekst"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="model:BetingelseTekstAngivelse">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'BETINGELSER'"/>
			</xsl:call-template>
			<xsl:call-template name="VisFraser">
				<xsl:with-param name="node" select="model:BetingelseTekstAngivelse"/>
			</xsl:call-template>
		</xsl:if>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Rollesamlingen skal stå til sidst efter en skillelinie -->
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--*********************************************************************************************************************-->
	<!--***************************** 232 - DigitaliserPantebrevFastEjendomPaategn ***********************************-->
	<!--*********************************************************************************************************************-->
	<xsl:template match="msg:DigitaliserPantebrevFastEjendomPaategn">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id"/>
		</xsl:call-template>
		<xsl:variable name="doctypeid" select="msg:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="msg:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:DigitaliserPantebrevFastEjendom/model:FuldmagtAnmeldtSamling"/>
		<!-- Erklæringer -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
		<!-- Øvrigt bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Rollesamlingen skal stå til sidst efter en skillelinie -->
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="dividerlong"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="linefeed"/>
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:AfvigelsesaarsagTekst"/>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!--*********************************************************************************************************************-->
	<!--***************************** 119, 121, 187, 209 - DokumentAfgiftPaategn ***********************************-->
	<!--*********************************************************************************************************************-->
	<xsl:template match="msg:DokumentAfgiftPaategn">
		<xsl:call-template name="document_header">
			<xsl:with-param name="text" select="'PÅTEGNING'"/>
			<xsl:with-param name="proevetinglysning" select="//anm:AnmeldelseInformation/anm:Procesinstruktion/anm:ProeveTinglysningIndikator"/>
		</xsl:call-template>
		<xsl:variable name="doc_id" select="model:DokumentRevisionIdentifikator/model:DokumentIdentifikator"/>
		<xsl:call-template name="dokument_som_paategnes">
			<xsl:with-param name="doc_id" select="$doc_id"/>
		</xsl:call-template>
		<xsl:variable name="doctypeid" select="msg:EkspeditionstypeIdentifikator"/>
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="$opslag//Ekspeditionstype[@id = $doctypeid]"/>
		</xsl:call-template>
		<xsl:call-template name="ledetekst">
			<xsl:with-param name="doctypeid" select="msg:EkspeditionstypeIdentifikator"/>
		</xsl:call-template>
		<xsl:variable name="overskrift">
			<xsl:choose>
				<xsl:when test="msg:EkspeditionstypeIdentifikator='119'">
					<xsl:value-of select="'Afgiftsgodtgørelse'"/>
				</xsl:when>
				<xsl:when test="msg:EkspeditionstypeIdentifikator='209'">
					<xsl:value-of select="'Samlet betalt tinglysningsafgift'"/>
				</xsl:when>
				<xsl:when test="msg:EkspeditionstypeIdentifikator='189'">
					<xsl:value-of select="'Afgiftsberigtigelse'"/>
				</xsl:when>
				<xsl:when test="msg:EkspeditionstypeIdentifikator='187'">
					<xsl:value-of select="'Samlet betalt tinglysningsafgift'"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'Tinglysningsafgift'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="$overskrift"/>
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="format-number(floor(msg:Beloeb), '###.###.###.###.##0', 'currency-format')"/>
			<xsl:with-param name="text2" select="'DKK'"/>
		</xsl:call-template>
		<!-- ***************************************************************************************-->
		<!-- ** FritekstInformationTekst ifm. 187                                           ************-->
		<!-- ***************************************************************************************-->
		<xsl:if test="model:FritekstInformationTekst">
			<xsl:call-template name="linefeed"/>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="//model:FritekstInformationTekst"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="Alm_Anmeldelses_info"/>
	</xsl:template>
	<!--***************************** Anmeldelses information for påtegninger ***********************************-->
	<xsl:template name="Alm_Anmeldelses_info">
		<xsl:param name="Skillelinie" select="'True'"/>
		<!-- Udskriv skillelinie -->
		<xsl:if test="$Skillelinie = 'True'">
			<xsl:call-template name="dividerlong"/>
			<xsl:call-template name="linefeed"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<!-- Udskriv oplysninger fælles for alle påtegninger, f.eks. anmelder, rolleliste osv. -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:ErklaeringSamling"/>
		<!-- Øvrigt bagudkompatibel-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekst"/>
		<!-- Øvrigt -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AndenTekstSamling"/>
		<!-- Roller -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:RolleSamling"/>
		<xsl:if test="$Skillelinie = 'True'">
			<xsl:call-template name="UdskrivSkyldnerErklaering"/>
		</xsl:if>
		<!-- Anmelder incl. bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/anm:AnmelderInformation"/>
		<!-- Tinglysningsafgift -->
		<xsl:choose>
			<xsl:when test="msg:EkspeditionstypeIdentifikator='209'">
				<xsl:call-template name="heading">
					<xsl:with-param name="text" select="'Efterbetalt tinglysningsafgift'"/>
				</xsl:call-template>
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="format-number(floor(anm:AnmeldelseInformation/model:TinglysningAfgift/model:Afgiftsbeloeb), '###.###.###.###.##0', 'currency-format')"/>
					<xsl:with-param name="text2" select="'DKK'"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="msg:EkspeditionstypeIdentifikator='119'">
				<!-- Ingen rendering af tinglysningsafgift -->
			</xsl:when>
			<xsl:when test="msg:EkspeditionstypeIdentifikator='187'">
				<!-- Ingen rendering af tinglysningsafgift -->
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift"/>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Beregningsgrundlaget er et andet -->
		<xsl:variable name="bgOverskrift">
			<xsl:choose>
				<xsl:when test="msg:EkspeditionstypeIdentifikator='209'">
					<xsl:value-of select="'Begrundelse for efterbetalt tinglysningsafgift'"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'BEREGNINGSGRUNDLAGET ER ET ANDET'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:AfvigelsesaarsagTekst">
			<xsl:with-param name="heading" select="$bgOverskrift"/>
		</xsl:apply-templates>
		<!-- Erklæring vedr. tinglysningsafgift: -->
		<!--<xsl:apply-templates select="model:ErklaeringSamling">
			<xsl:with-param name="node" select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling" />
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>-->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:TinglysningAfgift/model:ErklaeringSamling">
			<xsl:with-param name="heading" select="'ERKLÆRINGER VEDR. TINGLYSNINGSAFGIFT'"/>
		</xsl:apply-templates>
		<!-- Bilag -->
		<xsl:apply-templates select="anm:AnmeldelseInformation/model:BilagReferenceSamling"/>
	</xsl:template>
	<!--===============================================================-->
	<!-- Påtegninger templates -->
	<!--===============================================================-->
	<!-- EKSPEDITIONSTYPETEKST -->
	<xsl:template name="ledetekst">
		<xsl:param name="doctypeid"/>
		<xsl:if test="$opslag//EkspeditionstypeLedetekst[@id = $doctypeid] and $opslag//EkspeditionstypeLedetekst[@id = $doctypeid] != ''">
			<xsl:variable name="ledeTekst" select="$opslag//EkspeditionstypeLedetekst[@id = $doctypeid]"/>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$ledeTekst"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
	</xsl:template>
	<!--*****************************************************************************************************************-->
	<!--********************************************** dokument_som_paategnes **********************************-->
	<!--*****************************************************************************************************************-->
	<xsl:template name="dokument_som_paategnes">
		<xsl:param name="doc_id"/>
		<xsl:param name="include_header" select="'true'"/>
		<xsl:param name="visAliasLink">
			<!-- VUA109 Vis ikke AliasLink for underpant, som påtegnes: NB: Hvis parameter er sat, så overstyres parameter værdien ikke her! -->
			<xsl:choose>
				<xsl:when test="count(//anm:TinglysningspaategningElementSamling/anm:TinglysningspaategningElement/model:TinglysningObjektIdentifikator/model:DokumentRevisionIdentifikator) > 0">
					<xsl:value-of select="'false'"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'true'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:param>
		<xsl:if test="$include_header = 'true'">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'DOKUMENT SOM PÅTEGNES'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:variable name="node" select="key('DokumentIdentifikator', $doc_id)"/>
		<!--<xsl:variable name="node" select="//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur[model:DokumentRevisionIdentifikator/model:DokumentIdentifikator = $doc_id]"/>-->
		<xsl:choose>
			<xsl:when test="count($node/model:HaeftelseInformation) > 0">
				<xsl:call-template name="DokumentStruktur_Haeftelse">
					<xsl:with-param name="dokumentStruktur" select="$node"/>
					<xsl:with-param name="doc_id" select="$doc_id"/>
					<xsl:with-param name="visAliasLink" select="$visAliasLink"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="count(//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur[model:DokumentRevisionIdentifikator/model:DokumentIdentifikator = $doc_id]/eakt:AdkomstSummarisk) > 0">
				<xsl:call-template name="DokumentStruktur_Adkomst">
					<xsl:with-param name="dokumentStruktur" select="$node"/>
					<xsl:with-param name="doc_id" select="$doc_id"/>
					<xsl:with-param name="visAliasLink" select="$visAliasLink"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="count(//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur[model:DokumentRevisionIdentifikator/model:DokumentIdentifikator = $doc_id]/model:ServitutType) > 0">
				<xsl:call-template name="DokumentStruktur_Servitut">
					<xsl:with-param name="dokumentStruktur" select="$node"/>
					<xsl:with-param name="doc_id" select="$doc_id"/>
					<xsl:with-param name="visAliasLink" select="$visAliasLink"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="count(//snapshot:SnapshotSamling/snapshot:DokumentSamling/snapshot:DokumentStruktur[model:DokumentRevisionIdentifikator/model:DokumentIdentifikator = $doc_id]/eakt:MeddelelseSummarisk) > 0">
				<xsl:call-template name="DokumentStruktur_Meddelelse">
					<xsl:with-param name="dokumentStruktur" select="$node"/>
					<xsl:with-param name="doc_id" select="$doc_id"/>
					<xsl:with-param name="visAliasLink" select="$visAliasLink"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="eakt:DokumentAliasIdentifikator">
					<xsl:with-param name="node" select="$node"/>
					<xsl:with-param name="visAliasLink" select="$visAliasLink"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!-- NY HOVEDSTOL -->
	<xsl:template match="model:NytHaeftelseBeloeb">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'NY HOVEDSTOL'"/>
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="format-number(floor(.//model:BeloebVaerdi), '###.###.###.###.##0', 'currency-format')"/>
			<xsl:with-param name="text2" select=".//model:ValutaKode"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
</xsl:stylesheet>
