<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msgadm= "http://rep.oio.dk/tinglysning.dk/service/message/administration/1/"
    xmlns:msgext="http://rep.oio.dk/tinglysning.dk/svarservice/message/anmeldelse/1/"
    xmlns:eamsg="http://rep.oio.dk/tinglysning.dk/service/message/elektroniskakt/1/"
    xmlns:msg="http://rep.oio.dk/tinglysning.dk/service/message/tingbog/1/"
    xmlns:msgbil="http://rep.oio.dk/tinglysning.dk/service/message/bilbog/1/"
    xmlns:msgandel="http://rep.oio.dk/tinglysning.dk/service/message/andelsbog/1/"
    xmlns:msgperson="http://rep.oio.dk/tinglysning.dk/service/message/personbog/1/"
    xmlns:anm="http://rep.oio.dk/tinglysning.dk/schema/anmeldelse/1/" 
    xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/"
    xmlns:cpr-1="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/"
    xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/"
    xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/"
    xmlns:msganm="http://rep.oio.dk/tinglysning.dk/service/message/anmeldelse/1/"
    xmlns="http://www.w3.org/1999/xhtml"
    exclude-result-prefixes="#default xsl msgadm msgext eamsg msg msgbil msgandel msgperson anm cpr-1 cvr model snapshot"
>
<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: PraesenterDokumentXHtml.xslt 193867 2021-02-01 11:46:15Z lpallesen@dxc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!-- IMPORT af relevante hjælpefunktioner, som benyttes i forbindelse med præsentation -->
	<xsl:import href="Generelt/GenerelleFunktioner.xslt"/>
	<xsl:import href="Generelt/DiverseFunktionerXHtml.xslt"/>
	
	<!-- IMPORT af andre xslt dokumenter, som benyttes i forbindelse med præsentation -->
	<xsl:import href="Pantebrev.xslt"/>
	<xsl:import href="BilbogPantebrev.xslt"/>
	<xsl:import href="AndelsbogPantebrev.xslt"/>
	<xsl:import href="PersonbogPantebrev.xslt"/>
	<xsl:import href="Paategninger.xslt"/>
	<xsl:import href="AndelsbogPaategninger.xslt"/>
	<xsl:import href="BilbogPaategninger.xslt"/>
	<xsl:import href="PersonbogPaategninger.xslt"/>
	<xsl:import href="TinglysningsPaategninger.xslt"/>
	<xsl:import href="Anmeldelse.xslt"/>
	<xsl:import href="Haeftelse.xslt"/>
	<xsl:import href="DokumentAktuelHent.xslt"/>
	<xsl:import href="Summarisk.xslt"/>
	<xsl:import href="BilbogDokumentAktuelHent.xslt"/>
	<xsl:import href="AndelsbogDokumentAktuelHent.xslt"/>
	<xsl:import href="PersonbogDokumentAktuelHent.xslt"/>
	<xsl:import href="Brugerformular.xslt"/>
	<xsl:import href="Underpant.xslt"/>

	<xsl:import href="Adresser.xslt"/>
	<xsl:import href="Afgift.xslt"/>
	<xsl:import href="Andel.xslt"/>
	<xsl:import href="Bil.xslt"/>
	<xsl:import href="Loesoere.xslt"/>
	<xsl:import href="Dokument.xslt"/>
	<xsl:import href="Ejendom.xslt"/>
	<xsl:import href="Fuldmagt.xslt"/>
	<xsl:import href="Myndighed.xslt"/>

	<xsl:import href="AndenHaeftelseFastEjendomOpret.xslt"/>
	<xsl:import href="Adkomst.xslt"/>
	<xsl:import href="ArrestOpret.xslt"/>
	<xsl:import href="AttestDommerOpret.xslt"/>
	<xsl:import href="Brugerformular.xslt"/>
	<xsl:import href="DokumentFastEjendomOpret.xslt"/>
	<xsl:import href="DokumentPaategn.xslt"/>
	<xsl:import href="DokumentSamlingAflys.xslt"/>
	<xsl:import href="EjendomOpret.xslt"/>
	<xsl:import href="Meddelelse.xslt"/>
	<xsl:import href="Servitut.xslt"/>
	<xsl:import href="ServitutOevrigeOpret.xslt"/>
	<xsl:import href="SkifteretsAttest.xslt"/>
	<xsl:import href="Skoede.xslt"/>
	<xsl:import href="UdlaegOpret.xslt"/>
	<xsl:import href="IndividualiserPantebrev.xslt"/>
	<xsl:import href="NoteringAdkomstPaategn.xslt"/>
	<xsl:import href="OmdannelseTilAfgiftspantebrev.xslt"/>

	<!-- DokumentAktueltHent -->
	<xsl:import href="AendringspaategningSamling.xslt"/>
	<xsl:import href="DokumentAlias.xslt"/>
	<xsl:import href="FristInformationSamling.xslt"/>
  <xsl:import href="PaategningHaeftelseFastEjendom.xslt"/>
	<xsl:import href="TinglysningsDato.xslt"/>
  <xsl:import href="VilkaarsaendringHaeftelseFastEjendom.xslt"/>

	<!-- Specifikation af output format -->
	<xsl:output method="xml" omit-xml-declaration="no" indent="yes" encoding="UTF-8"/>
	<xsl:strip-space elements="*" />

    
    <!-- Global parameter -->
    <xsl:param name="udskriftDato" select="''"/>
    
	<!-- ***********************************   MAIN   ********************************** -->
	<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <link rel="stylesheet" type="text/css" href="tinglysning.css" />
  
    <xsl:if test="$udskriftDato != ''">
    <style>
    @page {
      @bottom-left { font-family: sans-serif; font-size: 10pt; color: grey; content: "<xsl:value-of select="$udskriftDato"/>"; }
    }
    </style>
    </xsl:if>
  
  </head>
  <body>
		<xsl:apply-templates/>
  </body>
</html>

	</xsl:template>

	<!-- ***********************************   TekstGenerer   ********************************** -->
	<xsl:template match="msgadm:TekstGenerer">
		<xsl:apply-templates select="msg:AnmeldelseTingbog"/>
		<xsl:apply-templates select="msgbil:AnmeldelseBilbog"/>
		<xsl:apply-templates select="msgandel:AnmeldelseAndelsbog"/>
		<xsl:apply-templates select="msgperson:AnmeldelsePersonbog"/>
		<xsl:apply-templates select="anm:TinglysningspaategningElementSamling"/>
		<xsl:apply-templates select="eamsg:DokumentAktuelHentResultat"/>
		<xsl:apply-templates select="eamsg:BilbogDokumentAktuelHentResultat"/>
		<xsl:apply-templates select="eamsg:AndelsbogDokumentAktuelHentResultat"/>
		<xsl:apply-templates select="eamsg:PersonbogDokumentAktuelHentResultat"/>
		<xsl:apply-templates select="eamsg:EjendomServitutterHentResultat"/>
		<xsl:apply-templates select="eamsg:EjendomAdkomsterHentResultat"/>
		<xsl:apply-templates select="eamsg:EjendomHaeftelserHentResultat"/>
		<xsl:apply-templates select="eamsg:EjendomStamoplysningerHentResultat"/>
		<xsl:apply-templates select="eamsg:EjendomSummariskHentResultat"/>
		<xsl:apply-templates select="eamsg:BilSummariskHentResultat"/>
		<xsl:apply-templates select="eamsg:AndelSummariskHentResultat"/>
		<xsl:apply-templates select="eamsg:LoesoereSummariskHentResultat"/>
		<xsl:apply-templates select="eamsg:PersondokumentSummariskHentResultat"/>
		<xsl:apply-templates select="msgadm:BrugerformularIndsendSvar"/>
		<xsl:apply-templates select="msgadm:BrugerformularHentSvar"/>
		<xsl:apply-templates select="msgext:AnmeldelseSvarModtag"/>
		<xsl:apply-templates select="msgext:BilbogAnmeldelseSvarModtag"/>
		<xsl:apply-templates select="msgext:AndelsbogAnmeldelseSvarModtag"/>
		<xsl:apply-templates select="msgext:PersonbogAnmeldelseSvarModtag"/>
		<xsl:apply-templates select="msgext:AnmaerkningStatusModtag"/>
		<xsl:apply-templates select="msgext:BilbogAnmaerkningStatusModtag"/>
		<xsl:apply-templates select="msgext:AndelsbogAnmaerkningStatusModtag"/>
		<xsl:apply-templates select="msgext:PersonbogAnmaerkningStatusModtag"/>
		<xsl:apply-templates select="msganm:AnmeldelseSvarHentSvar"/>
		<!-- Kald templates eksplicit for at undgå, at SnapshotSamling processeres efterfølgende -->
	</xsl:template>

	<!-- ***********************************   AnmeldelseSvarModtag   ****************************** -->
	<xsl:template match="msgext:AnmeldelseSvarModtag">
		<xsl:apply-templates select="msgadm:AnmeldelseSvar"/>
	</xsl:template>

	<!-- ***********************************   AnmaerkningStatusModtag  ************************* -->
	<xsl:template match="msgext:AnmaerkningStatusModtag">
		<xsl:apply-templates select="msgext:AnmaerkningStatus"/>
	</xsl:template>

	<!-- ***********************************   AnmaerkningStatus   ********************************** -->
	<xsl:template match="msgext:AnmaerkningStatus">
		<xsl:apply-templates select="msgadm:AnmeldelseSvar"/>
		<xsl:apply-templates select="anm:AnmaerkningStatusNotifikation" />
	</xsl:template>

	<!-- ***********************************   AnmeldelseSvar   ********************************** -->
	<xsl:template match="msgadm:AnmeldelseSvar">
		<xsl:apply-templates select="msg:AnmeldelseTingbog"/>
		<xsl:apply-templates select="anm:TinglysningspaategningElementSamling"/>
	</xsl:template>

	<!-- ***********************************   AnmeldelseSvarHentSvar   ********************************** -->
	<xsl:template match="msganm:AnmeldelseSvarHentSvar">
		<xsl:apply-templates select="msg:AnmeldelseTingbog"/>
		<xsl:apply-templates select="msgbil:AnmeldelseBilbog"/>
		<xsl:apply-templates select="msgandel:AnmeldelseAndelsbog"/>
		<xsl:apply-templates select="msgperson:AnmeldelsePersonbog"/>
		<xsl:apply-templates select="anm:TinglysningspaategningElementSamling"/>
	</xsl:template>

	<!-- ***********************************  BilbogAnmeldelseSvarModtag   ****************************** -->
	<xsl:template match="msgext:BilbogAnmeldelseSvarModtag">
		<xsl:apply-templates select="anm:BilbogAnmeldelseSvar"/>
	</xsl:template>

	<!-- ***********************************   BilbogAnmaerkningStatusModtag  ************************* -->
	<xsl:template match="msgext:BilbogAnmaerkningStatusModtag">
		<xsl:apply-templates select="anm:BilbogAnmaerkningStatus"/>
	</xsl:template>

	<!-- ***********************************   BilbogAnmaerkningStatus   ********************************** -->
	<xsl:template match="anm:BilbogAnmaerkningStatus">
		<xsl:apply-templates select="anm:BilbogAnmeldelseSvar"/>
		<xsl:apply-templates select="anm:AnmaerkningStatusNotifikation" />
	</xsl:template>

	<!-- ***********************************   BilbogAnmeldelseSvar   ********************************** -->
	<xsl:template match="anm:BilbogAnmeldelseSvar">
		<xsl:apply-templates select="msgbil:AnmeldelseBilbog"/>
		<xsl:apply-templates select="anm:TinglysningspaategningElementSamling"/>
	</xsl:template>

	<!-- ***********************************  AndelsbogAnmeldelseSvarModtag   ****************************** -->
	<xsl:template match="msgext:AndelsbogAnmeldelseSvarModtag">
		<xsl:apply-templates select="anm:AndelsbogAnmeldelseSvar"/>
	</xsl:template>

	<!-- ***********************************   AndelsbogAnmaerkningStatusModtag  ************************* -->
	<xsl:template match="msgext:AndelsbogAnmaerkningStatusModtag">
		<xsl:apply-templates select="anm:AndelsbogAnmaerkningStatus"/>
	</xsl:template>

	<!-- ***********************************   AndelsbogAnmaerkningStatus   ********************************** -->
	<xsl:template match="anm:AndelsbogAnmaerkningStatus">
		<xsl:apply-templates select="anm:AndelsbogAnmeldelseSvar"/>
		<xsl:apply-templates select="anm:AnmaerkningStatusNotifikation" />
	</xsl:template>

	<!-- ***********************************   AndelsbogAnmeldelseSvar   ********************************** -->
	<xsl:template match="anm:AndelsbogAnmeldelseSvar">
		<xsl:apply-templates select="msgandel:AnmeldelseAndelsbog"/>
		<xsl:apply-templates select="anm:TinglysningspaategningElementSamling"/>
	</xsl:template>

	<!-- ***********************************  PersonbogAnmeldelseSvarModtag   ****************************** -->
	<xsl:template match="msgext:PersonbogAnmeldelseSvarModtag">
		<xsl:apply-templates select="anm:PersonbogAnmeldelseSvar"/>
	</xsl:template>

	<!-- ***********************************   PersonbogAnmaerkningStatusModtag  ************************* -->
	<xsl:template match="msgext:PersonbogAnmaerkningStatusModtag">
		<xsl:apply-templates select="anm:PersonbogAnmaerkningStatus"/>
	</xsl:template>

	<!-- ***********************************   PersonbogAnmaerkningStatus   ********************************** -->
	<xsl:template match="anm:PersonbogAnmaerkningStatus">
		<xsl:apply-templates select="anm:PersonbogAnmeldelseSvar"/>
		<xsl:apply-templates select="anm:AnmaerkningStatusNotifikation" />
	</xsl:template>

	<!-- ***********************************   PersonbogAnmeldelseSvar   ********************************** -->
	<xsl:template match="anm:PersonbogAnmeldelseSvar">
		<xsl:apply-templates select="msgperson:AnmeldelsePersonbog"/>
		<xsl:apply-templates select="anm:TinglysningspaategningElementSamling"/>
	</xsl:template>

	<!-- ***********************************   AnmeldelseTingbog   ********************************** -->
	<xsl:template match="msg:AnmeldelseTingbog">
		<xsl:apply-templates/>
	</xsl:template>

	<!-- ***********************************   AnmeldelseBilbog   ********************************** -->
	<xsl:template match="msgbil:AnmeldelseBilbog">
		<xsl:apply-templates/>
	</xsl:template>

	<!-- ***********************************   AnmeldelseAndelsbog   ********************************** -->
	<xsl:template match="msgandel:AnmeldelseAndelsbog">
		<xsl:apply-templates/>
	</xsl:template>
	
	<!-- ***********************************   AnmeldelsePersonbog   ********************************** -->
	<xsl:template match="msgperson:AnmeldelsePersonbog">
		<xsl:apply-templates/>
	</xsl:template>
	
</xsl:stylesheet>