<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/" xmlns:eamsg="http://rep.oio.dk/tinglysning.dk/service/message/elektroniskakt/1/" xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/" xmlns:dkcc="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/03/15/" xmlns:dkcc-1="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2003/02/13/" xmlns:dkcc-2="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/" xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/" xmlns:kms="http://rep.oio.dk/kms.dk/xml/schemas/2005/03/11/" xmlns:itst-2="http://rep.oio.dk/itst.dk/xml/schemas/2006/01/17/" xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/" xmlns:svur="http://rep.oio.dk/svur.dk/xml/schemas/2006/04/25/" xmlns:matr="http://rep.oio.dk/matr.dk/xml/schemas/2006/04/25/" xmlns:bbr="http://rep.oio.dk/bbr.dk/xml/schemas/2005/12/15/" xmlns:bbr2="http://rep.oio.dk/bbr.dk/xml/schemas/2005/03/11/" xmlns:cpr-1="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" xmlns:cpr-2="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/10/31/" xmlns:ois="http://rep.oio.dk/ois.dk/xml/schemas/2006/04/25/">
	<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: Summarisk.xslt 76585 2014-02-21 12:04:56Z cnielsen22@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->

	<!-- IMPORT af sub funtioner til Summarisk -->
	<xsl:import href="SummariskSub.xslt"/>

	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	<!-- ***********************************   MAIN   ********************************** -->
	<xsl:template match="eamsg:EjendomSummariskHentResultat">
		<xsl:apply-templates select="eakt:EjendomSummarisk"/>
	</xsl:template>
	<!-- **************************   eakt:EjendomSummarisk   ********************** -->
	<xsl:template match="eakt:EjendomSummarisk">
		<xsl:call-template name="SummariskHeader">
			<xsl:with-param name="node" select="./eakt:EjendomStamoplysninger"/>
		</xsl:call-template>
		
		<xsl:if test="count(eakt:AdkomstSummariskSamling)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes ingen adkomster på ejendommen'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>				
		</xsl:if>
		<xsl:if test="count(eakt:HaeftelseSummariskSamling)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes ingen hæftelser på ejendommen'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:if test="count(eakt:ServitutSummariskSamling)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes ingen servitutter på ejendommen'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		
		<xsl:apply-templates select="eakt:AdkomstSummariskSamling"/>
		<xsl:apply-templates select="eakt:HaeftelseSummariskSamling"/>
		<xsl:apply-templates select="eakt:ServitutSummariskSamling"/>
		<xsl:apply-templates select="eakt:EjendomStamoplysninger"/>
	</xsl:template>
	<xsl:template name="BygningEjendomAdkomsterHentResultat">
		<xsl:value-of select="'Benny'"/>
	</xsl:template>

	<!-- ***********************************   eamsg:EjendomHaeftelserHentResultat  ********************************** -->
	<xsl:template match="eamsg:EjendomHaeftelserHentResultat">
		<xsl:call-template name="SummariskHeader">
			<xsl:with-param name="node" select="./eakt:EjendomStamoplysninger"/>
		</xsl:call-template>
		<xsl:if test="count(eakt:HaeftelseSummariskSamling)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes ingen hæftelser på ejendommen'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:apply-templates select="eakt:HaeftelseSummariskSamling"/>		
	</xsl:template>

	<!-- ***********************************   eamsg:EjendomServitutterHentResultat  ********************************** -->
	<xsl:template match="eamsg:EjendomServitutterHentResultat">
		<xsl:call-template name="SummariskHeader">
			<xsl:with-param name="node" select="./eakt:EjendomStamoplysninger"/>
		</xsl:call-template>
		<xsl:if test="count(eakt:ServitutSummariskSamling)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes ingen servitutter på ejendommen'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:apply-templates select="eakt:ServitutSummariskSamling"/>
	</xsl:template>

	<!-- ******************************************************************************************************** -->
	<!-- ***********************************************  BIL  ************************************************** -->
	<!-- ******************************************************************************************************** -->
	<!-- ***********************************   eamsg:BilSummariskHentResultat  ********************************** -->
	<xsl:template match="eamsg:BilSummariskHentResultat">
		<xsl:apply-templates select="eakt:BilSummarisk"/>
	</xsl:template>
	
	<!-- **************************   eakt:BilSummarisk   ********************** -->
	<xsl:template match="eakt:BilSummarisk">
		<xsl:call-template name="BilSummariskHeader">
			<xsl:with-param name="node" select="./eakt:BilStamoplysninger"/>
		</xsl:call-template>
		<xsl:if test="count(eakt:HaeftelseSummariskSamling)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes ingen hæftelser på køretøjet'"/>
			</xsl:call-template>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Køretøjet kan være pantsat som tilbehør efter de før 1. juni 1993 gældende regler'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:if test="count(eakt:MeddelelseSummariskSamling)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes ingen meddelelser på køretøjet'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>				
		</xsl:if>
		<xsl:apply-templates select="eakt:HaeftelseSummariskSamling"/>		
		<xsl:apply-templates select="eakt:MeddelelseSummariskSamling"/>
		<xsl:apply-templates select="eakt:BilStamoplysninger"/>
	</xsl:template>

	<!-- ******************************************************************************************************** -->
	<!-- ***********************************************  ANDEL  ********************************************* -->
	<!-- ******************************************************************************************************** -->
	<!-- ***********************************   eamsg:AndelSummariskHentResultat  ********************************** -->
	<xsl:template match="eamsg:AndelSummariskHentResultat">
		<xsl:apply-templates select="eakt:AndelSummarisk"/>
	</xsl:template>
	
	<!-- **************************   eakt:AndelSummarisk   ********************** -->
	<xsl:template match="eakt:AndelSummarisk">
		<xsl:call-template name="AndelSummariskHeader">
			<xsl:with-param name="node" select="./eakt:AndelStamoplysninger"/>
		</xsl:call-template>
		<xsl:if test="count(eakt:HaeftelseSummariskSamling)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes i Andelsboligbogen ingen tinglyste hæftelser på adressen'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:if test="count(eakt:MeddelelseSummariskSamling)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes i Andelsboligbogen ingen tinglyste meddelelser på adressen'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:apply-templates select="eakt:HaeftelseSummariskSamling"/>
		<xsl:apply-templates select="eakt:MeddelelseSummariskSamling"/>
		<xsl:apply-templates select="eakt:AndelStamoplysninger"/>
	</xsl:template>

	<!-- ******************************************************************************************************** -->
	<!-- **********************************************  LØSØRE  ******************************************** -->
	<!-- ******************************************************************************************************** -->
	<!-- ***********************************   eamsg:LoesoereSummariskHentResultat  ********************************** -->
	<xsl:template match="eamsg:LoesoereSummariskHentResultat">
		<xsl:apply-templates select="eakt:LoesoereSummarisk"/>
	</xsl:template>
	
	<!-- ***********************   eakt:LoesoereSummarisk   ********************** -->
	<xsl:template match="eakt:LoesoereSummarisk">
		<xsl:call-template name="LoesoereSummariskHeader">
			<xsl:with-param name="node" select="./eakt:LoesoereStamoplysninger"/>
		</xsl:call-template>
		<xsl:if test="count(eakt:HaeftelseSummariskSamling)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes ingen hæftelser på personen/virksomheden'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:if test="count(eakt:MeddelelseLoesoereSummariskSamling)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes ingen pantsætningsforbud på personen/virksomheden'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:if test="count(eakt:PersondokumentSummariskSamling)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes ingen persondokumenter på personen/virksomheden'"/>
			</xsl:call-template>				
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:apply-templates select="eakt:HaeftelseSummariskSamling"/>
		<xsl:apply-templates select="eakt:MeddelelseLoesoereSummariskSamling"/>
		<xsl:apply-templates select="eakt:PersondokumentSummariskSamling"/>
	</xsl:template>

	<!-- ******************************************************************************************************** -->
	<!-- **********************************************  Diverse  *********************************************** -->
	<!-- ******************************************************************************************************** -->

	<!-- ***********************************   EjendomIndskannetAktSamling   ************************************ -->
	<xsl:template match="eakt:EjendomIndskannetAktSamling">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'INDSKANNET AKT'"/>
		</xsl:call-template>
		<xsl:for-each select="eakt:DokumentFilnavnTekst">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Akt nr'"/>
				<xsl:with-param name="text" select="."/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	
	<!-- ***********************************   SenestPaategnet  ********************************** -->
	<xsl:template name="SenestPaategnet">
		<xsl:param name="node"/>
		<xsl:if test="$node/model:SenestPaategnetDato">
			<xsl:call-template name="linefeed"/>
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'SENEST PÅTEGNET'"/>
			</xsl:call-template>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Dato'"/>
				<xsl:with-param name="text">
					<xsl:call-template name="formatdatotid">
						<xsl:with-param name="dato" select="$node/model:SenestPaategnetDato"/>
					</xsl:call-template>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
