<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/" xmlns:eamsg="http://rep.oio.dk/tinglysning.dk/service/message/elektroniskakt/1/" xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/" xmlns:dkcc="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/03/15/" xmlns:dkcc-1="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2003/02/13/" xmlns:dkcc-2="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/" xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/" xmlns:kms="http://rep.oio.dk/kms.dk/xml/schemas/2005/03/11/" xmlns:itst-2="http://rep.oio.dk/itst.dk/xml/schemas/2006/01/17/" xmlns:cvr="http://rep.oio.dk/cvr.dk/xml/schemas/2005/03/22/" xmlns:svur="http://rep.oio.dk/svur.dk/xml/schemas/2006/04/25/" xmlns:matr="http://rep.oio.dk/matr.dk/xml/schemas/2006/04/25/" xmlns:bbr="http://rep.oio.dk/bbr.dk/xml/schemas/2005/12/15/" xmlns:bbr2="http://rep.oio.dk/bbr.dk/xml/schemas/2005/03/11/" xmlns:cpr-1="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/03/18/" xmlns:cpr-2="http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/10/31/" xmlns:ois="http://rep.oio.dk/ois.dk/xml/schemas/2006/04/25/">
	<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: Summarisk.xslt 76585 2014-02-21 12:04:56Z cnielsen22@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->
	<!-- Specifikation af output format -->
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>

	<!-- ***********************************   eamsg:EjendomAdkomsterHentResultat  ********************************** -->
	<xsl:template match="eamsg:EjendomAdkomsterHentResultat">
		<xsl:call-template name="SummariskHeader">
			<xsl:with-param name="node" select="./eakt:EjendomStamoplysninger"/>
		</xsl:call-template>
		<xsl:apply-templates select="eakt:AdkomstSummariskSamling"/>
	</xsl:template>
	<!-- ***********************************   eakt:AdkomstSummariskSamling  ********************************** -->
	<xsl:template match="eakt:AdkomstSummariskSamling">
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="'ADKOMSTER'"/>
		</xsl:call-template>
		<xsl:for-each select="eakt:AdkomstSummarisk">
			<xsl:apply-templates select="."/>
			<xsl:if test="position() != last()">
				<xsl:call-template name="dividerlong_dashed"/>
				<xsl:call-template name="linefeed"/>
				<xsl:call-template name="linefeed"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   eakt:AdkomstSummarisk  ********************************** -->
	<xsl:template match="eakt:AdkomstSummarisk">
		<xsl:call-template name="AdkomstDokument">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
		<xsl:call-template name="SimpleInformationSamling">
			<xsl:with-param name="node" select="eakt:AdkomsthaverSamling"/>
		</xsl:call-template>
		<xsl:if test="model:SkoedeKoebesum">
			<xsl:choose>
				<xsl:when test="model:ValutaKode">
					<xsl:call-template name="model:SkoedeKoebesum">
						<xsl:with-param name="node" select="model:SkoedeKoebesum"/>
						<xsl:with-param name="valuta" select="model:ValutaKode"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="model:SkoedeKoebesum">
						<xsl:with-param name="node" select="model:SkoedeKoebesum"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<xsl:apply-templates select="model:SkoedeOvertagelsesDato"/>
		<xsl:apply-templates select="eakt:AnmaerkningSamling"/>
		<xsl:apply-templates select="eakt:TillaegstekstSamling"/>
		<xsl:apply-templates select="eakt:FristInformationSamling"/>
	</xsl:template>
	<!-- ***********************************   eakt:HaeftelseSummariskSamling  ********************************** -->
	<xsl:template match="eakt:HaeftelseSummariskSamling">
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="'HÆFTELSER'"/>
		</xsl:call-template>
		<xsl:if test="count(eakt:HaeftelseSummarisk)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes ingen hæftelser på ejendommen'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:for-each select="eakt:HaeftelseSummarisk">
			<xsl:choose>
				<xsl:when test="./eakt:TinglysningAfgiftOverfoerselIndikator = 'false'">
					<xsl:apply-templates select="."/>
					<xsl:if test="position() != last()">
						<xsl:call-template name="dividerlong_dashed"/>
						<xsl:call-template name="linefeed"/>
						<xsl:call-template name="linefeed"/>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="AfgiftsHaeftelseDokument">
						<xsl:with-param name="node" select="."/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   eakt:HaeftelseSummarisk  ********************************** -->
	<xsl:template match="eakt:HaeftelseSummarisk">
		<xsl:call-template name="HaeftelseDokument">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
		<xsl:call-template name="InformationSamling">
			<xsl:with-param name="node" select="eakt:KreditorInformationSamling"/>
			<xsl:with-param name="header" select="'KREDITORER'"/>
		</xsl:call-template>
		<xsl:if test="eakt:DebitorInformationSamling">
			<xsl:call-template name="InformationSamling">
				<xsl:with-param name="node" select="eakt:DebitorInformationSamling"/>
				<xsl:with-param name="header" select="'DEBITORER'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="eakt:MeddelelseshaverInformationSamling">
			<xsl:call-template name="InformationSamling">
				<xsl:with-param name="node" select="eakt:MeddelelseshaverInformationSamling"/>
				<xsl:with-param name="header" select="'MEDDELELSESHAVERE'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="model:ImplicitFuldmagtSamling">
			<xsl:call-template name="ImplicitFuldmagtSamling">
				<xsl:with-param name="node" select="model:ImplicitFuldmagtSamling"/>
				<xsl:with-param name="visOmfang" select="'false'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="model:FuldmagtAnmeldtSamling">
			<xsl:call-template name="FuldmagtAnmeldtSamling">
				<xsl:with-param name="node" select="model:FuldmagtAnmeldtSamling"/>
				<xsl:with-param name="visOmfang" select="'false'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:apply-templates select="eakt:AnmaerkningSamling"/>
		<xsl:apply-templates select="eakt:TillaegstekstSamling"/>
		<xsl:apply-templates select="eakt:FristInformationSamling"/>
		<xsl:if test="eakt:TinglysningAfgiftOverfoerselIndikator = 'true'">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'TINGLYSNINGSAFGIFT OVERFØRSEL'"/>
			</xsl:call-template>
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes en erklæring om, at hæftelsen alene indestår med henblik på overførsel af tinglysningsafgift.'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:if test="model:BilStruktur">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'BIL'"/>
			</xsl:call-template>
			<xsl:call-template name="VisBil">
				<xsl:with-param name="bilStruktur" select="model:BilStruktur"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:apply-templates select="model:AndelBemaerkningTekstSamling"/>
		<xsl:if test="model:PersonbogTekstSamling">
			<xsl:call-template name="PersonbogTekstSamling">
				<xsl:with-param name="root" select="model:PersonbogTekstSamling"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:apply-templates select="model:VirksomhedspantTypeTekstSamling"/>
		<xsl:apply-templates select="model:UnderpantrettighedSamling"/>
	</xsl:template>
	<!-- ***********************************   eakt:ServitutSummariskSamling  ********************************** -->
	<xsl:template match="eakt:ServitutSummariskSamling">
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="'SERVITUTTER'"/>
		</xsl:call-template>
		<xsl:if test="count(eakt:ServitutSummarisk)=0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der findes ingen servitutter på ejendommen'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:for-each select="eakt:ServitutSummarisk">
			<xsl:apply-templates select="."/>
			<xsl:if test="position() != last()">
				<xsl:call-template name="dividerlong_dashed"/>
				<xsl:call-template name="linefeed"/>
				<xsl:call-template name="linefeed"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   eakt:ServitutSummarisk  ********************************** -->
	<xsl:template match="eakt:ServitutSummarisk">
		<xsl:call-template name="ServitutDokument">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
		<xsl:apply-templates select="model:ServitutInformation"/>
		<xsl:if test="eakt:PaataleberettigetSamling">
			<xsl:call-template name="SimpleInformationSamling">
				<xsl:with-param name="node" select="eakt:PaataleberettigetSamling"/>
				<xsl:with-param name="header" select="'PÅTALEBERETTIGET'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:apply-templates select="eakt:AnmaerkningSamling"/>
		<xsl:apply-templates select="eakt:TillaegstekstSamling"/>
		<xsl:apply-templates select="eakt:FristInformationSamling"/>
	</xsl:template>
	<!-- ***********************************   eamsg:EjendomStamoplysningerHentResultat  ********************************** -->
	<xsl:template match="eamsg:EjendomStamoplysningerHentResultat">
		<xsl:call-template name="SummariskHeader">
			<xsl:with-param name="node" select="./eakt:EjendomStamoplysninger"/>
		</xsl:call-template>
		<xsl:apply-templates select="eakt:EjendomStamoplysninger"/>
	</xsl:template>
	<!-- ***********************************   eakt:EjendomStamoplysninger  ********************************** -->
	<xsl:template match="eakt:EjendomStamoplysninger">
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="'ØVRIGE OPLYSNINGER'"/>
		</xsl:call-template>
		<xsl:apply-templates select="snapshot:EjendomVurderingSamling"/>
		<xsl:apply-templates select="eakt:TillaegstekstSamling"/>
		<xsl:apply-templates select="eakt:RaadighedsindskraenkningSummariskSamling"/>
		<xsl:apply-templates select="eakt:EjendomIndskannetAktSamling"/>
	</xsl:template>
	<!-- ***********************************   HovedNotering   ********************************** -->
	<xsl:template match="eakt:HovedNotering">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'HOVEDNOTERING'"/>
		</xsl:call-template>
		<xsl:variable name="HovedNotering" select="."/>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Hovednotering'"/>
			<xsl:with-param name="text" select="$opslag//HovedNotering[@id = $HovedNotering]"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!-- ***********************************   EjendomNoteringTekstSamling   ********************************** -->
	<xsl:template match="eakt:EjendomNoteringTekstSamling">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'NOTERINGER'"/>
		</xsl:call-template>
		<xsl:for-each select="eakt:EjendomNoteringTekst">
			<xsl:variable name="EjendomNoteringDato" select="model:Dato"/>
			<xsl:variable name="NoteringDato">
				<xsl:call-template name="formatdato">
					<xsl:with-param name="dato" select="$EjendomNoteringDato"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Dato'"/>
				<xsl:with-param name="text" select="$NoteringDato"/>
			</xsl:call-template>
			<xsl:call-template name="VisFraser">
				<xsl:with-param name="node" select="model:Tekst"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   MatrikelStrukturSamling   ********************************** -->
	<xsl:template match="snapshot:MatrikelStrukturSamling">
		<xsl:for-each select="snapshot:MatrikelStruktur">
			<xsl:variable name="ApprDato">
				<xsl:call-template name="formatdato">
					<xsl:with-param name="dato" select="matr:LandParcelRegistrationDate"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Dato'"/>
				<xsl:with-param name="text" select="$ApprDato"/>
			</xsl:call-template>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Landsejerlav'"/>
				<xsl:with-param name="text" select="model:Matrikel/kms:CadastralDistrictName"/>
			</xsl:call-template>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Matrikelnummer'"/>
				<xsl:with-param name="text" select="model:Matrikel/model:Matrikelnummer"/>
			</xsl:call-template>
			<xsl:if test="count(model:Matrikel/model:FaelleslodBroek)>0">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Fælleslod (brøk)'"/>
					<xsl:with-param name="text" select="concat(string(model:Matrikel/model:FaelleslodBroek/model:Taeller), '/', string(model:Matrikel/model:FaelleslodBroek/model:Naevner))"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="count(model:Delareal)>0">
				<xsl:if test="count(model:Delareal/model:DelarealStoerrelseVej)>0">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Delareal (nummer, størrelse, vej)'"/>
						<xsl:with-param name="text" select="concat(string(model:Delareal/model:DelarealNummer), ', ', string(model:Delareal/model:DelarealStoerrelse), ' kvm, ', string(model:Delareal/model:DelarealStoerrelseVej), ' kvm')"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="count(model:Delareal/model:DelarealStoerrelseVej)=0">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Delareal (nummer, størrelse)'"/>
						<xsl:with-param name="text" select="concat(string(model:Delareal/model:DelarealNummer), ', ', string(model:Delareal/model:DelarealStoerrelse), ' kvm')"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Areal'"/>
				<xsl:with-param name="text" select="svur:SpecificParcelAreaMeasure"/>
				<xsl:with-param name="text2" select="'m2'"/>
			</xsl:call-template>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Heraf vej'"/>
				<xsl:with-param name="text" select="matr:RoadAreaMeasure"/>
				<xsl:with-param name="text2" select="'m2'"/>
			</xsl:call-template>
			<xsl:choose>
				<xsl:when test="model:MatrikelNoteringTekstSamling">
					<xsl:apply-templates select="model:MatrikelNoteringTekstSamling"/>
				</xsl:when>
			</xsl:choose>
			<xsl:call-template name="linefeed"/>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   RaadighedsindskraenkningSummariskSamling   ********************************** -->
	<xsl:template match="model:MatrikelNoteringTekstSamling">
		<xsl:for-each select="model:MatrikelNoteringTekst">
			<xsl:variable name="EjendomNoteringDato" select="model:Dato"/>
			<xsl:variable name="NoteringDato">
				<xsl:call-template name="formatdato">
					<xsl:with-param name="dato" select="$EjendomNoteringDato"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:call-template name="VisFraser">
				<xsl:with-param name="text" select="'Matr.nr. notering'" />
				<xsl:with-param name="node" select="model:Tekst"/>
				<xsl:with-param name="linefeed" select="'off'"/>
				<xsl:with-param name="indent_1st_line" select="'off'"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   EjendomVurderingSamling   ********************************** -->
	<xsl:template match="snapshot:EjendomVurderingSamling">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'EJENDOMSVURDERING'"/>
		</xsl:call-template>
		<xsl:for-each select="snapshot:EjendomVurderingStruktur">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Ejendomsværdi'"/>
				<xsl:with-param name="text" select="format-number(floor(snapshot:EjendomVaerdi), '###.###.###.###.##0', 'currency-format')"/>
				<xsl:with-param name="text2" select="'DKK'"/>
			</xsl:call-template>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Grundværdi'"/>
				<xsl:with-param name="text" select="format-number(floor(svur:ParcelLandValueAssessmentCalculationAmount), '###.###.###.###.##0', 'currency-format')"/>
				<xsl:with-param name="text2" select="'DKK'"/>
			</xsl:call-template>
			<xsl:variable name="VurdDato">
				<xsl:call-template name="formatdato">
					<xsl:with-param name="dato" select="svur:AssessmentChangedDate"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Vurderingsdato'"/>
				<xsl:with-param name="text" select="$VurdDato"/>
			</xsl:call-template>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Kommunekode'"/>
				<xsl:with-param name="text" select="bbr:RealPropertyStructure/cpr-1:MunicipalityCode"/>
			</xsl:call-template>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Ejendomsnummer (BBR-nr.)'"/>
				<xsl:with-param name="text" select="bbr:RealPropertyStructure/bbr2:MunicipalRealPropertyIdentifier"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   SummariskHeader  ********************************** -->
	<xsl:template name="SummariskHeader">
		<xsl:param name="node"/>
		<xsl:param name="ShowHeader" select="true()"/>
		<xsl:if test="$ShowHeader = true()">
			<xsl:call-template name="document_header">
				<xsl:with-param name="text" select="'TINGBOGSATTEST'"/>
				<xsl:with-param name="ekstra_linefeed" select="'false'"/>
			</xsl:call-template>
			<xsl:apply-templates select="//eakt:UdskriftDatoTid"/>
			<xsl:apply-templates select="//eakt:AnmeldelseModtagetIndikator"/>
			<xsl:apply-templates select="//model:EkspeditionstypeIdentifikatorSamling"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'EJENDOM'"/>
		</xsl:call-template>
		<!-- Vejnavn og husnr -->
		<xsl:variable name="adresseStruktur" select="$node/snapshot:AdresseStruktur"/>
		<xsl:choose>
			<xsl:when test="count($adresseStruktur//dkcc-1:FloorIdentifier)>0 and count($adresseStruktur//dkcc-1:SuiteIdentifier)>0">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Adresse'"/>
					<xsl:with-param name="text" select="$adresseStruktur/dkcc:StreetName"/>
					<xsl:with-param name="text2" select="concat(string($adresseStruktur //dkcc-1:StreetBuildingIdentifier), ', ',string($adresseStruktur//dkcc-1:FloorIdentifier), '. ', string($adresseStruktur//dkcc-1:SuiteIdentifier),'.')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="count($adresseStruktur//dkcc-1:FloorIdentifier)>0 and count($adresseStruktur//dkcc-1:SuiteIdentifier)=0">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Adresse'"/>
					<xsl:with-param name="text" select="$adresseStruktur/dkcc:StreetName"/>
					<xsl:with-param name="text2" select="concat(string($adresseStruktur //dkcc-1:StreetBuildingIdentifier), ', ',string($adresseStruktur//dkcc-1:FloorIdentifier),'.')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Adresse'"/>
					<xsl:with-param name="text" select="$adresseStruktur/dkcc:StreetName"/>
					<xsl:with-param name="text2" select="$adresseStruktur //dkcc-1:StreetBuildingIdentifier"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Postnummer og by -->
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="$adresseStruktur/dkcc:PostCodeIdentifier"/>
			<xsl:with-param name="text2" select="$adresseStruktur/dkcc:DistrictName"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
		<!-- Samlet areal -->
		<xsl:if test="$node/snapshot:MatrikelStrukturSamling">
			<xsl:call-template name="EjerlejlighedsAreal">
				<xsl:with-param name="node" select="$node"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$node/model:EjendomIdentifikator/model:BestemtFastEjendomNummer">
			<xsl:apply-templates select="$node/model:EjendomIdentifikator/model:BestemtFastEjendomNummer"/>
		</xsl:if>
		<xsl:if test="$node/model:EjendomIdentifikator/model:EjendomType">
			<xsl:apply-templates select="$node/model:EjendomIdentifikator/model:EjendomType"/>
		</xsl:if>
		<xsl:if test="$node/model:EjendomIdentifikator/model:Umatrikuleretareal">
			<xsl:apply-templates select="$node/model:EjendomIdentifikator/model:Umatrikuleretareal"/>
		</xsl:if>
		<xsl:if test="$node/snapshot:MatrikelStrukturSamling">
			<xsl:apply-templates select="$node/model:Fordelingtal"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:apply-templates select="$node/snapshot:MatrikelStrukturSamling"/>
		<xsl:if test="count($node/snapshot:MatrikelStrukturSamling/snapshot:MatrikelStruktur)>1">
			<xsl:variable name="Areal" select="$node/snapshot:MatrikelStrukturSamling/snapshot:MatrikelStruktur/svur:SpecificParcelAreaMeasure"/>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Samlet areal'"/>
				<xsl:with-param name="text" select="sum($Areal)"/>
				<xsl:with-param name="text2" select="'m2'"/>
			</xsl:call-template>
			<xsl:variable name="VejAreal" select="$node/snapshot:MatrikelStrukturSamling/snapshot:MatrikelStruktur/matr:RoadAreaMeasure"/>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Heraf vej'"/>
				<xsl:with-param name="text" select="sum($VejAreal)"/>
				<xsl:with-param name="text2" select="'m2'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:call-template name="linefeed"/>
		<xsl:apply-templates select="$node/eakt:HovedNotering"/>
		<xsl:apply-templates select="$node/eakt:EjendomNoteringTekstSamling"/>
		<xsl:if test="$ShowHeader = true()">
			<xsl:call-template name="linefeed"/>
		</xsl:if>
	</xsl:template>
	<!-- ***********************************   EjerlejlighedsAreal  ********************************** -->
	<xsl:template name="EjerlejlighedsAreal">
		<xsl:param name="node"/>
		<xsl:for-each select="$node/eakt:TillaegstekstSamling/model:TekstAngivelse">
			<xsl:if test="model:TekstGruppe/model:Overskrift = 'Ejerlejlighedens tinglyste areal'">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Ejerlejlighedens areal'"/>
					<xsl:with-param name="text" select="model:TekstGruppe/model:Afsnit"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="model:TekstGruppe/model:Overskrift = 'Ejerlejlighedens dato'">
				<xsl:variable name="ApprobationsDato">
					<xsl:call-template name="formatdato">
						<xsl:with-param name="dato" select="model:TekstGruppe/model:Afsnit"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Ejerlejlighedens dato'"/>
					<xsl:with-param name="text" select="$ApprobationsDato"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   AdkomstDokument  ********************************** -->
	<xsl:template name="AdkomstDokument">
		<xsl:param name="node"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'DOKUMENT'"/>
		</xsl:call-template>
		<xsl:variable name="AdkomstType" select="$node/eakt:AdkomstType"/>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Dokumenttype'"/>
			<xsl:with-param name="text" select="$opslag//AdkomstType[@id = $AdkomstType]"/>
		</xsl:call-template>
		<xsl:call-template name="eakt:DokumentAliasIdentifikator">
			<xsl:with-param name="node" select="$node"/>
		</xsl:call-template>
		<!-- xsl:call-template name="linefeed"/>  -->
		<xsl:call-template name="SenestPaategnet">
			<xsl:with-param name="node" select="$node"/>
		</xsl:call-template>
		<xsl:call-template name="OgsaaLystOverfoert">
			<xsl:with-param name="node" select="$node"/>
			<xsl:with-param name="dokumenttype" select="$opslag//AdkomstType[@id = $AdkomstType]"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!-- ***********************************   SimpleInformationSamling  ********************************** -->
	<xsl:template name="SimpleInformationSamling">
		<xsl:param name="node"/>
		<xsl:param name="header" select="'ADKOMSTHAVERE'"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="$header"/>
		</xsl:call-template>
		<xsl:for-each select="$node/eakt:Adkomsthaver  | $node/eakt:Paataleberettiget">
			<xsl:choose>
				<xsl:when test="model:PersonSimpelIdentifikator/itst-2:PersonName">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Navn'"/>
						<xsl:with-param name="text" select="model:PersonSimpelIdentifikator/itst-2:PersonName"/>
					</xsl:call-template>
					<xsl:if test="model:PersonSimpelIdentifikator/dkcc:BirthDate">
						<xsl:variable name="birthdate" select="model:PersonSimpelIdentifikator/dkcc:BirthDate"/>
						<xsl:call-template name="two_columns">
							<xsl:with-param name="prompt" select="'Cpr-nr.'"/>
							<xsl:with-param name="text" select="concat(substring($birthdate,9,2),substring($birthdate,6,2),substring($birthdate,3,2),'-****')"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:when>
				<xsl:when test="model:EjendomIdentifikator">
					<xsl:call-template name="UdskrivEjerlavMatrikelnr">
						<xsl:with-param name="Summarisk" select="."/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Navn'"/>
						<xsl:with-param name="text" select="cvr:LegalUnitName"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="cvr:CVRnumberIdentifier">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Cvr-nr.'"/>
					<xsl:with-param name="text" select="cvr:CVRnumberIdentifier"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="model:AndelIdeel">
				<xsl:if test="model:AndelIdeel/model:Taeller > 0">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Ejerandel'"/>
						<xsl:with-param name="text" select="concat(model:AndelIdeel/model:Taeller,' / ',model:AndelIdeel/model:Naevner)"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
			<xsl:call-template name="linefeed"/>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   TillaegstekstSamling   ********************************** -->
	<xsl:template match="eakt:TillaegstekstSamling">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'TILLÆGSTEKST'"/>
		</xsl:call-template>
		<xsl:for-each select="model:TekstAngivelse">
			<xsl:if test="count(model:TekstGruppe/model:Overskrift)=0 or (model:TekstGruppe/model:Overskrift != 'Ejerlejlighedens tinglyste areal' and model:TekstGruppe/model:Overskrift != 'Ejerlejlighedens dato')">
				<xsl:apply-templates select="."/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   TekstAngivelse   ********************************** -->
	<xsl:template match="model:TekstAngivelse">
		<xsl:call-template name="VisFraser">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
	</xsl:template>
	<!-- ***********************************   HaeftelseDokument  ********************************** -->
	<xsl:template name="HaeftelseDokument">
		<xsl:param name="node"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'DOKUMENT'"/>
		</xsl:call-template>
		<!--  QC11689 vis ikke alias med link hvis dokumentet er konverteret -->
		<xsl:choose>
			<xsl:when test="$node/eakt:DokumentOverfoertIndikator = 'true'">
				<xsl:call-template name="eakt:DokumentAliasIdentifikator">
					<xsl:with-param name="node" select="$node"/>
					<xsl:with-param name="visAliasLink" select="'false'"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="eakt:DokumentAliasIdentifikator">
					<xsl:with-param name="node" select="$node"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Prioritet'"/>
			<xsl:with-param name="text" select="$node/model:Pantrettighed/model:PrioritetNummer"/>
		</xsl:call-template>
		<xsl:variable name="dokumenttype">
			<xsl:choose>
				<xsl:when test="$node/eakt:HaeftelseType">
					<xsl:variable name="HaeftelseType" select="$node/eakt:HaeftelseType"/>
					<xsl:value-of select="$opslag//HaeftelseType[@id = $HaeftelseType]"/>
				</xsl:when>	
				<xsl:when test="$node/eakt:BilHaeftelseTypeTekst">
					<xsl:variable name="BilHaeftelseTypeTekst" select="$node/eakt:BilHaeftelseTypeTekst"/>
					<xsl:value-of select="$opslag//HaeftelseType[@id = $BilHaeftelseTypeTekst]"/>
				</xsl:when>
				<xsl:when test="$node/eakt:AndelHaeftelseTypeTekst">
					<xsl:variable name="AndelHaeftelseTypeTekst" select="$node/eakt:AndelHaeftelseTypeTekst"/>
					<xsl:value-of select="$opslag//HaeftelseType[@id = $AndelHaeftelseTypeTekst]"/>
				</xsl:when>
				<xsl:when test="$node/eakt:LoesoereHaeftelseTypeSummariskTekst">
					<xsl:variable name="LoesoereHaeftelseTypeSummariskTekst" select="$node/eakt:LoesoereHaeftelseTypeSummariskTekst"/>
					<xsl:value-of select="$opslag//HaeftelseType[@id = $LoesoereHaeftelseTypeSummariskTekst]"/>
				</xsl:when>
			</xsl:choose>
		</xsl:variable>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Dokumenttype'"/>
			<xsl:with-param name="text" select="$dokumenttype"/>
		</xsl:call-template>

		<xsl:if test="count(model:AndelIdeel)>0">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Ideel andel (brøk)'"/>
				<xsl:with-param name="text" select="concat(string(model:AndelIdeel/model:Taeller), '/', string(model:AndelIdeel/model:Naevner))"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="$node/eakt:DeltaBeloeb">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Hovedstol'"/>
					<xsl:with-param name="text" select="format-number(floor($node/eakt:DeltaBeloeb), '###.###.###.###.##0', 'currency-format')"/>
					<xsl:with-param name="text2" select="$node//model:ValutaKode"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="Hovedstol">
					<xsl:with-param name="node" select="$node/model:HaeftelseBeloeb"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="$node/eakt:HaeftelseRenteOverfoert">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Rente'"/>
					<xsl:with-param name="text" select="$node/eakt:HaeftelseRenteOverfoert"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="model:HaeftelseRenteSats_sub">
					<xsl:with-param name="node" select="$node//model:HaeftelseRentePaalydendeSats"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="$node/model:HaeftelseLaantypeKode">
			<xsl:call-template name="model:HaeftelseLaantypeKode_sub">
				<xsl:with-param name="node" select="$node/model:HaeftelseLaantypeKode"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:apply-templates select="$node/model:HaeftelseSaerligeLaanevilkaarstypeSamling"/>
		<!-- xsl:call-template name="linefeed"/>  -->
		<xsl:call-template name="SenestPaategnet">
			<xsl:with-param name="node" select="$node"/>
		</xsl:call-template>
		<xsl:call-template name="OgsaaLystOverfoert">
			<xsl:with-param name="node" select="$node"/>
			<xsl:with-param name="dokumenttype" select="$dokumenttype"/>
			<!--<xsl:with-param name="haeftelse" select="true()"/>-->
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!-- ***********************************   InformationSamling  ********************************** -->
	<xsl:template name="InformationSamling">
		<xsl:param name="node"/>
		<xsl:param name="header" select="'KREDITORER'"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="$header"/>
		</xsl:call-template>
		<xsl:for-each select="$node/model:RolleInformation">
			<xsl:choose>
				<xsl:when test="model:PersonSimpelIdentifikator/itst-2:PersonName">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Navn'"/>
						<xsl:with-param name="text" select="model:PersonSimpelIdentifikator/itst-2:PersonName"/>
					</xsl:call-template>
					<xsl:if test="model:PersonSimpelIdentifikator/dkcc:BirthDate">
						<xsl:variable name="birthdate" select="model:PersonSimpelIdentifikator/dkcc:BirthDate"/>
						<xsl:call-template name="two_columns">
							<xsl:with-param name="prompt" select="'Cpr-nr.'"/>
							<xsl:with-param name="text" select="concat(substring($birthdate,9,2),substring($birthdate,6,2),substring($birthdate,3,2),'-****')"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:when>
				<xsl:when test="model:VirksomhedSimpelIdentifikator">
					<xsl:call-template name="two_columns">
						<xsl:with-param name="prompt" select="'Navn'"/>
						<xsl:with-param name="text" select="model:VirksomhedSimpelIdentifikator/cvr:LegalUnitName"/>
					</xsl:call-template>
					<xsl:if test="model:VirksomhedSimpelIdentifikator/cvr:CVRnumberIdentifier">
						<xsl:call-template name="two_columns">
							<xsl:with-param name="prompt" select="'Cvr-nr.'"/>
							<xsl:with-param name="text" select="model:VirksomhedSimpelIdentifikator/cvr:CVRnumberIdentifier"/>
						</xsl:call-template>
					</xsl:if>
				</xsl:when>
				<xsl:when test="model:EjendomIdentifikator">
					<xsl:call-template name="UdskrivEjerlavMatrikelnr">
						<xsl:with-param name="Summarisk" select="."/>
					</xsl:call-template>
				</xsl:when>
			</xsl:choose>
			<xsl:if test="cvr:CVRnumberIdentifier">
				<xsl:call-template name="two_columns">
					<xsl:with-param name="prompt" select="'Cvr-nr.'"/>
					<xsl:with-param name="text" select="cvr:CVRnumberIdentifier"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:call-template name="linefeed"/>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   UnderpantrettighedSamling   ********************************** -->
	<xsl:template match="model:UnderpantrettighedSamling">
		<xsl:for-each select="model:Underpantrettighed">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'UNDERPANT'"/>
			</xsl:call-template>
			<xsl:apply-templates select="."/>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   Underpantrettighed   ********************************** -->
	<xsl:template match="model:Underpantrettighed">
		<xsl:choose>
			<xsl:when test="eakt:DokumentAlias">
				<xsl:if test="eakt:DokumentAlias/eakt:DokumentAliasIdentifikator">
					<xsl:call-template name="DokumentAlias">
						<xsl:with-param name="Identifikator" select="eakt:DokumentAlias/eakt:DokumentAliasIdentifikator"/>
						<xsl:with-param name="indent" select="'false'"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="eakt:DokumentAlias/eakt:AktHistoriskIdentifikator">
					<xsl:call-template name="DokumentAlias">
						<xsl:with-param name="Identifikator" select="eakt:DokumentAlias/eakt:AktHistoriskIdentifikator"/>
						<xsl:with-param name="indent" select="'false'"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:when>
		</xsl:choose>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Prioritet'"/>
			<xsl:with-param name="text" select="model:PrioritetNummer"/>
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Underpantsbeløb'"/>
			<xsl:with-param name="text" select="format-number(floor(model:UnderpantBeloeb/model:BeloebVaerdi), '###.###.###.###.##0', 'currency-format')"/>
			<xsl:with-param name="text2" select="model:UnderpantBeloeb/model:ValutaKode"/>
		</xsl:call-template>
		<xsl:apply-templates select="model:UnderpanthaverInformationSamling"/>
		<!-- Der vises kun frist på underpant, hvis der alene er frist på underpantet -->
		<xsl:if test="count(../../eakt:FristInformationSamling)=0">
			<!-- Der vises kun frist på underpant, hvis der alene er frist på underpantet -->
			<xsl:apply-templates select="eakt:FristInformationSamling">
				<xsl:with-param name="header" select="'false'"/>
			</xsl:apply-templates>
		</xsl:if>
		<xsl:call-template name="TillaegstekstSamling">
			<xsl:with-param name="node" select="eakt:TillaegstekstSamling"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
		<xsl:apply-templates select="eakt:AnmaerkningSamling">
			<xsl:with-param name="header" select="'UNDERPANTETS ANMÆRKNINGER'"/>
		</xsl:apply-templates>
	</xsl:template>
	<!-- ***********************************   TillaegstekstSamling  ********************************** -->
	<xsl:template name="TillaegstekstSamling">
		<xsl:param name="node"/>
		<xsl:for-each select="$node/model:TekstAngivelse">
			<xsl:choose>
				<xsl:when test="position()=1">
					<xsl:choose>
						<xsl:when test="./model:TekstGruppe/model:Overskrift != ''">
							<xsl:call-template name="two_columns">
								<xsl:with-param name="prompt" select="'Tillægstekst'"/>
								<xsl:with-param name="text" select="./model:TekstGruppe/model:Overskrift"/>
							</xsl:call-template>
							<xsl:for-each select="./model:TekstGruppe/model:Afsnit">
								<xsl:call-template name="column2">
									<xsl:with-param name="text" select="."/>
								</xsl:call-template>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="./model:TekstGruppe/model:Afsnit">
								<xsl:choose>
									<xsl:when test="position()=1">
										<xsl:call-template name="two_columns">
											<xsl:with-param name="prompt" select="'Tillægstekst'"/>
											<xsl:with-param name="text" select="."/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="column2">
											<xsl:with-param name="text" select="."/>
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:call-template name="linefeed"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="VisFraser">
						<xsl:with-param name="node" select="."/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************  UnderpanthaverInformationSamling ********************************** -->
	<xsl:template match="model:UnderpanthaverInformationSamling">
		<xsl:for-each select="model:RolleInformation">
			<xsl:choose>
				<xsl:when test="position()=1">
					<xsl:choose>
						<xsl:when test="model:PersonSimpelIdentifikator/itst-2:PersonName">
							<xsl:call-template name="two_columns">
								<xsl:with-param name="prompt" select="'Underpanthavere'"/>
								<xsl:with-param name="text" select="model:PersonSimpelIdentifikator/itst-2:PersonName"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="two_columns">
								<xsl:with-param name="prompt" select="'Underpanthavere'"/>
								<xsl:with-param name="text" select="model:VirksomhedSimpelIdentifikator/cvr:LegalUnitName"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="model:PersonSimpelIdentifikator/itst-2:PersonName">
							<xsl:call-template name="column2">
								<xsl:with-param name="text" select="model:PersonSimpelIdentifikator/itst-2:PersonName"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="column2">
								<xsl:with-param name="text" select="model:VirksomhedSimpelIdentifikator/cvr:LegalUnitName"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="model:VirksomhedSimpelIdentifikator/cvr:CVRnumberIdentifier">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="model:VirksomhedSimpelIdentifikator/cvr:CVRnumberIdentifier"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="model:PersonSimpelIdentifikator/dkcc:BirthDate">
				<xsl:variable name="birthdate" select="model:PersonSimpelIdentifikator/dkcc:BirthDate"/>
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="concat(substring($birthdate,9,2),substring($birthdate,6,2),substring($birthdate,3,2),'-****')"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   ServitutDokument  ********************************** -->
	<xsl:template name="ServitutDokument">
		<xsl:param name="node"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'DOKUMENT'"/>
		</xsl:call-template>
		<xsl:call-template name="eakt:DokumentAliasIdentifikator">
			<xsl:with-param name="node" select="$node"/>
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Prioritet'"/>
			<xsl:with-param name="text" select="$node/model:Servitutrettighed/model:PrioritetNummer"/>
		</xsl:call-template>
		<xsl:variable name="ServitutType" select="$node/model:ServitutType"/>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Dokumenttype'"/>
			<xsl:with-param name="text" select="$opslag//ServitutType[@id = $ServitutType]"/>
		</xsl:call-template>
		<xsl:if test="$node/eakt:ServitutTekstSummarisk != ''">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$node/eakt:ServitutTekstSummarisk"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:call-template name="SenestPaategnet">
			<xsl:with-param name="node" select="$node"/>
		</xsl:call-template>
		<xsl:call-template name="OgsaaLystOverfoert">
			<xsl:with-param name="node" select="$node"/>
			<xsl:with-param name="dokumenttype" select="$opslag//ServitutType[@id = $ServitutType]"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!-- ***********************************   RaadighedsindskraenkningSummariskSamling   ********************************** -->
	<xsl:template match="eakt:RaadighedsindskraenkningSummariskSamling">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'RÅDIGHEDSINDSKRÆNKNINGER'"/>
		</xsl:call-template>
		<xsl:for-each select="eakt:RaadighedsindskraenkningSummarisk">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Rådighedsindskrænkning på'"/>
				<xsl:with-param name="text" select="eakt:RaadighedsindskraenkningKode"/>
			</xsl:call-template>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Beskrivelse'"/>
				<xsl:with-param name="text" select="eakt:RaadighedsindskraenkningTekst"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:for-each>
	</xsl:template>
	
	<!-- ******************************************************************************************************** -->
	<!-- ***********************************************  BIL  ************************************************** -->
	<!-- ******************************************************************************************************** -->
	<!-- ***********************************   eakt:BilStamoplysninger  ********************************** -->
	<xsl:template match="eakt:BilStamoplysninger">
		<xsl:if test="eakt:RaadighedsindskraenkningSummariskSamling">
			<xsl:call-template name="document_subheader">
				<xsl:with-param name="text" select="'ØVRIGE OPLYSNINGER'"/>
			</xsl:call-template>
			<xsl:apply-templates select="eakt:RaadighedsindskraenkningSummariskSamling"/>
		</xsl:if>
	</xsl:template>
	<!-- ***********************************   BilSummariskHeader  ********************************** -->
	<xsl:template name="BilSummariskHeader">
		<xsl:param name="node"/>
		<xsl:param name="ShowHeader" select="true()"/>
		<xsl:if test="$ShowHeader = true()">
			<xsl:call-template name="document_header">
				<xsl:with-param name="text" select="'BILBOGSATTEST'"/>
				<xsl:with-param name="ekstra_linefeed" select="'false'"/>
			</xsl:call-template>
			<xsl:apply-templates select="//eakt:UdskriftDatoTid"/>
			<xsl:apply-templates select="//eakt:AnmeldelseModtagetIndikator">
				<xsl:with-param name="objekt" select="'køretøjet'"/>
			</xsl:apply-templates>
			<xsl:apply-templates select="//model:EkspeditionstypeIdentifikatorSamling"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:apply-templates select="$node/model:BilIdentifikator"/>
		<xsl:call-template name="linefeed"/>
		<xsl:call-template name="headingPreserveCase">
			<xsl:with-param name="text" select="'Oplysninger fra motorregister (DMR)'"/>
		</xsl:call-template>
		<xsl:call-template name="VisBil">
			<xsl:with-param name="bilStelnummer" select="''"/>
			<xsl:with-param name="bilStruktur" select="$node/model:BilStruktur"/>
		</xsl:call-template>
		<xsl:call-template name="headingPreserveCase">
			<xsl:with-param name="text" select="'Hvis ingen oplysninger, findes køretøjet ikke i DMR'"/>
			<xsl:with-param name="divider" select="'false'"/>
			<xsl:with-param name="colon" select="''"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!-- ***********************************   BilIdentifikatorSamling   ********************************** -->
	<xsl:template match="model:BilIdentifikatorSamling">
		<xsl:for-each select="model:BilIdentifikator">
			<xsl:apply-templates select="."/>
			<xsl:call-template name="linefeed"/>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   eakt:MeddelelseSummariskSamling  ********************************** -->
	<xsl:template match="eakt:MeddelelseSummariskSamling">
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="'MEDDELELSER'"/>
		</xsl:call-template>
		<xsl:for-each select="eakt:MeddelelseSummarisk">
			<xsl:apply-templates select="."/>
			<xsl:if test="position() != last()">
				<xsl:call-template name="dividerlong"/>
				<xsl:call-template name="linefeed"/>
				<xsl:call-template name="linefeed"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   eakt:MeddelelseSummarisk  ********************************** -->
	<xsl:template match="eakt:MeddelelseSummarisk">
		<xsl:call-template name="MeddelelseDokument">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
		<xsl:call-template name="InformationSamling">
			<xsl:with-param name="node" select="eakt:DisponentInformationSamling"/>
			<xsl:with-param name="header" select="'DISPONENTER'"/>
		</xsl:call-template>
		<xsl:if test="eakt:DebitorInformationSamling">
			<xsl:call-template name="InformationSamling">
				<xsl:with-param name="node" select="eakt:DebitorInformationSamling"/>
				<xsl:with-param name="header" select="'DEBITORER'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:apply-templates select="eakt:AnmaerkningSamling"/>
		<xsl:apply-templates select="eakt:TillaegstekstSamling"/>
		<xsl:apply-templates select="eakt:FristInformationSamling"/>
		<xsl:if test="model:BilStruktur">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'BIL'"/>
			</xsl:call-template>
			<xsl:call-template name="VisBil">
				<xsl:with-param name="bilStruktur" select="model:BilStruktur"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<!-- ***********************************   MeddelelseDokument  ********************************** -->
	<xsl:template name="MeddelelseDokument">
		<xsl:param name="node"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'DOKUMENT'"/>
		</xsl:call-template>
		<xsl:call-template name="eakt:DokumentAliasIdentifikator">
			<xsl:with-param name="node" select="$node"/>
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Prioritet'"/>
			<xsl:with-param name="text" select="$node/model:Meddelelsesrettighed/model:PrioritetNummer"/>
		</xsl:call-template>
		<xsl:variable name="MeddelelseType" select="$node/model:MeddelelseOffentligTypeTekst"/>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Dokumenttype'"/>
			<xsl:with-param name="text" select="$opslag//MeddelelseType[@id = $MeddelelseType]"/>
		</xsl:call-template>
		<xsl:variable name="Afgoerelsesdato">
			<xsl:call-template name="formatdato">
				<xsl:with-param name="dato" select="model:AfgoerelseDato"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Afgørelsesdato'"/>
			<xsl:with-param name="text" select="$Afgoerelsesdato"/>
		</xsl:call-template>
		<!-- xsl:call-template name="linefeed"/>  -->
		<xsl:call-template name="OgsaaLystOverfoert">
			<xsl:with-param name="node" select="$node"/>
  			<xsl:with-param name="dokumenttype" select="$opslag//MeddelelseType[@id = $MeddelelseType]"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!-- ******************************************************************************************************** -->
	<!-- ***********************************************  ANDEL  ********************************************* -->
	<!-- ******************************************************************************************************** -->
	<!-- ***********************************   eakt:AndelStamoplysninger  ********************************** -->
	<xsl:template match="eakt:AndelStamoplysninger">
		<xsl:if test="eakt:RaadighedsindskraenkningSummariskSamling">
			<xsl:call-template name="document_subheader">
				<xsl:with-param name="text" select="'ØVRIGE OPLYSNINGER'"/>
			</xsl:call-template>
			<xsl:apply-templates select="eakt:RaadighedsindskraenkningSummariskSamling"/>
		</xsl:if>
	</xsl:template>
	<!-- ***********************************   AndelSummariskHeader  ********************************** -->
	<xsl:template name="AndelSummariskHeader">
		<xsl:param name="node"/>
		<xsl:param name="ShowHeader" select="true()"/>
		<xsl:if test="$ShowHeader = true()">
			<xsl:call-template name="document_header">
				<xsl:with-param name="text" select="'ANDELSBOLIGBOGSATTEST'"/>
				<xsl:with-param name="ekstra_linefeed" select="'false'"/>
			</xsl:call-template>
			<xsl:apply-templates select="//eakt:UdskriftDatoTid"/>
			<xsl:apply-templates select="//eakt:AnmeldelseModtagetIndikator">
				<xsl:with-param name="objekt" select="'andelen'"/>
			</xsl:apply-templates>
			<xsl:apply-templates select="//model:EkspeditionstypeIdentifikatorSamling"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:apply-templates select="$node/model:AndelIdentifikator"/>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!-- ***********************************   AndelIdentifikatorSamling   ********************************** -->
	<xsl:template match="model:AndelIdentifikatorSamling">
		<xsl:for-each select="model:AndelIdentifikator">
			<xsl:apply-templates select="."/>
			<xsl:call-template name="linefeed"/>
		</xsl:for-each>
	</xsl:template>
	<!-- ******************************************************************************************************** -->
	<!-- **********************************************  LØSØRE  ******************************************** -->
	<!-- ******************************************************************************************************** -->
	<!-- ***********************************   LoesoereSummariskHeader  ********************************** -->
	<xsl:template name="LoesoereSummariskHeader">
		<xsl:param name="node"/>
		<xsl:param name="ShowHeader" select="true()"/>
		<xsl:if test="$ShowHeader = true()">
			<xsl:call-template name="document_header">
				<xsl:with-param name="text" select="'PERSONBOGSATTEST'"/>
				<xsl:with-param name="ekstra_linefeed" select="'false'"/>
			</xsl:call-template>
			<xsl:apply-templates select="//eakt:UdskriftDatoTid"/>
			<xsl:apply-templates select="//eakt:AnmeldelseModtagetIndikator">
				<xsl:with-param name="objekt" select="'personen/virksomheden'"/>
			</xsl:apply-templates>
			<xsl:apply-templates select="//model:EkspeditionstypeIdentifikatorSamling"/>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:apply-templates select="$node/model:LoesoereStruktur"/>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!-- ***********************************  VisLoesoereIdentifikator  ********************************** -->
	<xsl:template name="LoesoereStruktur">
		<xsl:param name="node"/>
		
		<xsl:apply-templates select="$node/model:LoesoereIdentifikator"/>
		<xsl:variable name="loesoereKey" select="concat($node/cpr-1:PersonCivilRegistrationIdentifier, '_',$node/cvr:CVRnumberIdentifier)"/>
		<xsl:variable name="loesoereStruktur" select="key('LoesoereStruktur', $loesoereKey)"/>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Navn'"/>
			<xsl:with-param name="text" select="$node/itst-2:PersonName"/>
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Adresse'"/>
			<xsl:with-param name="text" select="$node/cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressFirstLineText"/>
		</xsl:call-template>
		<xsl:call-template name="column2">
			<xsl:with-param name="text" select="$node/cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressSecondLineText"/>
		</xsl:call-template>
		<xsl:if test="string-length(cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressThirdLineText) > 0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$node/cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressThirdLineText"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="string-length(cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressFourthLineText) > 0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$node/cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressFourthLineText"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="string-length(cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressFifthLineText) > 0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$node/cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressFifthLineText"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="string-length($node/cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressSixthLineText) > 0">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="$node/cpr-2:SecondaryPostalLabel/dkcc-2:PostalAddressSixthLineText"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	
	<xsl:template match="eakt:VaergeInformation">
		<xsl:call-template name="LoesoereStruktur">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="model:LoesoereStruktur">
		<xsl:call-template name="LoesoereStruktur">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
	</xsl:template>
	<!-- ***********************************   eakt:MeddelelseLoesoereSummariskSamling  ********************************** -->
	<xsl:template match="eakt:MeddelelseLoesoereSummariskSamling">
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="'Pantsætningsforbud'"/>
		</xsl:call-template>
		<xsl:for-each select="eakt:MeddelelseLoesoereSummarisk">
			<xsl:apply-templates select="."/>
			<xsl:if test="position() != last()">
				<xsl:call-template name="dividerlong"/>
				<xsl:call-template name="linefeed"/>
				<xsl:call-template name="linefeed"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   eakt:MeddelelseLoesoereSummarisk  ********************************** -->
	<xsl:template match="eakt:MeddelelseLoesoereSummarisk">
		<xsl:call-template name="MeddelelseLoesoereDokument">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
		<xsl:call-template name="InformationSamling">
			<xsl:with-param name="node" select="eakt:DisponentInformationSamling"/>
			<xsl:with-param name="header" select="'DISPONENTER'"/>
		</xsl:call-template>
		<xsl:if test="eakt:DebitorInformationSamling">
			<xsl:call-template name="InformationSamling">
				<xsl:with-param name="node" select="eakt:DebitorInformationSamling"/>
				<xsl:with-param name="header" select="'DEBITORER'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:apply-templates select="eakt:AnmaerkningSamling"/>
		<xsl:apply-templates select="eakt:TillaegstekstSamling"/>
		<xsl:apply-templates select="eakt:FristInformationSamling"/>
	</xsl:template>
	<!-- ***********************************   MeddelelseLoesoereDokument  ********************************** -->
	<xsl:template name="MeddelelseLoesoereDokument">
		<xsl:param name="node"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'PANTSÆTNINGSFORBUD'"/>
		</xsl:call-template>
		<xsl:call-template name="eakt:DokumentAliasIdentifikator">
			<xsl:with-param name="node" select="$node"/>
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Prioritet'"/>
			<xsl:with-param name="text" select="$node/model:Meddelelsesrettighed/model:PrioritetNummer"/>
		</xsl:call-template>
		<xsl:for-each select="$node/model:PantsaetningsforbudTypeTekstSamling/model:PantsaetningsforbudTypeTekst">
			<xsl:variable name="MeddelelseType" select="."/>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Type'"/>
				<xsl:with-param name="text" select="$opslag//PantsaetningsforbudTypeTekst[@id = $MeddelelseType]"/>
			</xsl:call-template>
		</xsl:for-each>
		<!-- xsl:call-template name="linefeed"/>  -->
		<xsl:call-template name="OgsaaLystOverfoert">
			<xsl:with-param name="node" select="$node"/>
			<xsl:with-param name="dokumenttype" select="'Pantsætningsforbud'"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
	</xsl:template>
	<!-- ***********************************   eakt:PersondokumentSummariskSamling  ********************************** -->
	<xsl:template match="eakt:PersondokumentSummariskSamling">
		<xsl:call-template name="document_subheader">
			<xsl:with-param name="text" select="'PERSONDOKUMENTER'"/>
		</xsl:call-template>
		<xsl:for-each select="eakt:PersondokumentSummarisk">
			<xsl:apply-templates select="."/>
			<xsl:if test="position() != last()">
				<xsl:call-template name="dividerlong"/>
				<xsl:call-template name="linefeed"/>
				<xsl:call-template name="linefeed"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   eakt:PersondokumentSummarisk  ********************************** -->
	<xsl:template match="eakt:PersondokumentSummarisk">
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'DOKUMENT'"/>
		</xsl:call-template>
		<xsl:variable name="MeddelelseType" select="model:PersondokumentTypeTekst"/>
		<xsl:variable name="pbffmaktualiseret">
			<xsl:choose>
				<xsl:when test="model:AktualiseretIndikator = 'true'">
					<xsl:value-of select="'Aktualiseret '"/>					
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="''"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Dokumenttype'"/>
			<xsl:with-param name="text">
				<xsl:call-template name='CamelCaseText'>
					<xsl:with-param name='text' select="concat($pbffmaktualiseret, $opslag//PersondokumentTypeTekst[@id = $MeddelelseType])"/>
				</xsl:call-template>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:if test="model:AfgoerelseDato">
			<xsl:variable name="Afgoerelsesdato">
				<xsl:call-template name="formatdato">
					<xsl:with-param name="dato" select="model:AfgoerelseDato"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Afgørelsesdato'"/>
				<xsl:with-param name="text" select="$Afgoerelsesdato"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:call-template name="eakt:DokumentAliasIdentifikator">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
		<xsl:call-template name="SenestPaategnet">
			<xsl:with-param name="node" select="."/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
		<xsl:if test="model:TestamenteTypeTekst">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'TESTAMENTE'"/>
			</xsl:call-template>
			<xsl:variable name="TestamenteType" select="model:TestamenteTypeTekst"/>
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Testamente type'"/>
				<xsl:with-param name="text" select="$opslag//TestamenteTypeTekst[@id = $TestamenteType]"/>
			</xsl:call-template>
			<xsl:call-template name="Myndighed">
				<xsl:with-param name="AuthorityCode" select="eakt:TestamenteMyndighed/cpr-1:AuthorityCode"/>
				<xsl:with-param name="Testamente" select="'true'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:if test="eakt:DisponentInformationSamling">
			<xsl:call-template name="InformationSamling">
				<xsl:with-param name="node" select="eakt:DisponentInformationSamling"/>
				<xsl:with-param name="header" select="'DISPONENTER'"/>
			</xsl:call-template>
			<xsl:call-template name="linefeed"/>
		</xsl:if>
		<xsl:if test="eakt:VaergeInformation">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'VÆRGE'"/>
			</xsl:call-template>
			<xsl:apply-templates select="eakt:VaergeInformation"/>
		</xsl:if>
		<xsl:if test="model:PersonbogTekstSamling">
			<xsl:call-template name="PersonbogTekstSamling">
				<xsl:with-param name="root" select="model:PersonbogTekstSamling"/>
				<xsl:with-param name="visStandardTekst1" select="'false'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:apply-templates select="eakt:TillaegstekstSamling"/>
	</xsl:template>
	<!-- ***********************************   eamsg:PersondokumentSummariskHentResultat  ********************************** -->
	<xsl:template match="eamsg:PersondokumentSummariskHentResultat">
		<xsl:call-template name="LoesoereSummariskHeader">
			<xsl:with-param name="node" select="./eakt:LoesoereStamoplysninger"/>
		</xsl:call-template>
		<xsl:apply-templates select="eakt:PersondokumentSummariskSamling"/>
	</xsl:template>
	<!-- ***********************************   eakt:UdskriftDatoTid   ********************************** -->
	<xsl:template match="eakt:UdskriftDatoTid">
		<xsl:variable name="UdskriftDato">
			<xsl:call-template name="formatdatotid">
				<xsl:with-param name="dato" select="."/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Udskrevet'"/>
			<xsl:with-param name="text" select="$UdskriftDato"/>
		</xsl:call-template>
	</xsl:template>
	<!-- ***********************************   eakt:AnmeldelseModtagetIndikator   ********************************** -->
	<xsl:template match="eakt:AnmeldelseModtagetIndikator">
		<xsl:param name="objekt" select="'ejendommen'"/>
		<xsl:if test=".='true'">
			<xsl:call-template name="column2">
				<xsl:with-param name="text" select="'Der er modtaget anmeldelser på '"/>
				<xsl:with-param name="text2" select="$objekt"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<!-- ***********************************   model:EkspeditionstypeIdentifikatorSamling   ********************************** -->
	<xsl:template match="model:EkspeditionstypeIdentifikatorSamling">
		<xsl:for-each select="model:EkspeditionstypeIdentifikator">
			<xsl:variable name="doctypeid" select="." />
			<!-- xsl:variable name="kombi" select="$opslagAlternativ//EkspeditionstypeKombination[@id = $doctypeid]" />  -->
			<xsl:variable name="kombi" select="''"/>
			<xsl:if test="string-length($kombi)=0">
				<xsl:call-template name="column2">
					<xsl:with-param name="text" select="$opslagAlternativ//Ekspeditionstype[@id = $doctypeid]"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   model:EkspeditionstypeKombination   ********************************** -->
	<xsl:template name="EkspeditionstypeKombination">
		<xsl:param name="node"/>
		<xsl:param name="position" select="0"/>
		<xsl:param name="enkeltText" select="''"/>
		<xsl:param name="flereText" select="''"/>		

		<xsl:for-each select="$node/model:EkspeditionstypeIdentifikator">
			<xsl:variable name="doctypeId" select="." />
			
			<xsl:if test="last() &lt; $position+1 and position() = last() and $enkeltText != ''">
				<xsl:call-template name="column2">
					<xsl:with-param name="text">
						<xsl:choose>
						<xsl:when test="string-length($flereText)=0">
							<xsl:value-of select="$enkeltText" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$flereText" />
						</xsl:otherwise>
						</xsl:choose>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
						
			<xsl:if test="position() = $position +1">								
				<xsl:variable name="kombi" select="$opslagAlternativ//EkspeditionstypeKombination[@id = $doctypeId]" />
				<xsl:if test="$kombi != '' and string-length($enkeltText)=0">					
					<xsl:call-template name="EkspeditionstypeKombination">
						<xsl:with-param name="node" select="$node"/>
						<xsl:with-param name="position" select="position()"/>
						<xsl:with-param name="enkeltText" select="$kombi"/>
					</xsl:call-template>					
				</xsl:if>
				<xsl:if test="$kombi != '' and $enkeltText != ''">
					<xsl:call-template name="EkspeditionstypeKombination">
						<xsl:with-param name="node" select="$node"/>
						<xsl:with-param name="position" select="position()"/>
						<xsl:with-param name="enkeltText" select="$enkeltText"/>
						<xsl:with-param name="flereText" select="concat('Kombinationspåtegning af ', $enkeltText, ' m.fl.')"/>
					</xsl:call-template>					
				</xsl:if>
				<xsl:if test="string-length($kombi)=0">
					<xsl:call-template name="EkspeditionstypeKombination">
						<xsl:with-param name="node" select="$node"/>
						<xsl:with-param name="position" select="position()"/>
						<xsl:with-param name="enkeltText" select="$enkeltText"/>
						<xsl:with-param name="flereText" select="$flereText"/>
					</xsl:call-template>					
				</xsl:if>	
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- ***********************************   AfgiftsHaeftelseDokument  ********************************** -->
	<xsl:template name="AfgiftsHaeftelseDokument">
		<xsl:param name="node"/>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'AFGIFTSPANTEBREV'"/>
		</xsl:call-template>
		<xsl:call-template name="eakt:DokumentAliasIdentifikator">
			<xsl:with-param name="node" select="$node"/>
		</xsl:call-template>
		<xsl:call-template name="two_columns">
			<xsl:with-param name="prompt" select="'Prioritet'"/>
			<xsl:with-param name="text" select="$node/model:Pantrettighed/model:PrioritetNummer"/>
		</xsl:call-template>
		<xsl:call-template name="Hovedstol">
			<xsl:with-param name="node" select="$node/model:HaeftelseBeloeb"/>
		</xsl:call-template>
		<xsl:call-template name="linefeed"/>
		<xsl:if test="$node/model:BilStruktur">
			<xsl:call-template name="heading">
				<xsl:with-param name="text" select="'BIL'"/>
			</xsl:call-template>
			<xsl:call-template name="VisBil">
				<xsl:with-param name="bilStruktur" select="$node/model:BilStruktur"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:apply-templates select="$node/model:AndelBemaerkningTekstSamling"/>
		<xsl:if test="model:PersonbogTekstSamling">
			<xsl:call-template name="PersonbogTekstSamling">
				<xsl:with-param name="root" select="model:PersonbogTekstSamling"/>
				<xsl:with-param name="visStandardTekst1" select="'false'"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
