<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/"
                xmlns:snapshot="http://rep.oio.dk/tinglysning.dk/schema/snapshot/1/"
                xmlns:eakt="http://rep.oio.dk/tinglysning.dk/schema/elektroniskakt/1/"
        >
<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: TinglysningsDato.xslt 107736 2016-10-26 13:22:57Z lpallesen@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->

	<xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>    

	<xsl:template name="TinglysningsDato">
		<xsl:param name="dato"/>
		<xsl:param name="alias"/>
		<xsl:param name="visAliasLink" select="'true'"/>
		<xsl:variable name="apos">'</xsl:variable>
		<xsl:call-template name="heading">
			<xsl:with-param name="text" select="'Senest påtegnet'" />
		</xsl:call-template>
		<xsl:variable name="tinglysningsdato">
			<xsl:call-template name="formatdatotid">
				<xsl:with-param name="dato" select="$dato"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:if test="$alias/eakt:DokumentAliasIdentifikator and $visAliasLink = 'true'">
			<xsl:call-template name="two_columns_link">
				<xsl:with-param name="prompt" select="'Dato'" />
				<xsl:with-param name="text" select="$tinglysningsdato"/>
				<xsl:with-param name="link" select="concat('VISPAATEGNINGER#', $alias/eakt:DokumentAliasIdentifikator , '#') "/>
				<xsl:with-param name="target" select="'_blank'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$alias/eakt:DokumentAliasIdentifikator and $visAliasLink = 'false'">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Dato'" />
				<xsl:with-param name="text" select="$tinglysningsdato"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$alias/eakt:AktHistoriskIdentifikator and $visAliasLink = 'true'">
			<xsl:call-template name="two_columns_link">
				<xsl:with-param name="prompt" select="'Dato'" />
				<xsl:with-param name="text" select="$tinglysningsdato"/>
				<xsl:with-param name="link" select="concat('VISPAATEGNINGER#' , $alias/eakt:AktHistoriskIdentifikator , '#') "/>
				<xsl:with-param name="target" select="'_blank'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$alias/eakt:AktHistoriskIdentifikator and $visAliasLink = 'false'">
			<xsl:call-template name="two_columns">
				<xsl:with-param name="prompt" select="'Dato'" />
				<xsl:with-param name="text" select="$tinglysningsdato"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:call-template name="linefeed" />
    </xsl:template>

</xsl:stylesheet>