<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:model="http://rep.oio.dk/tinglysning.dk/schema/model/1/"
        >
<!--
***************************************************************************************************************************************
Renderingsversion: 40.0.30
Dokumentversion: $Id: VilkaarsaendringHaeftelseFastEjendom.xslt 157192 2019-09-06 11:16:33Z cander28@csc.com $
Servicekatalog: 40.0.3
***************************************************************************************************************************************
-->

    <!--Anvendes for ekspeditionstype 76. Ekspeditionstypen kan anvendes til vilkårsændringer
    inden for samme type hæftelse, således at der ikke ved vilkårsændringen foretages ændring fra en type
    hæftelse til en anden type hæftelse (fra privatpantebrev til ejerpantebrev eller omvendt). Den kan også
    anvendes til at skifte typen af hæftelse (fra privatpantebrev til ejerpantebrev eller omvendt). Ved skift fra
    privatpantebrev til ejerpantebrev anvendes EjerpantebrevFastEjendom. Ved skift fra ejerpantebrev til
    privatpantebrev anvendes PantebrevFastEjendom.-->


    <!-- Specifikation af output format -->
    <xsl:output method="text" omit-xml-declaration="yes" indent="no" encoding="UTF-8"/>
    <xsl:strip-space elements="*"/>

    <xsl:template match="model:VilkaarsaendringHaeftelseFastEjendom">
        <xsl:text>&#xa;&#xa;</xsl:text>
        <xsl:call-template name="heading">
            <xsl:with-param name="text" select="'VILKÅRSÆNDRINGHÆFTELSE FASTEJENDOM'"/>
        </xsl:call-template>

        <xsl:apply-templates select="model:HaeftelseVilkaarRente"/>
        <xsl:apply-templates select="model:HaeftelseVilkaarBetaling"/>
        <xsl:apply-templates select="model:HaeftelseVilkaarOpsigelse"/>
        <xsl:apply-templates select="model:HaeftelseSaerligBestemmelseSamling"/>
        <xsl:apply-templates select="model:HaeftelseAndenTekstSamling"/>

				<xsl:if test="model:PantebrevFastEjendom">
					<xsl:apply-templates select="model:PantebrevFastEjendom"/>
        <xsl:apply-templates select="model:PantebrevFastEjendom/model:HaeftelsePantebrevFormularLovpligtigKode"/>
				</xsl:if>
				<xsl:if test="model:EjerpantebrevFastEjendom">
					<xsl:apply-templates select="model:EjerpantebrevFastEjendom"/>
        <xsl:apply-templates select="model:EjerpantebrevFastEjendom/model:HaeftelsePantebrevFormularLovpligtigKode"/>
				</xsl:if>
    </xsl:template>


</xsl:stylesheet>